searchData={"items":[{"type":"module","title":"GoogleApi.DLP.V2","doc":"API client metadata for GoogleApi.DLP.V2.","ref":"GoogleApi.DLP.V2.html"},{"type":"function","title":"GoogleApi.DLP.V2.discovery_revision/0","doc":"","ref":"GoogleApi.DLP.V2.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.DLP.V2.Api.InfoTypes","doc":"API calls for all endpoints tagged `InfoTypes`.","ref":"GoogleApi.DLP.V2.Api.InfoTypes.html"},{"type":"function","title":"GoogleApi.DLP.V2.Api.InfoTypes.dlp_info_types_list/3","doc":"Returns a list of the sensitive information types that the DLP API supports. See https://cloud.google.com/sensitive-data-protection/docs/infotypes-reference to learn more.","ref":"GoogleApi.DLP.V2.Api.InfoTypes.html#dlp_info_types_list/3"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.InfoTypes.dlp_info_types_list/3","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - filter to only return infoTypes supported by certain parts of the API. Defaults to supported_by=INSPECT.\n    *   `:languageCode` (*type:* `String.t`) - BCP-47 language code for localized infoType friendly names. If omitted, or if localized strings are not available, en-US strings will be returned.\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:parent` (*type:* `String.t`) - The parent resource name. The format of this value is as follows: `locations/{location_id}`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.InfoTypes.html#dlp_info_types_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.InfoTypes.dlp_info_types_list/3","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.InfoTypes.html#dlp_info_types_list/3-returns"},{"type":"module","title":"GoogleApi.DLP.V2.Api.Locations","doc":"API calls for all endpoints tagged `Locations`.","ref":"GoogleApi.DLP.V2.Api.Locations.html"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Locations.dlp_locations_info_types_list/4","doc":"Returns a list of the sensitive information types that the DLP API supports. See https://cloud.google.com/sensitive-data-protection/docs/infotypes-reference to learn more.","ref":"GoogleApi.DLP.V2.Api.Locations.html#dlp_locations_info_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Locations.dlp_locations_info_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The parent resource name. The format of this value is as follows: `locations/{location_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - filter to only return infoTypes supported by certain parts of the API. Defaults to supported_by=INSPECT.\n    *   `:languageCode` (*type:* `String.t`) - BCP-47 language code for localized infoType friendly names. If omitted, or if localized strings are not available, en-US strings will be returned.\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Locations.html#dlp_locations_info_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Locations.dlp_locations_info_types_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Locations.html#dlp_locations_info_types_list/4-returns"},{"type":"module","title":"GoogleApi.DLP.V2.Api.Organizations","doc":"API calls for all endpoints tagged `Organizations`.","ref":"GoogleApi.DLP.V2.Api.Organizations.html"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_create/4","doc":"Creates a DeidentifyTemplate for reusing frequently used configuration for de-identifying content, images, and storage. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_delete/4","doc":"Deletes a DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and deidentify template to be deleted, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_get/4","doc":"Gets a DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and deidentify template to be read, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_list/4","doc":"Lists DeidentifyTemplates. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the template was created. - `update_time`: corresponds to the time the template was last updated. - `name`: corresponds to the template's name. - `display_name`: corresponds to the template's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListDeidentifyTemplates`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_patch/4","doc":"Updates the DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and deidentify template to be updated, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_deidentify_templates_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_deidentify_templates_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_create/4","doc":"Creates an InspectTemplate for reusing frequently used configuration for inspecting content, images, and storage. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_delete/4","doc":"Deletes an InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and inspectTemplate to be deleted, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_get/4","doc":"Gets an InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and inspectTemplate to be read, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_list/4","doc":"Lists InspectTemplates. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the template was created. - `update_time`: corresponds to the time the template was last updated. - `name`: corresponds to the template's name. - `display_name`: corresponds to the template's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListInspectTemplates`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_patch/4","doc":"Updates the InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and inspectTemplate to be updated, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_inspect_templates_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_inspect_templates_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_column_data_profiles_get/4","doc":"Gets a column data profile.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_column_data_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_column_data_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name, for example `organizations/12345/locations/us/columnDataProfiles/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_column_data_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_column_data_profiles_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_column_data_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_column_data_profiles_list/4","doc":"Lists column data profiles for an organization.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_column_data_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_column_data_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project, for example `organizations/433245324/locations/europe` or `projects/project-id/locations/asia`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values: - `table_data_profile_name` - The name of the related table data profile. - `project_id` - The Google Cloud project ID. (REQUIRED) - `dataset_id` - The BigQuery dataset ID. (REQUIRED) - `table_id` - The BigQuery table ID. (REQUIRED) - `field_id` - The ID of the BigQuery field. - `info_type` - The infotype detected in the resource. - `sensitivity_level` - HIGH|MEDIUM|LOW - `data_risk_level`: How much risk is associated with this data. - `status_code` - an RPC status code as defined in https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto * The operator must be `=` for project_id, dataset_id, and table_id. Other filters also support `!=`. Examples: * project_id = 12345 AND status_code = 1 * project_id = 12345 AND sensitivity_level = HIGH * project_id = 12345 AND info_type = STREET_ADDRESS The length of this field should be no more than 500 characters.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Only one order field at a time is allowed. Examples: * `project_id asc` * `table_id` * `sensitivity_level desc` Supported fields are: - `project_id`: The Google Cloud project ID. - `dataset_id`: The ID of a BigQuery dataset. - `table_id`: The ID of a BigQuery table. - `sensitivity_level`: How sensitive the data in a column is, at most. - `data_risk_level`: How much risk is associated with this data. - `profile_last_generated`: When the profile was last updated in epoch seconds.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero, server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_column_data_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_column_data_profiles_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_column_data_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_create/4","doc":"Create a Connection to an external data source.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization): + Projects scope: `projects/{project_id}/locations/{location_id}` + Organizations scope: `organizations/{org_id}/locations/{location_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_delete/4","doc":"Delete a Connection.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the Connection to be deleted, in the format: `projects/{project}/locations/{location}/connections/{connection}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_get/4","doc":"Get a Connection by name.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name in the format: `projects/{project}/locations/{location}/connections/{connection}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_list/4","doc":"Lists Connections in a parent. Use SearchConnections to see all connections within an organization.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project, for example, `organizations/433245324/locations/europe` or `projects/project-id/locations/asia`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Supported field/value: `state` - MISSING|AVAILABLE|ERROR\n    *   `:pageSize` (*type:* `integer()`) - Optional. Number of results per page, max 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. Page token from a previous page to return the next set of results. If set, all other request fields must match the original request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_patch/4","doc":"Update a Connection.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name in the format: `projects/{project}/locations/{location}/connections/{connection}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_search/4","doc":"Searches for Connections in a parent.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_search/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_search/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project with a wildcard location, for example, `organizations/433245324/locations/-` or `projects/project-id/locations/-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Supported field/value: - `state` - MISSING|AVAILABLE|ERROR\n    *   `:pageSize` (*type:* `integer()`) - Optional. Number of results per page, max 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. Page token from a previous page to return the next set of results. If set, all other request fields must match the original request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_search/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_connections_search/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_connections_search/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_create/4","doc":"Creates a DeidentifyTemplate for reusing frequently used configuration for de-identifying content, images, and storage. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_delete/4","doc":"Deletes a DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and deidentify template to be deleted, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_get/4","doc":"Gets a DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and deidentify template to be read, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_list/4","doc":"Lists DeidentifyTemplates. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the template was created. - `update_time`: corresponds to the time the template was last updated. - `name`: corresponds to the template's name. - `display_name`: corresponds to the template's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListDeidentifyTemplates`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_patch/4","doc":"Updates the DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and deidentify template to be updated, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_deidentify_templates_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_deidentify_templates_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_create/4","doc":"Creates a config for discovery to scan and profile storage.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization): + Projects scope: `projects/{project_id}/locations/{location_id}` + Organizations scope: `organizations/{org_id}/locations/{location_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_delete/4","doc":"Deletes a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the config, for example `projects/dlp-test-project/discoveryConfigs/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_get/4","doc":"Gets a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the configuration, for example `projects/dlp-test-project/discoveryConfigs/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_list/4","doc":"Lists discovery configurations.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value is as follows: `projects/{project_id}/locations/{location_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of config fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `last_run_time`: corresponds to the last time the DiscoveryConfig ran. - `name`: corresponds to the DiscoveryConfig's name. - `status`: corresponds to DiscoveryConfig's status.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by a server.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to ListDiscoveryConfigs. `order_by` field must not change for subsequent calls.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_patch/4","doc":"Updates a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the configuration, for example `projects/dlp-test-project/discoveryConfigs/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_discovery_configs_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_discovery_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_dlp_jobs_list/4","doc":"Lists DlpJobs that match the specified filter in the request. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_dlp_jobs_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_dlp_jobs_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values for inspect jobs: - `state` - PENDING|RUNNING|CANCELED|FINISHED|FAILED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - `trigger_name` - The name of the trigger that created the job. - 'end_time` - Corresponds to the time the job finished. - 'start_time` - Corresponds to the time the job finished. * Supported fields for risk analysis jobs: - `state` - RUNNING|CANCELED|FINISHED|FAILED - 'end_time` - Corresponds to the time the job finished. - 'start_time` - Corresponds to the time the job finished. * The operator must be `=` or `!=`. Examples: * inspected_storage = cloud_storage AND state = done * inspected_storage = cloud_storage OR inspected_storage = bigquery * inspected_storage = cloud_storage AND (state = done OR state = canceled) * end_time > \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters.\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc, end_time asc, create_time desc` Supported fields are: - `create_time`: corresponds to the time the job was created. - `end_time`: corresponds to the time the job ended. - `name`: corresponds to the job's name. - `state`: corresponds to `state`\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n    *   `:type` (*type:* `String.t`) - The type of job. Defaults to `DlpJobType.INSPECT`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_dlp_jobs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_dlp_jobs_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_dlp_jobs_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_file_store_data_profiles_delete/4","doc":"Delete a FileStoreDataProfile. Will not prevent the profile from being regenerated if the resource is still included in a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_file_store_data_profiles_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_file_store_data_profiles_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the file store data profile.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_file_store_data_profiles_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_file_store_data_profiles_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_file_store_data_profiles_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_file_store_data_profiles_get/4","doc":"Gets a file store data profile.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_file_store_data_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_file_store_data_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name, for example `organizations/12345/locations/us/fileStoreDataProfiles/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_file_store_data_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_file_store_data_profiles_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_file_store_data_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_file_store_data_profiles_list/4","doc":"Lists file store data profiles for an organization.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_file_store_data_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_file_store_data_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project, for example `organizations/433245324/locations/europe` or `projects/project-id/locations/asia`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values: - `project_id` - The Google Cloud project ID. - `account_id` - The AWS account ID. - `file_store_path` - The path like \"gs://bucket\". - `data_source_type` - The profile's data source type, like \"google/storage/bucket\". - `data_storage_location` - The location where the file store's data is stored, like \"us-central1\". - `sensitivity_level` - HIGH|MODERATE|LOW - `data_risk_level` - HIGH|MODERATE|LOW - `resource_visibility`: PUBLIC|RESTRICTED - `status_code` - an RPC status code as defined in https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto * The operator must be `=` or `!=`. Examples: * `project_id = 12345 AND status_code = 1` * `project_id = 12345 AND sensitivity_level = HIGH` * `project_id = 12345 AND resource_visibility = PUBLIC` * `file_store_path = \"gs://mybucket\"` The length of this field should be no more than 500 characters.\n    *   `:orderBy` (*type:* `String.t`) - Optional. Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Only one order field at a time is allowed. Examples: * `project_id asc` * `name` * `sensitivity_level desc` Supported fields are: - `project_id`: The Google Cloud project ID. - `sensitivity_level`: How sensitive the data in a table is, at most. - `data_risk_level`: How much risk is associated with this data. - `profile_last_generated`: When the profile was last updated in epoch seconds. - `last_modified`: The last time the resource was modified. - `resource_visibility`: Visibility restriction for this resource. - `name`: The name of the profile. - `create_time`: The time the file store was first created.\n    *   `:pageSize` (*type:* `integer()`) - Optional. Size of the page. This value can be limited by the server. If zero, server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Optional. Page token to continue retrieval.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_file_store_data_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_file_store_data_profiles_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_file_store_data_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_create/4","doc":"Creates an InspectTemplate for reusing frequently used configuration for inspecting content, images, and storage. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_delete/4","doc":"Deletes an InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and inspectTemplate to be deleted, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_get/4","doc":"Gets an InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and inspectTemplate to be read, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_list/4","doc":"Lists InspectTemplates. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the template was created. - `update_time`: corresponds to the time the template was last updated. - `name`: corresponds to the template's name. - `display_name`: corresponds to the template's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListInspectTemplates`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_patch/4","doc":"Updates the InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and inspectTemplate to be updated, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_inspect_templates_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_inspect_templates_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_create/4","doc":"Creates a job trigger to run DLP actions such as scanning storage for sensitive information on a set schedule. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_delete/4","doc":"Deletes a job trigger. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_get/4","doc":"Gets a job trigger. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_list/4","doc":"Lists job triggers. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values for inspect triggers: - `status` - HEALTHY|PAUSED|CANCELLED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - 'last_run_time` - RFC 3339 formatted timestamp, surrounded by quotation marks. Nanoseconds are ignored. - 'error_count' - Number of errors that have occurred while running. * The operator must be `=` or `!=` for status and inspected_storage. Examples: * inspected_storage = cloud_storage AND status = HEALTHY * inspected_storage = cloud_storage OR inspected_storage = bigquery * inspected_storage = cloud_storage AND (state = PAUSED OR state = HEALTHY) * last_run_time > \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters.\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of triggeredJob fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the JobTrigger was created. - `update_time`: corresponds to the time the JobTrigger was last updated. - `last_run_time`: corresponds to the last time the JobTrigger ran. - `name`: corresponds to the JobTrigger's name. - `display_name`: corresponds to the JobTrigger's display name. - `status`: corresponds to JobTrigger's status.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by a server.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to ListJobTriggers. `order_by` field must not change for subsequent calls.\n    *   `:type` (*type:* `String.t`) - The type of jobs. Will use `DlpJobType.INSPECT` if not set.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_patch/4","doc":"Updates a job trigger. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_job_triggers_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_job_triggers_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_project_data_profiles_get/4","doc":"Gets a project data profile.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_project_data_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_project_data_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name, for example `organizations/12345/locations/us/projectDataProfiles/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_project_data_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_project_data_profiles_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_project_data_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_project_data_profiles_list/4","doc":"Lists project data profiles for an organization.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_project_data_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_project_data_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. organizations/{org_id}/locations/{loc_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values: - `sensitivity_level` - HIGH|MODERATE|LOW - `data_risk_level` - HIGH|MODERATE|LOW - `status_code` - an RPC status code as defined in https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto * The operator must be `=` or `!=`. Examples: * `project_id = 12345 AND status_code = 1` * `project_id = 12345 AND sensitivity_level = HIGH` The length of this field should be no more than 500 characters.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Only one order field at a time is allowed. Examples: * `project_id` * `sensitivity_level desc` Supported fields are: - `project_id`: Google Cloud project ID - `sensitivity_level`: How sensitive the data in a project is, at most. - `data_risk_level`: How much risk is associated with this data. - `profile_last_generated`: When the profile was last updated in epoch seconds.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero, server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_project_data_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_project_data_profiles_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_project_data_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_create/4","doc":"Creates a pre-built stored infoType to be used for inspection. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_delete/4","doc":"Deletes a stored infoType. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and storedInfoType to be deleted, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_get/4","doc":"Gets a stored infoType. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and storedInfoType to be read, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_list/4","doc":"Lists stored infoTypes. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc, display_name, create_time desc` Supported fields are: - `create_time`: corresponds to the time the most recent version of the resource was created. - `state`: corresponds to the state of the resource. - `name`: corresponds to resource name. - `display_name`: corresponds to info type's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListStoredInfoTypes`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_patch/4","doc":"Updates the stored infoType by creating a new version. The existing version will continue to be used until the new version is ready. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and storedInfoType to be updated, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_stored_info_types_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_stored_info_types_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_table_data_profiles_delete/4","doc":"Delete a TableDataProfile. Will not prevent the profile from being regenerated if the table is still included in a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_table_data_profiles_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_table_data_profiles_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the table data profile.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_table_data_profiles_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_table_data_profiles_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_table_data_profiles_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_table_data_profiles_get/4","doc":"Gets a table data profile.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_table_data_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_table_data_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name, for example `organizations/12345/locations/us/tableDataProfiles/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_table_data_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_table_data_profiles_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_table_data_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_table_data_profiles_list/4","doc":"Lists table data profiles for an organization.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_table_data_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_table_data_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project, for example `organizations/433245324/locations/europe` or `projects/project-id/locations/asia`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values: - `project_id` - The Google Cloud project ID. - `dataset_id` - The BigQuery dataset ID. - `table_id` - The ID of the BigQuery table. - `sensitivity_level` - HIGH|MODERATE|LOW - `data_risk_level` - HIGH|MODERATE|LOW - `resource_visibility`: PUBLIC|RESTRICTED - `status_code` - an RPC status code as defined in https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto * The operator must be `=` or `!=`. Examples: * `project_id = 12345 AND status_code = 1` * `project_id = 12345 AND sensitivity_level = HIGH` * `project_id = 12345 AND resource_visibility = PUBLIC` The length of this field should be no more than 500 characters.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Only one order field at a time is allowed. Examples: * `project_id asc` * `table_id` * `sensitivity_level desc` Supported fields are: - `project_id`: The Google Cloud project ID. - `dataset_id`: The ID of a BigQuery dataset. - `table_id`: The ID of a BigQuery table. - `sensitivity_level`: How sensitive the data in a table is, at most. - `data_risk_level`: How much risk is associated with this data. - `profile_last_generated`: When the profile was last updated in epoch seconds. - `last_modified`: The last time the resource was modified. - `resource_visibility`: Visibility restriction for this resource. - `row_count`: Number of rows in this resource.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero, server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_table_data_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_locations_table_data_profiles_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_locations_table_data_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_create/4","doc":"Creates a pre-built stored infoType to be used for inspection. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_delete/4","doc":"Deletes a stored infoType. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and storedInfoType to be deleted, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_get/4","doc":"Gets a stored infoType. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and storedInfoType to be read, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_list/4","doc":"Lists stored infoTypes. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc, display_name, create_time desc` Supported fields are: - `create_time`: corresponds to the time the most recent version of the resource was created. - `state`: corresponds to the state of the resource. - `name`: corresponds to resource name. - `display_name`: corresponds to info type's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListStoredInfoTypes`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_patch/4","doc":"Updates the stored infoType by creating a new version. The existing version will continue to be used until the new version is ready. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and storedInfoType to be updated, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Organizations.dlp_organizations_stored_info_types_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Organizations.html#dlp_organizations_stored_info_types_patch/4-returns"},{"type":"module","title":"GoogleApi.DLP.V2.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.DLP.V2.Api.Projects.html"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_content_deidentify/4","doc":"De-identifies potentially sensitive info from a ContentItem. This method has limits on input size and output size. See https://cloud.google.com/sensitive-data-protection/docs/deidentify-sensitive-data to learn more. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_content_deidentify/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_content_deidentify/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_content_deidentify/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_content_deidentify/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_content_deidentify/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_content_inspect/4","doc":"Finds potentially sensitive info in content. This method has limits on input size, processing time, and output size. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated. For how to guides, see https://cloud.google.com/sensitive-data-protection/docs/inspecting-images and https://cloud.google.com/sensitive-data-protection/docs/inspecting-text,","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_content_inspect/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_content_inspect/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_content_inspect/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_content_inspect/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_content_inspect/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_content_reidentify/4","doc":"Re-identifies content that has been de-identified. See https://cloud.google.com/sensitive-data-protection/docs/pseudonymization#re-identification_in_free_text_code_example to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_content_reidentify/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_content_reidentify/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_content_reidentify/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_content_reidentify/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_content_reidentify/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_create/4","doc":"Creates a DeidentifyTemplate for reusing frequently used configuration for de-identifying content, images, and storage. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_delete/4","doc":"Deletes a DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and deidentify template to be deleted, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_get/4","doc":"Gets a DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and deidentify template to be read, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_list/4","doc":"Lists DeidentifyTemplates. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the template was created. - `update_time`: corresponds to the time the template was last updated. - `name`: corresponds to the template's name. - `display_name`: corresponds to the template's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListDeidentifyTemplates`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_patch/4","doc":"Updates the DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and deidentify template to be updated, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_deidentify_templates_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_deidentify_templates_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_cancel/4","doc":"Starts asynchronous cancellation on a long-running DlpJob. The server makes a best effort to cancel the DlpJob, but success is not guaranteed. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the DlpJob resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_cancel/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_cancel/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_create/4","doc":"Creates a new job to inspect storage or calculate risk metrics. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more. When no InfoTypes or CustomInfoTypes are specified in inspect jobs, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_delete/4","doc":"Deletes a long-running DlpJob. This method indicates that the client is no longer interested in the DlpJob result. The job will be canceled if possible. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the DlpJob resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_get/4","doc":"Gets the latest state of a long-running DlpJob. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the DlpJob resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_list/4","doc":"Lists DlpJobs that match the specified filter in the request. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values for inspect jobs: - `state` - PENDING|RUNNING|CANCELED|FINISHED|FAILED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - `trigger_name` - The name of the trigger that created the job. - 'end_time` - Corresponds to the time the job finished. - 'start_time` - Corresponds to the time the job finished. * Supported fields for risk analysis jobs: - `state` - RUNNING|CANCELED|FINISHED|FAILED - 'end_time` - Corresponds to the time the job finished. - 'start_time` - Corresponds to the time the job finished. * The operator must be `=` or `!=`. Examples: * inspected_storage = cloud_storage AND state = done * inspected_storage = cloud_storage OR inspected_storage = bigquery * inspected_storage = cloud_storage AND (state = done OR state = canceled) * end_time > \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters.\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc, end_time asc, create_time desc` Supported fields are: - `create_time`: corresponds to the time the job was created. - `end_time`: corresponds to the time the job ended. - `name`: corresponds to the job's name. - `state`: corresponds to `state`\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n    *   `:type` (*type:* `String.t`) - The type of job. Defaults to `DlpJobType.INSPECT`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_dlp_jobs_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_dlp_jobs_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_image_redact/4","doc":"Redacts potentially sensitive info from an image. This method has limits on input size, processing time, and output size. See https://cloud.google.com/sensitive-data-protection/docs/redacting-sensitive-data-images to learn more. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_image_redact/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_image_redact/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_image_redact/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_image_redact/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_image_redact/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_create/4","doc":"Creates an InspectTemplate for reusing frequently used configuration for inspecting content, images, and storage. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_delete/4","doc":"Deletes an InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and inspectTemplate to be deleted, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_get/4","doc":"Gets an InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and inspectTemplate to be read, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_list/4","doc":"Lists InspectTemplates. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the template was created. - `update_time`: corresponds to the time the template was last updated. - `name`: corresponds to the template's name. - `display_name`: corresponds to the template's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListInspectTemplates`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_patch/4","doc":"Updates the InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and inspectTemplate to be updated, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_inspect_templates_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_inspect_templates_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_activate/4","doc":"Activate a job trigger. Causes the immediate execute of a trigger instead of waiting on the trigger event to occur.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_activate/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_activate/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the trigger to activate, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_activate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_activate/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_activate/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_create/4","doc":"Creates a job trigger to run DLP actions such as scanning storage for sensitive information on a set schedule. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_delete/4","doc":"Deletes a job trigger. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_get/4","doc":"Gets a job trigger. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_list/4","doc":"Lists job triggers. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values for inspect triggers: - `status` - HEALTHY|PAUSED|CANCELLED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - 'last_run_time` - RFC 3339 formatted timestamp, surrounded by quotation marks. Nanoseconds are ignored. - 'error_count' - Number of errors that have occurred while running. * The operator must be `=` or `!=` for status and inspected_storage. Examples: * inspected_storage = cloud_storage AND status = HEALTHY * inspected_storage = cloud_storage OR inspected_storage = bigquery * inspected_storage = cloud_storage AND (state = PAUSED OR state = HEALTHY) * last_run_time > \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters.\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of triggeredJob fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the JobTrigger was created. - `update_time`: corresponds to the time the JobTrigger was last updated. - `last_run_time`: corresponds to the last time the JobTrigger ran. - `name`: corresponds to the JobTrigger's name. - `display_name`: corresponds to the JobTrigger's display name. - `status`: corresponds to JobTrigger's status.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by a server.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to ListJobTriggers. `order_by` field must not change for subsequent calls.\n    *   `:type` (*type:* `String.t`) - The type of jobs. Will use `DlpJobType.INSPECT` if not set.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_patch/4","doc":"Updates a job trigger. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_job_triggers_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_job_triggers_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_column_data_profiles_get/4","doc":"Gets a column data profile.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_column_data_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_column_data_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name, for example `organizations/12345/locations/us/columnDataProfiles/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_column_data_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_column_data_profiles_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_column_data_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_column_data_profiles_list/4","doc":"Lists column data profiles for an organization.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_column_data_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_column_data_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project, for example `organizations/433245324/locations/europe` or `projects/project-id/locations/asia`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values: - `table_data_profile_name` - The name of the related table data profile. - `project_id` - The Google Cloud project ID. (REQUIRED) - `dataset_id` - The BigQuery dataset ID. (REQUIRED) - `table_id` - The BigQuery table ID. (REQUIRED) - `field_id` - The ID of the BigQuery field. - `info_type` - The infotype detected in the resource. - `sensitivity_level` - HIGH|MEDIUM|LOW - `data_risk_level`: How much risk is associated with this data. - `status_code` - an RPC status code as defined in https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto * The operator must be `=` for project_id, dataset_id, and table_id. Other filters also support `!=`. Examples: * project_id = 12345 AND status_code = 1 * project_id = 12345 AND sensitivity_level = HIGH * project_id = 12345 AND info_type = STREET_ADDRESS The length of this field should be no more than 500 characters.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Only one order field at a time is allowed. Examples: * `project_id asc` * `table_id` * `sensitivity_level desc` Supported fields are: - `project_id`: The Google Cloud project ID. - `dataset_id`: The ID of a BigQuery dataset. - `table_id`: The ID of a BigQuery table. - `sensitivity_level`: How sensitive the data in a column is, at most. - `data_risk_level`: How much risk is associated with this data. - `profile_last_generated`: When the profile was last updated in epoch seconds.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero, server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_column_data_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_column_data_profiles_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_column_data_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_create/4","doc":"Create a Connection to an external data source.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization): + Projects scope: `projects/{project_id}/locations/{location_id}` + Organizations scope: `organizations/{org_id}/locations/{location_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_delete/4","doc":"Delete a Connection.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the Connection to be deleted, in the format: `projects/{project}/locations/{location}/connections/{connection}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_get/4","doc":"Get a Connection by name.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name in the format: `projects/{project}/locations/{location}/connections/{connection}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_list/4","doc":"Lists Connections in a parent. Use SearchConnections to see all connections within an organization.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project, for example, `organizations/433245324/locations/europe` or `projects/project-id/locations/asia`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Supported field/value: `state` - MISSING|AVAILABLE|ERROR\n    *   `:pageSize` (*type:* `integer()`) - Optional. Number of results per page, max 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. Page token from a previous page to return the next set of results. If set, all other request fields must match the original request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_patch/4","doc":"Update a Connection.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name in the format: `projects/{project}/locations/{location}/connections/{connection}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_search/4","doc":"Searches for Connections in a parent.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_search/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_search/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project with a wildcard location, for example, `organizations/433245324/locations/-` or `projects/project-id/locations/-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Supported field/value: - `state` - MISSING|AVAILABLE|ERROR\n    *   `:pageSize` (*type:* `integer()`) - Optional. Number of results per page, max 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. Page token from a previous page to return the next set of results. If set, all other request fields must match the original request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_search/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_connections_search/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_connections_search/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_content_deidentify/4","doc":"De-identifies potentially sensitive info from a ContentItem. This method has limits on input size and output size. See https://cloud.google.com/sensitive-data-protection/docs/deidentify-sensitive-data to learn more. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_content_deidentify/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_content_deidentify/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_content_deidentify/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_content_deidentify/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_content_deidentify/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_content_inspect/4","doc":"Finds potentially sensitive info in content. This method has limits on input size, processing time, and output size. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated. For how to guides, see https://cloud.google.com/sensitive-data-protection/docs/inspecting-images and https://cloud.google.com/sensitive-data-protection/docs/inspecting-text,","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_content_inspect/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_content_inspect/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_content_inspect/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_content_inspect/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_content_inspect/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_content_reidentify/4","doc":"Re-identifies content that has been de-identified. See https://cloud.google.com/sensitive-data-protection/docs/pseudonymization#re-identification_in_free_text_code_example to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_content_reidentify/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_content_reidentify/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_content_reidentify/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_content_reidentify/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_content_reidentify/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_create/4","doc":"Creates a DeidentifyTemplate for reusing frequently used configuration for de-identifying content, images, and storage. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_delete/4","doc":"Deletes a DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and deidentify template to be deleted, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_get/4","doc":"Gets a DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and deidentify template to be read, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_list/4","doc":"Lists DeidentifyTemplates. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the template was created. - `update_time`: corresponds to the time the template was last updated. - `name`: corresponds to the template's name. - `display_name`: corresponds to the template's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListDeidentifyTemplates`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_patch/4","doc":"Updates the DeidentifyTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates-deid to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and deidentify template to be updated, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_deidentify_templates_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_deidentify_templates_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_create/4","doc":"Creates a config for discovery to scan and profile storage.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization): + Projects scope: `projects/{project_id}/locations/{location_id}` + Organizations scope: `organizations/{org_id}/locations/{location_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_delete/4","doc":"Deletes a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the config, for example `projects/dlp-test-project/discoveryConfigs/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_get/4","doc":"Gets a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the configuration, for example `projects/dlp-test-project/discoveryConfigs/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_list/4","doc":"Lists discovery configurations.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value is as follows: `projects/{project_id}/locations/{location_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of config fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `last_run_time`: corresponds to the last time the DiscoveryConfig ran. - `name`: corresponds to the DiscoveryConfig's name. - `status`: corresponds to DiscoveryConfig's status.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by a server.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to ListDiscoveryConfigs. `order_by` field must not change for subsequent calls.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_patch/4","doc":"Updates a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the configuration, for example `projects/dlp-test-project/discoveryConfigs/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_discovery_configs_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_discovery_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_cancel/4","doc":"Starts asynchronous cancellation on a long-running DlpJob. The server makes a best effort to cancel the DlpJob, but success is not guaranteed. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the DlpJob resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_cancel/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_cancel/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_create/4","doc":"Creates a new job to inspect storage or calculate risk metrics. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more. When no InfoTypes or CustomInfoTypes are specified in inspect jobs, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_delete/4","doc":"Deletes a long-running DlpJob. This method indicates that the client is no longer interested in the DlpJob result. The job will be canceled if possible. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the DlpJob resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_finish/4","doc":"Finish a running hybrid DlpJob. Triggers the finalization steps and running of any enabled actions that have not yet run.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_finish/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_finish/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the DlpJob resource to be finished.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FinishDlpJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_finish/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_finish/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_finish/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_get/4","doc":"Gets the latest state of a long-running DlpJob. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the DlpJob resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_hybrid_inspect/4","doc":"Inspect hybrid content and store findings to a job. To review the findings, inspect the job. Inspection will occur asynchronously.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_hybrid_inspect/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_hybrid_inspect/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the job to execute a hybrid inspect on, for example `projects/dlp-test-project/dlpJob/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectDlpJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_hybrid_inspect/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_hybrid_inspect/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_hybrid_inspect/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_list/4","doc":"Lists DlpJobs that match the specified filter in the request. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-storage and https://cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values for inspect jobs: - `state` - PENDING|RUNNING|CANCELED|FINISHED|FAILED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - `trigger_name` - The name of the trigger that created the job. - 'end_time` - Corresponds to the time the job finished. - 'start_time` - Corresponds to the time the job finished. * Supported fields for risk analysis jobs: - `state` - RUNNING|CANCELED|FINISHED|FAILED - 'end_time` - Corresponds to the time the job finished. - 'start_time` - Corresponds to the time the job finished. * The operator must be `=` or `!=`. Examples: * inspected_storage = cloud_storage AND state = done * inspected_storage = cloud_storage OR inspected_storage = bigquery * inspected_storage = cloud_storage AND (state = done OR state = canceled) * end_time > \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters.\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc, end_time asc, create_time desc` Supported fields are: - `create_time`: corresponds to the time the job was created. - `end_time`: corresponds to the time the job ended. - `name`: corresponds to the job's name. - `state`: corresponds to `state`\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n    *   `:type` (*type:* `String.t`) - The type of job. Defaults to `DlpJobType.INSPECT`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_dlp_jobs_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_dlp_jobs_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_file_store_data_profiles_delete/4","doc":"Delete a FileStoreDataProfile. Will not prevent the profile from being regenerated if the resource is still included in a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_file_store_data_profiles_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_file_store_data_profiles_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the file store data profile.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_file_store_data_profiles_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_file_store_data_profiles_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_file_store_data_profiles_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_file_store_data_profiles_get/4","doc":"Gets a file store data profile.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_file_store_data_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_file_store_data_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name, for example `organizations/12345/locations/us/fileStoreDataProfiles/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_file_store_data_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_file_store_data_profiles_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_file_store_data_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_file_store_data_profiles_list/4","doc":"Lists file store data profiles for an organization.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_file_store_data_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_file_store_data_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project, for example `organizations/433245324/locations/europe` or `projects/project-id/locations/asia`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values: - `project_id` - The Google Cloud project ID. - `account_id` - The AWS account ID. - `file_store_path` - The path like \"gs://bucket\". - `data_source_type` - The profile's data source type, like \"google/storage/bucket\". - `data_storage_location` - The location where the file store's data is stored, like \"us-central1\". - `sensitivity_level` - HIGH|MODERATE|LOW - `data_risk_level` - HIGH|MODERATE|LOW - `resource_visibility`: PUBLIC|RESTRICTED - `status_code` - an RPC status code as defined in https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto * The operator must be `=` or `!=`. Examples: * `project_id = 12345 AND status_code = 1` * `project_id = 12345 AND sensitivity_level = HIGH` * `project_id = 12345 AND resource_visibility = PUBLIC` * `file_store_path = \"gs://mybucket\"` The length of this field should be no more than 500 characters.\n    *   `:orderBy` (*type:* `String.t`) - Optional. Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Only one order field at a time is allowed. Examples: * `project_id asc` * `name` * `sensitivity_level desc` Supported fields are: - `project_id`: The Google Cloud project ID. - `sensitivity_level`: How sensitive the data in a table is, at most. - `data_risk_level`: How much risk is associated with this data. - `profile_last_generated`: When the profile was last updated in epoch seconds. - `last_modified`: The last time the resource was modified. - `resource_visibility`: Visibility restriction for this resource. - `name`: The name of the profile. - `create_time`: The time the file store was first created.\n    *   `:pageSize` (*type:* `integer()`) - Optional. Size of the page. This value can be limited by the server. If zero, server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Optional. Page token to continue retrieval.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_file_store_data_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_file_store_data_profiles_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_file_store_data_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_image_redact/4","doc":"Redacts potentially sensitive info from an image. This method has limits on input size, processing time, and output size. See https://cloud.google.com/sensitive-data-protection/docs/redacting-sensitive-data-images to learn more. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_image_redact/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_image_redact/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_image_redact/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_image_redact/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_image_redact/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_create/4","doc":"Creates an InspectTemplate for reusing frequently used configuration for inspecting content, images, and storage. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_delete/4","doc":"Deletes an InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and inspectTemplate to be deleted, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_get/4","doc":"Gets an InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and inspectTemplate to be read, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_list/4","doc":"Lists InspectTemplates. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the template was created. - `update_time`: corresponds to the time the template was last updated. - `name`: corresponds to the template's name. - `display_name`: corresponds to the template's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListInspectTemplates`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_patch/4","doc":"Updates the InspectTemplate. See https://cloud.google.com/sensitive-data-protection/docs/creating-templates to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and inspectTemplate to be updated, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_inspect_templates_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_inspect_templates_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_activate/4","doc":"Activate a job trigger. Causes the immediate execute of a trigger instead of waiting on the trigger event to occur.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_activate/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_activate/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the trigger to activate, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_activate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_activate/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_activate/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_create/4","doc":"Creates a job trigger to run DLP actions such as scanning storage for sensitive information on a set schedule. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_delete/4","doc":"Deletes a job trigger. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_get/4","doc":"Gets a job trigger. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_hybrid_inspect/4","doc":"Inspect hybrid content and store findings to a trigger. The inspection will be processed asynchronously. To review the findings monitor the jobs within the trigger.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_hybrid_inspect/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_hybrid_inspect/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the trigger to execute a hybrid inspect on, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectJobTriggerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_hybrid_inspect/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_hybrid_inspect/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_hybrid_inspect/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_list/4","doc":"Lists job triggers. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values for inspect triggers: - `status` - HEALTHY|PAUSED|CANCELLED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - 'last_run_time` - RFC 3339 formatted timestamp, surrounded by quotation marks. Nanoseconds are ignored. - 'error_count' - Number of errors that have occurred while running. * The operator must be `=` or `!=` for status and inspected_storage. Examples: * inspected_storage = cloud_storage AND status = HEALTHY * inspected_storage = cloud_storage OR inspected_storage = bigquery * inspected_storage = cloud_storage AND (state = PAUSED OR state = HEALTHY) * last_run_time > \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters.\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of triggeredJob fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to the time the JobTrigger was created. - `update_time`: corresponds to the time the JobTrigger was last updated. - `last_run_time`: corresponds to the last time the JobTrigger ran. - `name`: corresponds to the JobTrigger's name. - `display_name`: corresponds to the JobTrigger's display name. - `status`: corresponds to JobTrigger's status.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by a server.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to ListJobTriggers. `order_by` field must not change for subsequent calls.\n    *   `:type` (*type:* `String.t`) - The type of jobs. Will use `DlpJobType.INSPECT` if not set.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_patch/4","doc":"Updates a job trigger. See https://cloud.google.com/sensitive-data-protection/docs/creating-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_job_triggers_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_job_triggers_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_project_data_profiles_get/4","doc":"Gets a project data profile.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_project_data_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_project_data_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name, for example `organizations/12345/locations/us/projectDataProfiles/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_project_data_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_project_data_profiles_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_project_data_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_project_data_profiles_list/4","doc":"Lists project data profiles for an organization.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_project_data_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_project_data_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. organizations/{org_id}/locations/{loc_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values: - `sensitivity_level` - HIGH|MODERATE|LOW - `data_risk_level` - HIGH|MODERATE|LOW - `status_code` - an RPC status code as defined in https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto * The operator must be `=` or `!=`. Examples: * `project_id = 12345 AND status_code = 1` * `project_id = 12345 AND sensitivity_level = HIGH` The length of this field should be no more than 500 characters.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Only one order field at a time is allowed. Examples: * `project_id` * `sensitivity_level desc` Supported fields are: - `project_id`: Google Cloud project ID - `sensitivity_level`: How sensitive the data in a project is, at most. - `data_risk_level`: How much risk is associated with this data. - `profile_last_generated`: When the profile was last updated in epoch seconds.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero, server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_project_data_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_project_data_profiles_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_project_data_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_create/4","doc":"Creates a pre-built stored infoType to be used for inspection. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_delete/4","doc":"Deletes a stored infoType. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and storedInfoType to be deleted, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_get/4","doc":"Gets a stored infoType. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and storedInfoType to be read, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_list/4","doc":"Lists stored infoTypes. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc, display_name, create_time desc` Supported fields are: - `create_time`: corresponds to the time the most recent version of the resource was created. - `state`: corresponds to the state of the resource. - `name`: corresponds to resource name. - `display_name`: corresponds to info type's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListStoredInfoTypes`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_patch/4","doc":"Updates the stored infoType by creating a new version. The existing version will continue to be used until the new version is ready. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and storedInfoType to be updated, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_stored_info_types_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_stored_info_types_patch/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_table_data_profiles_delete/4","doc":"Delete a TableDataProfile. Will not prevent the profile from being regenerated if the table is still included in a discovery configuration.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_table_data_profiles_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_table_data_profiles_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the table data profile.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_table_data_profiles_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_table_data_profiles_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_table_data_profiles_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_table_data_profiles_get/4","doc":"Gets a table data profile.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_table_data_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_table_data_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name, for example `organizations/12345/locations/us/tableDataProfiles/53234423`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_table_data_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_table_data_profiles_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_table_data_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_table_data_profiles_list/4","doc":"Lists table data profiles for an organization.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_table_data_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_table_data_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the organization or project, for example `organizations/433245324/locations/europe` or `projects/project-id/locations/asia`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Allows filtering. Supported syntax: * Filter expressions are made up of one or more restrictions. * Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. * A restriction has the form of `{field} {operator} {value}`. * Supported fields/values: - `project_id` - The Google Cloud project ID. - `dataset_id` - The BigQuery dataset ID. - `table_id` - The ID of the BigQuery table. - `sensitivity_level` - HIGH|MODERATE|LOW - `data_risk_level` - HIGH|MODERATE|LOW - `resource_visibility`: PUBLIC|RESTRICTED - `status_code` - an RPC status code as defined in https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto * The operator must be `=` or `!=`. Examples: * `project_id = 12345 AND status_code = 1` * `project_id = 12345 AND sensitivity_level = HIGH` * `project_id = 12345 AND resource_visibility = PUBLIC` The length of this field should be no more than 500 characters.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Only one order field at a time is allowed. Examples: * `project_id asc` * `table_id` * `sensitivity_level desc` Supported fields are: - `project_id`: The Google Cloud project ID. - `dataset_id`: The ID of a BigQuery dataset. - `table_id`: The ID of a BigQuery table. - `sensitivity_level`: How sensitive the data in a table is, at most. - `data_risk_level`: How much risk is associated with this data. - `profile_last_generated`: When the profile was last updated in epoch seconds. - `last_modified`: The last time the resource was modified. - `resource_visibility`: Visibility restriction for this resource. - `row_count`: Number of rows in this resource.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero, server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_table_data_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_locations_table_data_profiles_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_locations_table_data_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_create/4","doc":"Creates a pre-built stored infoType to be used for inspection. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` + Organizations scope, location specified: `organizations/{org_id}/locations/{location_id}` + Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_create/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_create/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_delete/4","doc":"Deletes a stored infoType. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and storedInfoType to be deleted, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_delete/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_delete/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_get/4","doc":"Gets a stored infoType. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the organization and storedInfoType to be read, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_get/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_get/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_list/4","doc":"Lists stored infoTypes. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/sensitive-data-protection/docs/specifying-location): + Projects scope, location specified: `projects/{project_id}/locations/{location_id}` + Projects scope, no location specified (defaults to global): `projects/{project_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:locationId` (*type:* `String.t`) - Deprecated. This field has no effect.\n    *   `:orderBy` (*type:* `String.t`) - Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc, display_name, create_time desc` Supported fields are: - `create_time`: corresponds to the time the most recent version of the resource was created. - `state`: corresponds to the state of the resource. - `name`: corresponds to resource name. - `display_name`: corresponds to info type's display name.\n    *   `:pageSize` (*type:* `integer()`) - Size of the page. This value can be limited by the server. If zero server returns a page of max size 100.\n    *   `:pageToken` (*type:* `String.t`) - Page token to continue retrieval. Comes from the previous call to `ListStoredInfoTypes`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_list/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_list/4-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_patch/4","doc":"Updates the stored infoType by creating a new version. The existing version will continue to be used until the new version is ready. See https://cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of organization and storedInfoType to be updated, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Api.Projects.dlp_projects_stored_info_types_patch/4","doc":"*   `{:ok, %GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DLP.V2.Api.Projects.html#dlp_projects_stored_info_types_patch/4-returns"},{"type":"module","title":"GoogleApi.DLP.V2.Connection","doc":"Handle Tesla connections for GoogleApi.DLP.V2.","ref":"GoogleApi.DLP.V2.Connection.html"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.DLP.V2.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.DLP.V2.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#get/3"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#head/3"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.DLP.V2.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.DLP.V2.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.DLP.V2.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.DLP.V2.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.DLP.V2.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.DLP.V2.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.DLP.V2.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#options/3"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DLP.V2.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DLP.V2.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DLP.V2.Connection.html#post/4"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DLP.V2.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DLP.V2.Connection.html#put/4"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DLP.V2.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.DLP.V2.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.DLP.V2.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.DLP.V2.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.DLP.V2.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.DLP.V2.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.DLP.V2.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DLP.V2.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.DLP.V2.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.DLP.V2.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.DLP.V2.Connection.t/0","doc":"","ref":"GoogleApi.DLP.V2.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action","doc":"A task to execute on the completion of a job. See https://cloud.google.com/sensitive-data-protection/docs/concepts-actions to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action","doc":"*   `deidentify` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Deidentify.t`, *default:* `nil`) - Create a de-identified copy of the input data.\n*   `jobNotificationEmails` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobNotificationEmails.t`, *default:* `nil`) - Sends an email when the job completes. The email goes to IAM project owners and technical [Essential Contacts](https://cloud.google.com/resource-manager/docs/managing-notification-contacts).\n*   `pubSub` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToPubSub.t`, *default:* `nil`) - Publish a notification to a Pub/Sub topic.\n*   `publishFindingsToCloudDataCatalog` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog.t`, *default:* `nil`) - Publish findings to Cloud Datahub.\n*   `publishSummaryToCscc` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishSummaryToCscc.t`, *default:* `nil`) - Publish summary to Cloud Security Command Center (Alpha).\n*   `publishToStackdriver` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToStackdriver.t`, *default:* `nil`) - Enable Stackdriver metric dlp.googleapis.com/finding_count.\n*   `saveFindings` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SaveFindings.t`, *default:* `nil`) - Save resulting findings in a provided location.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActionDetails","doc":"The results of an Action.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActionDetails.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActionDetails","doc":"*   `deidentifyDetails` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceDetails.t`, *default:* `nil`) - Outcome of a de-identification action.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActionDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActionDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActionDetails.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActionDetails.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActionDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest","doc":"Request message for ActivateJobTrigger.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActivateJobTriggerRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllInfoTypes","doc":"Apply transformation to all findings.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllInfoTypes.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllInfoTypes","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllInfoTypes.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllInfoTypes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllInfoTypes.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllInfoTypes.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllInfoTypes.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherBigQueryTables","doc":"Catch-all for all other tables not specified by other filters. Should always be last, except for single-table configurations, which will only have a TableReference target.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherBigQueryTables.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherBigQueryTables","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherBigQueryTables.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherBigQueryTables.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherBigQueryTables.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherBigQueryTables.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherBigQueryTables.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherDatabaseResources","doc":"Match database resources not covered by any other filter.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherDatabaseResources.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherDatabaseResources","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherDatabaseResources.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherDatabaseResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherDatabaseResources.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherDatabaseResources.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherDatabaseResources.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources","doc":"Match discovery resources not covered by any other filter.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllText","doc":"Apply to all text.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllText.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllText","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllText.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllText.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllText.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllText.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3Bucket","doc":"Amazon S3 bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3Bucket.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3Bucket","doc":"*   `awsAccount` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccount.t`, *default:* `nil`) - The AWS account.\n*   `bucketName` (*type:* `String.t`, *default:* `nil`) - Required. The bucket name.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3Bucket.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3Bucket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3Bucket.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3Bucket.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3Bucket.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketConditions","doc":"Amazon S3 bucket conditions.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketConditions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketConditions","doc":"*   `bucketTypes` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Bucket types that should be profiled. Optional. Defaults to TYPE_ALL_SUPPORTED if unspecified.\n*   `objectStorageClasses` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Object classes that should be profiled. Optional. Defaults to ALL_SUPPORTED_CLASSES if unspecified.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketConditions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketConditions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketRegex","doc":"Amazon S3 bucket regex.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketRegex.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketRegex","doc":"*   `awsAccountRegex` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccountRegex.t`, *default:* `nil`) - The AWS account regex.\n*   `bucketNameRegex` (*type:* `String.t`, *default:* `nil`) - Optional. Regex to test the bucket name against. If empty, all buckets match.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketRegex.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketRegex.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketRegex.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketRegex.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketRegex.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails","doc":"Result of a risk analysis operation request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails","doc":"*   `categoricalStatsResult` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsResult.t`, *default:* `nil`) - Categorical stats result\n*   `deltaPresenceEstimationResult` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationResult.t`, *default:* `nil`) - Delta-presence result\n*   `kAnonymityResult` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityResult.t`, *default:* `nil`) - K-anonymity result\n*   `kMapEstimationResult` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationResult.t`, *default:* `nil`) - K-map result\n*   `lDiversityResult` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityResult.t`, *default:* `nil`) - L-divesity result\n*   `numericalStatsResult` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsResult.t`, *default:* `nil`) - Numerical stats result\n*   `requestedOptions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedRiskAnalysisOptions.t`, *default:* `nil`) - The configuration used for this job.\n*   `requestedPrivacyMetric` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric.t`, *default:* `nil`) - Privacy metric to compute.\n*   `requestedSourceTable` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - Input dataset to compute metrics over.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AuxiliaryTable","doc":"An auxiliary table contains statistical information on the relative frequency of different quasi-identifiers values. It has one or several quasi-identifiers columns, and one column that indicates the relative frequency of each quasi-identifier tuple. If a tuple is present in the data but not in the auxiliary table, the corresponding relative frequency is assumed to be zero (and thus, the tuple is highly reidentifiable).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AuxiliaryTable.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AuxiliaryTable","doc":"*   `quasiIds` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdField.t)`, *default:* `nil`) - Required. Quasi-identifier columns.\n*   `relativeFrequency` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Required. The relative frequency column must contain a floating-point number between 0 and 1 (inclusive). Null values are assumed to be zero.\n*   `table` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - Required. Auxiliary table location.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AuxiliaryTable.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AuxiliaryTable.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AuxiliaryTable.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AuxiliaryTable.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AuxiliaryTable.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccount","doc":"AWS account.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccount.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccount","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Required. AWS account ID.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccount.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccount.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccountRegex","doc":"AWS account regex.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccountRegex.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccountRegex","doc":"*   `accountIdRegex` (*type:* `String.t`, *default:* `nil`) - Optional. Regex to test the AWS account ID against. If empty, all accounts match.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccountRegex.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccountRegex.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccountRegex.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccountRegex.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsAccountRegex.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsDiscoveryStartingLocation","doc":"The AWS starting location for discovery.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsDiscoveryStartingLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsDiscoveryStartingLocation","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - The AWS account ID that this discovery config applies to. Within an AWS organization, you can find the AWS account ID inside an AWS account ARN. Example: arn:{partition}:organizations::{management_account_id}:account/{org_id}/{account_id}\n*   `allAssetInventoryAssets` (*type:* `boolean()`, *default:* `nil`) - All AWS assets stored in Asset Inventory that didn't match other AWS discovery configs.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsDiscoveryStartingLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsDiscoveryStartingLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsDiscoveryStartingLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsDiscoveryStartingLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsDiscoveryStartingLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryDiscoveryTarget","doc":"Target used to match against for discovery with BigQuery tables","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryDiscoveryTarget.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryDiscoveryTarget","doc":"*   `cadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryGenerationCadence.t`, *default:* `nil`) - How often and when to update profiles. New tables that match both the filter and conditions are scanned as quickly as possible depending on system capacity.\n*   `conditions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryConditions.t`, *default:* `nil`) - In addition to matching the filter, these conditions must be true before a profile is generated.\n*   `disabled` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.t`, *default:* `nil`) - Tables that match this filter will not have profiles created.\n*   `filter` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryFilter.t`, *default:* `nil`) - Required. The tables the discovery cadence applies to. The first target with a matching filter will be the one to apply to a table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryDiscoveryTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryDiscoveryTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryDiscoveryTarget.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryDiscoveryTarget.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryDiscoveryTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryField","doc":"Message defining a field of a BigQuery table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryField.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryField","doc":"*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Designated field in the BigQuery table.\n*   `table` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - Source table of the field.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryField.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryField.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryField.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryField.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryKey","doc":"Row key for identifying a record in BigQuery table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryKey.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryKey","doc":"*   `rowNumber` (*type:* `String.t`, *default:* `nil`) - Row number inferred at the time the table was scanned. This value is nondeterministic, cannot be queried, and may be null for inspection jobs. To locate findings within a table, specify `inspect_job.storage_config.big_query_options.identifying_fields` in `CreateDlpJobRequest`.\n*   `tableReference` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - Complete BigQuery table reference.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryKey.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryKey.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryKey.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryKey.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryOptions","doc":"Options defining BigQuery table and row identifiers.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryOptions","doc":"*   `excludedFields` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t)`, *default:* `nil`) - References to fields excluded from scanning. This allows you to skip inspection of entire columns which you know have no findings. When inspecting a table, we recommend that you inspect all columns. Otherwise, findings might be affected because hints from excluded columns will not be used.\n*   `identifyingFields` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t)`, *default:* `nil`) - Table fields that may uniquely identify a row within the table. When `actions.saveFindings.outputConfig.table` is specified, the values of columns specified here are available in the output table under `location.content_locations.record_location.record_key.id_values`. Nested fields such as `person.birthdate.year` are allowed.\n*   `includedFields` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t)`, *default:* `nil`) - Limit scanning only to these fields. When inspecting a table, we recommend that you inspect all columns. Otherwise, findings might be affected because hints from excluded columns will not be used.\n*   `rowsLimit` (*type:* `String.t`, *default:* `nil`) - Max number of rows to scan. If the table has more rows than this value, the rest of the rows are omitted. If not set, or if set to 0, all rows will be scanned. Only one of rows_limit and rows_limit_percent can be specified. Cannot be used in conjunction with TimespanConfig.\n*   `rowsLimitPercent` (*type:* `integer()`, *default:* `nil`) - Max percentage of rows to scan. The rest are omitted. The number of rows scanned is rounded down. Must be between 0 and 100, inclusively. Both 0 and 100 means no limit. Defaults to 0. Only one of rows_limit and rows_limit_percent can be specified. Cannot be used in conjunction with TimespanConfig. Caution: A [known issue](https://cloud.google.com/sensitive-data-protection/docs/known-issues#bq-sampling) is causing the `rowsLimitPercent` field to behave unexpectedly. We recommend using `rowsLimit` instead.\n*   `sampleMethod` (*type:* `String.t`, *default:* `nil`) - How to sample the data.\n*   `tableReference` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - Complete BigQuery table reference.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryOptions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegex","doc":"A pattern to match against one or more tables, datasets, or projects that contain BigQuery tables. At least one pattern must be specified. Regular expressions use RE2 [syntax](https://github.com/google/re2/wiki/Syntax); a guide can be found under the google/re2 repository on GitHub.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegex.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegex","doc":"*   `datasetIdRegex` (*type:* `String.t`, *default:* `nil`) - If unset, this property matches all datasets.\n*   `projectIdRegex` (*type:* `String.t`, *default:* `nil`) - For organizations, if unset, will match all projects. Has no effect for data profile configurations created within a project.\n*   `tableIdRegex` (*type:* `String.t`, *default:* `nil`) - If unset, this property matches all tables.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegex.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegex.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegex.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegex.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegex.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegexes","doc":"A collection of regular expressions to determine what tables to match against.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegexes.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegexes","doc":"*   `patterns` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegex.t)`, *default:* `nil`) - A single BigQuery regular expression pattern to match against one or more tables, datasets, or projects that contain BigQuery tables.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegexes.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegexes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegexes.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegexes.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegexes.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable","doc":"Message defining the location of a BigQuery table. A table is uniquely identified by its project_id, dataset_id, and table_name. Within a query a table is often referenced with a string in the format of: `:.` or `..`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable","doc":"*   `datasetId` (*type:* `String.t`, *default:* `nil`) - Dataset ID of the table.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - The Google Cloud project ID of the project containing the table. If omitted, project ID is inferred from the API call.\n*   `tableId` (*type:* `String.t`, *default:* `nil`) - Name of the table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableCollection","doc":"Specifies a collection of BigQuery tables. Used for Discovery.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableCollection.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableCollection","doc":"*   `includeRegexes` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryRegexes.t`, *default:* `nil`) - A collection of regular expressions to match a BigQuery table against.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableCollection.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableCollection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableCollection.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableCollection.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableCollection.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableTypes","doc":"The types of BigQuery tables supported by Cloud DLP.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableTypes.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableTypes","doc":"*   `types` (*type:* `list(String.t)`, *default:* `nil`) - A set of BigQuery table types.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableTypes.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableTypes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableTypes.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableTypes.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableTypes.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BoundingBox","doc":"Bounding box encompassing detected text within an image.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BoundingBox.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BoundingBox","doc":"*   `height` (*type:* `integer()`, *default:* `nil`) - Height of the bounding box in pixels.\n*   `left` (*type:* `integer()`, *default:* `nil`) - Left coordinate of the bounding box. (0,0) is upper left.\n*   `top` (*type:* `integer()`, *default:* `nil`) - Top coordinate of the bounding box. (0,0) is upper left.\n*   `width` (*type:* `integer()`, *default:* `nil`) - Width of the bounding box in pixels.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BoundingBox.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BoundingBox.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BoundingBox.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BoundingBox.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BoundingBox.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Bucket","doc":"Bucket is represented as a range, along with replacement values.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Bucket.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Bucket","doc":"*   `max` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - Upper bound of the range, exclusive; type must match min.\n*   `min` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - Lower bound of the range, inclusive. Type should be the same as max if used.\n*   `replacementValue` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - Required. Replacement value for this bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Bucket.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Bucket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Bucket.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Bucket.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Bucket.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BucketingConfig","doc":"Generalization function that buckets values based on ranges. The ranges and replacement values are dynamically provided by the user for custom behavior, such as 1-30 -> LOW, 31-65 -> MEDIUM, 66-100 -> HIGH. This can be used on data of type: number, long, string, timestamp. If the bound `Value` type differs from the type of data being transformed, we will first attempt converting the type of the data to be transformed to match the type of the bound before comparing. See https://cloud.google.com/sensitive-data-protection/docs/concepts-bucketing to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BucketingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BucketingConfig","doc":"*   `buckets` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Bucket.t)`, *default:* `nil`) - Set of buckets. Ranges must be non-overlapping.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BucketingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BucketingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BucketingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BucketingConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BucketingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem","doc":"Container for bytes to inspect or redact.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem","doc":"*   `data` (*type:* `String.t`, *default:* `nil`) - Content data to inspect or redact.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of data stored in the bytes string. Default will be TEXT_UTF8.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest","doc":"The request message for canceling a DLP job.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CancelDlpJobRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsConfig","doc":"Compute numerical stats over an individual column, including number of distinct values and value count distribution.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsConfig","doc":"*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Field to compute categorical stats on. All column types are supported except for arrays and structs. However, it may be more informative to use NumericalStats when the field type is supported, depending on the data.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsHistogramBucket","doc":"Histogram of value frequencies in the column.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsHistogramBucket.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsHistogramBucket","doc":"*   `bucketSize` (*type:* `String.t`, *default:* `nil`) - Total number of values in this bucket.\n*   `bucketValueCount` (*type:* `String.t`, *default:* `nil`) - Total number of distinct values in this bucket.\n*   `bucketValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency.t)`, *default:* `nil`) - Sample of value frequencies in this bucket. The total number of values returned per bucket is capped at 20.\n*   `valueFrequencyLowerBound` (*type:* `String.t`, *default:* `nil`) - Lower bound on the value frequency of the values in this bucket.\n*   `valueFrequencyUpperBound` (*type:* `String.t`, *default:* `nil`) - Upper bound on the value frequency of the values in this bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsHistogramBucket.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsHistogramBucket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsHistogramBucket.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsHistogramBucket.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsHistogramBucket.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsResult","doc":"Result of the categorical stats computation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsResult.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsResult","doc":"*   `valueFrequencyHistogramBuckets` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsHistogramBucket.t)`, *default:* `nil`) - Histogram of value frequencies in the column.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsResult.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsResult.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharacterMaskConfig","doc":"Partially mask a string by replacing a given number of characters with a fixed character. Masking can start from the beginning or end of the string. This can be used on data of any type (numbers, longs, and so on) and when de-identifying structured data we'll attempt to preserve the original data's type. (This allows you to take a long like 123 and modify it to a string like **3.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharacterMaskConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharacterMaskConfig","doc":"*   `charactersToIgnore` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharsToIgnore.t)`, *default:* `nil`) - When masking a string, items in this list will be skipped when replacing characters. For example, if the input string is `555-555-5555` and you instruct Cloud DLP to skip `-` and mask 5 characters with `*`, Cloud DLP returns `***-**5-5555`.\n*   `maskingCharacter` (*type:* `String.t`, *default:* `nil`) - Character to use to mask the sensitive values—for example, `*` for an alphabetic string such as a name, or `0` for a numeric string such as ZIP code or credit card number. This string must have a length of 1. If not supplied, this value defaults to `*` for strings, and `0` for digits.\n*   `numberToMask` (*type:* `integer()`, *default:* `nil`) - Number of characters to mask. If not set, all matching chars will be masked. Skipped characters do not count towards this tally. If `number_to_mask` is negative, this denotes inverse masking. Cloud DLP masks all but a number of characters. For example, suppose you have the following values: - `masking_character` is `*` - `number_to_mask` is `-4` - `reverse_order` is `false` - `CharsToIgnore` includes `-` - Input string is `1234-5678-9012-3456` The resulting de-identified string is `****-****-****-3456`. Cloud DLP masks all but the last four characters. If `reverse_order` is `true`, all but the first four characters are masked as `1234-****-****-****`.\n*   `reverseOrder` (*type:* `boolean()`, *default:* `nil`) - Mask characters in reverse order. For example, if `masking_character` is `0`, `number_to_mask` is `14`, and `reverse_order` is `false`, then the input string `1234-5678-9012-3456` is masked as `00000000000000-3456`. If `masking_character` is `*`, `number_to_mask` is `3`, and `reverse_order` is `true`, then the string `12345` is masked as `12***`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharacterMaskConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharacterMaskConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharacterMaskConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharacterMaskConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharacterMaskConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharsToIgnore","doc":"Characters to skip when doing deidentification of a value. These will be left alone and skipped.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharsToIgnore.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharsToIgnore","doc":"*   `charactersToSkip` (*type:* `String.t`, *default:* `nil`) - Characters to not transform when masking.\n*   `commonCharactersToIgnore` (*type:* `String.t`, *default:* `nil`) - Common characters to not transform when masking. Useful to avoid removing punctuation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharsToIgnore.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharsToIgnore.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharsToIgnore.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharsToIgnore.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharsToIgnore.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlDiscoveryTarget","doc":"Target used to match against for discovery with Cloud SQL tables.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlDiscoveryTarget.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlDiscoveryTarget","doc":"*   `conditions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlConditions.t`, *default:* `nil`) - In addition to matching the filter, these conditions must be true before a profile is generated.\n*   `disabled` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.t`, *default:* `nil`) - Disable profiling for database resources that match this filter.\n*   `filter` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlFilter.t`, *default:* `nil`) - Required. The tables the discovery cadence applies to. The first target with a matching filter will be the one to apply to a table.\n*   `generationCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlGenerationCadence.t`, *default:* `nil`) - How often and when to update profiles. New tables that match both the filter and conditions are scanned as quickly as possible depending on system capacity.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlDiscoveryTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlDiscoveryTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlDiscoveryTarget.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlDiscoveryTarget.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlDiscoveryTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlIamCredential","doc":"Use IAM authentication to connect. This requires the Cloud SQL IAM feature to be enabled on the instance, which is not the default for Cloud SQL. See https://cloud.google.com/sql/docs/postgres/authentication and https://cloud.google.com/sql/docs/mysql/authentication.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlIamCredential.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlIamCredential","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlIamCredential.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlIamCredential.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlIamCredential.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlIamCredential.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlIamCredential.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlProperties","doc":"Cloud SQL connection properties.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlProperties.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlProperties","doc":"*   `cloudSqlIam` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlIamCredential.t`, *default:* `nil`) - Built-in IAM authentication (must be configured in Cloud SQL).\n*   `connectionName` (*type:* `String.t`, *default:* `nil`) - Optional. Immutable. The Cloud SQL instance for which the connection is defined. Only one connection per instance is allowed. This can only be set at creation time, and cannot be updated. It is an error to use a connection_name from different project or region than the one that holds the connection. For example, a Connection resource for Cloud SQL connection_name `project-id:us-central1:sql-instance` must be created under the parent `projects/project-id/locations/us-central1`\n*   `databaseEngine` (*type:* `String.t`, *default:* `nil`) - Required. The database engine used by the Cloud SQL instance that this connection configures.\n*   `maxConnections` (*type:* `integer()`, *default:* `nil`) - Required. The DLP API will limit its connections to max_connections. Must be 2 or greater.\n*   `usernamePassword` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretManagerCredential.t`, *default:* `nil`) - A username and password stored in Secret Manager.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlProperties.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlProperties.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageDiscoveryTarget","doc":"Target used to match against for discovery with Cloud Storage buckets.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageDiscoveryTarget.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageDiscoveryTarget","doc":"*   `conditions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryFileStoreConditions.t`, *default:* `nil`) - Optional. In addition to matching the filter, these conditions must be true before a profile is generated.\n*   `disabled` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.t`, *default:* `nil`) - Optional. Disable profiling for buckets that match this filter.\n*   `filter` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageFilter.t`, *default:* `nil`) - Required. The buckets the generation_cadence applies to. The first target with a matching filter will be the one to apply to a bucket.\n*   `generationCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageGenerationCadence.t`, *default:* `nil`) - Optional. How often and when to update profiles. New buckets that match both the filter and conditions are scanned as quickly as possible depending on system capacity.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageDiscoveryTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageDiscoveryTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageDiscoveryTarget.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageDiscoveryTarget.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageDiscoveryTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageFileSet","doc":"Message representing a set of files in Cloud Storage.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageFileSet.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageFileSet","doc":"*   `url` (*type:* `String.t`, *default:* `nil`) - The url, in the format `gs:///`. Trailing wildcard in the path is allowed.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageFileSet.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageFileSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageFileSet.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageFileSet.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageFileSet.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageOptions","doc":"Options defining a file or a set of files within a Cloud Storage bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageOptions","doc":"*   `bytesLimitPerFile` (*type:* `String.t`, *default:* `nil`) - Max number of bytes to scan from a file. If a scanned file's size is bigger than this value then the rest of the bytes are omitted. Only one of `bytes_limit_per_file` and `bytes_limit_per_file_percent` can be specified. This field can't be set if de-identification is requested. For certain file types, setting this field has no effect. For more information, see [Limits on bytes scanned per file](https://cloud.google.com/sensitive-data-protection/docs/supported-file-types#max-byte-size-per-file).\n*   `bytesLimitPerFilePercent` (*type:* `integer()`, *default:* `nil`) - Max percentage of bytes to scan from a file. The rest are omitted. The number of bytes scanned is rounded down. Must be between 0 and 100, inclusively. Both 0 and 100 means no limit. Defaults to 0. Only one of bytes_limit_per_file and bytes_limit_per_file_percent can be specified. This field can't be set if de-identification is requested. For certain file types, setting this field has no effect. For more information, see [Limits on bytes scanned per file](https://cloud.google.com/sensitive-data-protection/docs/supported-file-types#max-byte-size-per-file).\n*   `fileSet` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileSet.t`, *default:* `nil`) - The set of one or more files to scan.\n*   `fileTypes` (*type:* `list(String.t)`, *default:* `nil`) - List of file type groups to include in the scan. If empty, all files are scanned and available data format processors are applied. In addition, the binary content of the selected files is always scanned as well. Images are scanned only as binary if the specified region does not support image inspection and no file_types were specified. Image inspection is restricted to 'global', 'us', 'asia', and 'europe'.\n*   `filesLimitPercent` (*type:* `integer()`, *default:* `nil`) - Limits the number of files to scan to this percentage of the input FileSet. Number of files scanned is rounded down. Must be between 0 and 100, inclusively. Both 0 and 100 means no limit. Defaults to 0.\n*   `sampleMethod` (*type:* `String.t`, *default:* `nil`) - How to sample the data.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageOptions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath","doc":"Message representing a single file or path in Cloud Storage.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath","doc":"*   `path` (*type:* `String.t`, *default:* `nil`) - A URL representing a file or path (no wildcards) in Cloud Storage. Example: `gs://[BUCKET_NAME]/dictionary.txt`","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegex","doc":"A pattern to match against one or more file stores. At least one pattern must be specified. Regular expressions use RE2 [syntax](https://github.com/google/re2/wiki/Syntax); a guide can be found under the google/re2 repository on GitHub.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegex.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegex","doc":"*   `bucketNameRegex` (*type:* `String.t`, *default:* `nil`) - Optional. Regex to test the bucket name against. If empty, all buckets match. Example: \"marketing2021\" or \"(marketing)\\d{4}\" will both match the bucket gs://marketing2021\n*   `projectIdRegex` (*type:* `String.t`, *default:* `nil`) - Optional. For organizations, if unset, will match all projects.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegex.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegex.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegex.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegex.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegex.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegexFileSet","doc":"Message representing a set of files in a Cloud Storage bucket. Regular expressions are used to allow fine-grained control over which files in the bucket to include. Included files are those that match at least one item in `include_regex` and do not match any items in `exclude_regex`. Note that a file that matches items from both lists will _not_ be included. For a match to occur, the entire file path (i.e., everything in the url after the bucket name) must match the regular expression. For example, given the input `{bucket_name: \"mybucket\", include_regex: [\"directory1/.*\"], exclude_regex: [\"directory1/excluded.*\"]}`: * `gs://mybucket/directory1/myfile` will be included * `gs://mybucket/directory1/directory2/myfile` will be included (`.*` matches across `/`) * `gs://mybucket/directory0/directory1/myfile` will _not_ be included (the full path doesn't match any items in `include_regex`) * `gs://mybucket/directory1/excludedfile` will _not_ be included (the path matches an item in `exclude_regex`) If `include_regex` is left empty, it will match all files by default (this is equivalent to setting `include_regex: [\".*\"]`). Some other common use cases: * `{bucket_name: \"mybucket\", exclude_regex: [\".*\\.pdf\"]}` will include all files in `mybucket` except for .pdf files * `{bucket_name: \"mybucket\", include_regex: [\"directory/[^/]+\"]}` will include all files directly under `gs://mybucket/directory/`, without matching across `/`","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegexFileSet.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegexFileSet","doc":"*   `bucketName` (*type:* `String.t`, *default:* `nil`) - The name of a Cloud Storage bucket. Required.\n*   `excludeRegex` (*type:* `list(String.t)`, *default:* `nil`) - A list of regular expressions matching file paths to exclude. All files in the bucket that match at least one of these regular expressions will be excluded from the scan. Regular expressions use RE2 [syntax](https://github.com/google/re2/wiki/Syntax); a guide can be found under the google/re2 repository on GitHub.\n*   `includeRegex` (*type:* `list(String.t)`, *default:* `nil`) - A list of regular expressions matching file paths to include. All files in the bucket that match at least one of these regular expressions will be included in the set of files, except for those that also match an item in `exclude_regex`. Leaving this field empty will match all files by default (this is equivalent to including `.*` in the list). Regular expressions use RE2 [syntax](https://github.com/google/re2/wiki/Syntax); a guide can be found under the google/re2 repository on GitHub.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegexFileSet.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegexFileSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegexFileSet.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegexFileSet.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegexFileSet.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageResourceReference","doc":"Identifies a single Cloud Storage bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageResourceReference.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageResourceReference","doc":"*   `bucketName` (*type:* `String.t`, *default:* `nil`) - Required. The bucket to scan.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Required. If within a project-level config, then this must match the config's project id.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageResourceReference.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageResourceReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageResourceReference.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageResourceReference.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageResourceReference.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color","doc":"Represents a color in the RGB color space.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color","doc":"*   `blue` (*type:* `number()`, *default:* `nil`) - The amount of blue in the color as a value in the interval [0, 1].\n*   `green` (*type:* `number()`, *default:* `nil`) - The amount of green in the color as a value in the interval [0, 1].\n*   `red` (*type:* `number()`, *default:* `nil`) - The amount of red in the color as a value in the interval [0, 1].","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile","doc":"The profile for a scanned column within a table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile","doc":"*   `column` (*type:* `String.t`, *default:* `nil`) - The name of the column.\n*   `columnInfoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary.t`, *default:* `nil`) - If it's been determined this column can be identified as a single type, this will be set. Otherwise the column either has unidentifiable content or mixed types.\n*   `columnType` (*type:* `String.t`, *default:* `nil`) - The data type of a given column.\n*   `dataRiskLevel` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.t`, *default:* `nil`) - The data risk level for this column.\n*   `datasetId` (*type:* `String.t`, *default:* `nil`) - The BigQuery dataset ID, if the resource profiled is a BigQuery table.\n*   `datasetLocation` (*type:* `String.t`, *default:* `nil`) - If supported, the location where the dataset's data is stored. See https://cloud.google.com/bigquery/docs/locations for supported BigQuery locations.\n*   `datasetProjectId` (*type:* `String.t`, *default:* `nil`) - The Google Cloud project ID that owns the profiled resource.\n*   `estimatedNullPercentage` (*type:* `String.t`, *default:* `nil`) - Approximate percentage of entries being null in the column.\n*   `estimatedUniquenessScore` (*type:* `String.t`, *default:* `nil`) - Approximate uniqueness of the column.\n*   `freeTextScore` (*type:* `float()`, *default:* `nil`) - The likelihood that this column contains free-form text. A value close to 1 may indicate the column is likely to contain free-form or natural language text. Range in 0-1.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the profile.\n*   `otherMatches` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary.t)`, *default:* `nil`) - Other types found within this column. List will be unordered.\n*   `policyState` (*type:* `String.t`, *default:* `nil`) - Indicates if a policy tag has been applied to the column.\n*   `profileLastGenerated` (*type:* `DateTime.t`, *default:* `nil`) - The last time the profile was generated.\n*   `profileStatus` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.t`, *default:* `nil`) - Success or error status from the most recent profile generation attempt. May be empty if the profile is still being generated.\n*   `sensitivityScore` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t`, *default:* `nil`) - The sensitivity of this column.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of a profile.\n*   `tableDataProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the table data profile.\n*   `tableFullResource` (*type:* `String.t`, *default:* `nil`) - The resource name of the resource this column is within.\n*   `tableId` (*type:* `String.t`, *default:* `nil`) - The table ID.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Condition","doc":"The field type of `value` and `field` do not need to match to be considered equal, but not all comparisons are possible. EQUAL_TO and NOT_EQUAL_TO attempt to compare even with incompatible types, but all other comparisons are invalid with incompatible types. A `value` of type: - `string` can be compared against all other types - `boolean` can only be compared against other booleans - `integer` can be compared against doubles or a string if the string value can be parsed as an integer. - `double` can be compared against integers or a string if the string can be parsed as a double. - `Timestamp` can be compared against strings in RFC 3339 date string format. - `TimeOfDay` can be compared against timestamps and strings in the format of 'HH:mm:ss'. If we fail to compare do to type mismatch, a warning will be given and the condition will evaluate to false.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Condition.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Condition","doc":"*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Required. Field within the record this condition is evaluated against.\n*   `operator` (*type:* `String.t`, *default:* `nil`) - Required. Operator used to compare the field or infoType to the value.\n*   `value` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - Value to compare against. [Mandatory, except for `EXISTS` tests.]","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Condition.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Condition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Condition.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Condition.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Condition.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Conditions","doc":"A collection of conditions.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Conditions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Conditions","doc":"*   `conditions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Condition.t)`, *default:* `nil`) - A collection of conditions.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Conditions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Conditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Conditions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Conditions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Conditions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection","doc":"A data connection to allow the DLP API to profile data in locations that require additional configuration.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection","doc":"*   `cloudSql` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlProperties.t`, *default:* `nil`) - Connect to a Cloud SQL instance.\n*   `errors` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.t)`, *default:* `nil`) - Output only. Set if status == ERROR, to provide additional details. Will store the last 10 errors sorted with the most recent first.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the connection: `projects/{project}/locations/{location}/connections/{name}`.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Required. The connection's state in its lifecycle.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container","doc":"Represents a container that may contain DLP findings. Examples of a container include a file, table, or database record.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container","doc":"*   `fullPath` (*type:* `String.t`, *default:* `nil`) - A string representation of the full container name. Examples: - BigQuery: 'Project:DataSetId.TableId' - Cloud Storage: 'gs://Bucket/folders/filename.txt'\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Project where the finding was found. Can be different from the project that owns the finding.\n*   `relativePath` (*type:* `String.t`, *default:* `nil`) - The rest of the path after the root. Examples: - For BigQuery table `project_id:dataset_id.table_id`, the relative path is `table_id` - For Cloud Storage file `gs://bucket/folder/filename.txt`, the relative path is `folder/filename.txt`\n*   `rootPath` (*type:* `String.t`, *default:* `nil`) - The root of the container. Examples: - For BigQuery table `project_id:dataset_id.table_id`, the root is `dataset_id` - For Cloud Storage file `gs://bucket/folder/filename.txt`, the root is `gs://bucket`\n*   `type` (*type:* `String.t`, *default:* `nil`) - Container type, for example BigQuery or Cloud Storage.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Findings container modification timestamp, if applicable. For Cloud Storage, this field contains the last file modification timestamp. For a BigQuery table, this field contains the last_modified_time property. For Datastore, this field isn't populated.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Findings container version, if available (\"generation\" for Cloud Storage).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem","doc":"Type of content to inspect.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem","doc":"*   `byteItem` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem.t`, *default:* `nil`) - Content data to inspect or redact. Replaces `type` and `data`.\n*   `table` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Table.t`, *default:* `nil`) - Structured content for inspection. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-text#inspecting_a_table to learn more.\n*   `value` (*type:* `String.t`, *default:* `nil`) - String data to inspect or redact.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentLocation","doc":"Precise location of the finding within a document, record, image, or metadata container.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentLocation","doc":"*   `containerName` (*type:* `String.t`, *default:* `nil`) - Name of the container where the finding is located. The top level name is the source file name or table name. Names of some common storage containers are formatted as follows: * BigQuery tables: `{project_id}:{dataset_id}.{table_id}` * Cloud Storage files: `gs://{bucket}/{path}` * Datastore namespace: {namespace} Nested names could be absent if the embedded object has no string identifier (for example, an image contained within a document).\n*   `containerTimestamp` (*type:* `DateTime.t`, *default:* `nil`) - Finding container modification timestamp, if applicable. For Cloud Storage, this field contains the last file modification timestamp. For a BigQuery table, this field contains the last_modified_time property. For Datastore, this field isn't populated.\n*   `containerVersion` (*type:* `String.t`, *default:* `nil`) - Finding container version, if available (\"generation\" for Cloud Storage).\n*   `documentLocation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DocumentLocation.t`, *default:* `nil`) - Location data for document files.\n*   `imageLocation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageLocation.t`, *default:* `nil`) - Location within an image's pixels.\n*   `metadataLocation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2MetadataLocation.t`, *default:* `nil`) - Location within the metadata for inspected content.\n*   `recordLocation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordLocation.t`, *default:* `nil`) - Location within a row or record of a database table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest","doc":"Request message for CreateConnection.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.t`, *default:* `nil`) - Required. The connection resource.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateConnectionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest","doc":"Request message for CreateDeidentifyTemplate.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest","doc":"*   `deidentifyTemplate` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.t`, *default:* `nil`) - Required. The DeidentifyTemplate to create.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. This field has no effect.\n*   `templateId` (*type:* `String.t`, *default:* `nil`) - The template id can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDeidentifyTemplateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest","doc":"Request message for CreateDiscoveryConfig.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest","doc":"*   `configId` (*type:* `String.t`, *default:* `nil`) - The config ID can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one.\n*   `discoveryConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.t`, *default:* `nil`) - Required. The DiscoveryConfig to create.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDiscoveryConfigRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest","doc":"Request message for CreateDlpJobRequest. Used to initiate long running jobs such as calculating risk metrics or inspecting Google Cloud Storage.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest","doc":"*   `inspectJob` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig.t`, *default:* `nil`) - An inspection job scans a storage repository for InfoTypes.\n*   `jobId` (*type:* `String.t`, *default:* `nil`) - The job id can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. This field has no effect.\n*   `riskJob` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig.t`, *default:* `nil`) - A risk analysis job calculates re-identification risk metrics for a BigQuery table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateDlpJobRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest","doc":"Request message for CreateInspectTemplate.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest","doc":"*   `inspectTemplate` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.t`, *default:* `nil`) - Required. The InspectTemplate to create.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. This field has no effect.\n*   `templateId` (*type:* `String.t`, *default:* `nil`) - The template id can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateInspectTemplateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest","doc":"Request message for CreateJobTrigger.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest","doc":"*   `jobTrigger` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger.t`, *default:* `nil`) - Required. The JobTrigger to create.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. This field has no effect.\n*   `triggerId` (*type:* `String.t`, *default:* `nil`) - The trigger id can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateJobTriggerRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest","doc":"Request message for CreateStoredInfoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest","doc":"*   `config` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig.t`, *default:* `nil`) - Required. Configuration of the storedInfoType to create.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. This field has no effect.\n*   `storedInfoTypeId` (*type:* `String.t`, *default:* `nil`) - The storedInfoType ID can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CreateStoredInfoTypeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoDeterministicConfig","doc":"Pseudonymization method that generates deterministic encryption for the given input. Outputs a base64 encoded representation of the encrypted output. Uses AES-SIV based on the RFC https://tools.ietf.org/html/rfc5297.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoDeterministicConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoDeterministicConfig","doc":"*   `context` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - A context may be used for higher security and maintaining referential integrity such that the same identifier in two different contexts will be given a distinct surrogate. The context is appended to plaintext value being encrypted. On decryption the provided context is validated against the value used during encryption. If a context was provided during encryption, same context must be provided during decryption as well. If the context is not set, plaintext would be used as is for encryption. If the context is set but: 1. there is no record present when transforming a given value or 2. the field is not present when transforming a given value, plaintext would be used as is for encryption. Note that case (1) is expected when an `InfoTypeTransformation` is applied to both structured and unstructured `ContentItem`s.\n*   `cryptoKey` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.t`, *default:* `nil`) - The key used by the encryption function. For deterministic encryption using AES-SIV, the provided key is internally expanded to 64 bytes prior to use.\n*   `surrogateInfoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - The custom info type to annotate the surrogate with. This annotation will be applied to the surrogate by prefixing it with the name of the custom info type followed by the number of characters comprising the surrogate. The following scheme defines the format: {info type name}({surrogate character count}):{surrogate} For example, if the name of custom info type is 'MY_TOKEN_INFO_TYPE' and the surrogate is 'abc', the full replacement value will be: 'MY_TOKEN_INFO_TYPE(3):abc' This annotation identifies the surrogate when inspecting content using the custom info type 'Surrogate'. This facilitates reversal of the surrogate when it occurs in free text. Note: For record transformations where the entire cell in a table is being transformed, surrogates are not mandatory. Surrogates are used to denote the location of the token and are necessary for re-identification in free form text. In order for inspection to work properly, the name of this info type must not occur naturally anywhere in your data; otherwise, inspection may either - reverse a surrogate that does not correspond to an actual identifier - be unable to parse the surrogate and result in an error Therefore, choose your custom info type name carefully after considering what your data looks like. One way to select a name that has a high chance of yielding reliable detection is to include one or more unicode characters that are highly improbable to exist in your data. For example, assuming your data is entered from a regular ASCII keyboard, the symbol with the hex code point 29DD might be used like so: ⧝MY_TOKEN_TYPE.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoDeterministicConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoDeterministicConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoDeterministicConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoDeterministicConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoDeterministicConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoHashConfig","doc":"Pseudonymization method that generates surrogates via cryptographic hashing. Uses SHA-256. The key size must be either 32 or 64 bytes. Outputs a base64 encoded representation of the hashed output (for example, L7k0BHmF1ha5U3NfGykjro4xWi1MPVQPjhMAZbSV9mM=). Currently, only string and integer values can be hashed. See https://cloud.google.com/sensitive-data-protection/docs/pseudonymization to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoHashConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoHashConfig","doc":"*   `cryptoKey` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.t`, *default:* `nil`) - The key used by the hash function.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoHashConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoHashConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoHashConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoHashConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoHashConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey","doc":"This is a data encryption key (DEK) (as opposed to a key encryption key (KEK) stored by Cloud Key Management Service (Cloud KMS). When using Cloud KMS to wrap or unwrap a DEK, be sure to set an appropriate IAM policy on the KEK to ensure an attacker cannot unwrap the DEK.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey","doc":"*   `kmsWrapped` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KmsWrappedCryptoKey.t`, *default:* `nil`) - Key wrapped using Cloud KMS\n*   `transient` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransientCryptoKey.t`, *default:* `nil`) - Transient crypto key\n*   `unwrapped` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UnwrappedCryptoKey.t`, *default:* `nil`) - Unwrapped crypto key","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig","doc":"Replaces an identifier with a surrogate using Format Preserving Encryption (FPE) with the FFX mode of operation; however when used in the `ReidentifyContent` API method, it serves the opposite function by reversing the surrogate back into the original identifier. The identifier must be encoded as ASCII. For a given crypto key and context, the same identifier will be replaced with the same surrogate. Identifiers must be at least two characters long. In the case that the identifier is the empty string, it will be skipped. See https://cloud.google.com/sensitive-data-protection/docs/pseudonymization to learn more. Note: We recommend using CryptoDeterministicConfig for all use cases which do not require preserving the input alphabet space and size, plus warrant referential integrity.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig","doc":"*   `commonAlphabet` (*type:* `String.t`, *default:* `nil`) - Common alphabets.\n*   `context` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - The 'tweak', a context may be used for higher security since the same identifier in two different contexts won't be given the same surrogate. If the context is not set, a default tweak will be used. If the context is set but: 1. there is no record present when transforming a given value or 1. the field is not present when transforming a given value, a default tweak will be used. Note that case (1) is expected when an `InfoTypeTransformation` is applied to both structured and unstructured `ContentItem`s. Currently, the referenced field may be of value type integer or string. The tweak is constructed as a sequence of bytes in big endian byte order such that: - a 64 bit integer is encoded followed by a single byte of value 1 - a string is encoded in UTF-8 format followed by a single byte of value 2\n*   `cryptoKey` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.t`, *default:* `nil`) - Required. The key used by the encryption algorithm.\n*   `customAlphabet` (*type:* `String.t`, *default:* `nil`) - This is supported by mapping these to the alphanumeric characters that the FFX mode natively supports. This happens before/after encryption/decryption. Each character listed must appear only once. Number of characters must be in the range [2, 95]. This must be encoded as ASCII. The order of characters does not matter. The full list of allowed characters is: ``0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz~`!@#$%^&*()_-+={[}]|\\:;\"'<,>.?/``\n*   `radix` (*type:* `integer()`, *default:* `nil`) - The native way to select the alphabet. Must be in the range [2, 95].\n*   `surrogateInfoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - The custom infoType to annotate the surrogate with. This annotation will be applied to the surrogate by prefixing it with the name of the custom infoType followed by the number of characters comprising the surrogate. The following scheme defines the format: info_type_name(surrogate_character_count):surrogate For example, if the name of custom infoType is 'MY_TOKEN_INFO_TYPE' and the surrogate is 'abc', the full replacement value will be: 'MY_TOKEN_INFO_TYPE(3):abc' This annotation identifies the surrogate when inspecting content using the custom infoType [`SurrogateType`](https://cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/InspectConfig#surrogatetype). This facilitates reversal of the surrogate when it occurs in free text. In order for inspection to work properly, the name of this infoType must not occur naturally anywhere in your data; otherwise, inspection may find a surrogate that does not correspond to an actual identifier. Therefore, choose your custom infoType name carefully after considering what your data looks like. One way to select a name that has a high chance of yielding reliable detection is to include one or more unicode characters that are highly improbable to exist in your data. For example, assuming your data is entered from a regular ASCII keyboard, the symbol with the hex code point 29DD might be used like so: ⧝MY_TOKEN_TYPE","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CustomInfoType","doc":"Custom information type provided by the user. Used to find domain-specific sensitive information configurable to the data in question.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CustomInfoType.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CustomInfoType","doc":"*   `detectionRules` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DetectionRule.t)`, *default:* `nil`) - Set of detection rules to apply to all findings of this CustomInfoType. Rules are applied in order that they are specified. Not supported for the `surrogate_type` CustomInfoType.\n*   `dictionary` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary.t`, *default:* `nil`) - A list of phrases to detect as a CustomInfoType.\n*   `exclusionType` (*type:* `String.t`, *default:* `nil`) - If set to EXCLUSION_TYPE_EXCLUDE this infoType will not cause a finding to be returned. It still can be used for rules matching.\n*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - CustomInfoType can either be a new infoType, or an extension of built-in infoType, when the name matches one of existing infoTypes and that infoType is specified in `InspectContent.info_types` field. Specifying the latter adds findings to the one detected by the system. If built-in info type is not specified in `InspectContent.info_types` list then the name is treated as a custom info type.\n*   `likelihood` (*type:* `String.t`, *default:* `nil`) - Likelihood to return for this CustomInfoType. This base value can be altered by a detection rule if the finding meets the criteria specified by the rule. Defaults to `VERY_LIKELY` if not specified.\n*   `regex` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.t`, *default:* `nil`) - Regular expression based CustomInfoType.\n*   `sensitivityScore` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t`, *default:* `nil`) - Sensitivity for this CustomInfoType. If this CustomInfoType extends an existing InfoType, the sensitivity here will take precedence over that of the original InfoType. If unset for a CustomInfoType, it will default to HIGH. This only applies to data profiling.\n*   `storedType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredType.t`, *default:* `nil`) - Load an existing `StoredInfoType` resource for use in `InspectDataSource`. Not currently supported in `InspectContent`.\n*   `surrogateType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SurrogateType.t`, *default:* `nil`) - Message for detecting output from deidentification transformations that support reversing.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CustomInfoType.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CustomInfoType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CustomInfoType.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CustomInfoType.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CustomInfoType.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction","doc":"A task to execute when a data profile has been generated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction","doc":"*   `exportData` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Export.t`, *default:* `nil`) - Export data profiles into a provided location.\n*   `pubSubNotification` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubNotification.t`, *default:* `nil`) - Publish a message into the Pub/Sub topic.\n*   `publishToChronicle` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToChronicle.t`, *default:* `nil`) - Publishes generated data profiles to Google Security Operations. For more information, see [Use Sensitive Data Protection data in context-aware analytics](https://cloud.google.com/chronicle/docs/detection/usecase-dlp-high-risk-user-download).\n*   `publishToScc` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToSecurityCommandCenter.t`, *default:* `nil`) - Publishes findings to Security Command Center for each data profile.\n*   `tagResources` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagResources.t`, *default:* `nil`) - Tags the profiled resources with the specified tag values.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileBigQueryRowSchema","doc":"The schema of data to be saved to the BigQuery table when the `DataProfileAction` is enabled.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileBigQueryRowSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileBigQueryRowSchema","doc":"*   `columnProfile` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile.t`, *default:* `nil`) - Column data profile column\n*   `fileStoreProfile` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile.t`, *default:* `nil`) - File store data profile column.\n*   `tableProfile` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile.t`, *default:* `nil`) - Table data profile column","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileBigQueryRowSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileBigQueryRowSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileBigQueryRowSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileBigQueryRowSchema.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileBigQueryRowSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot","doc":"Snapshot of the configurations used to generate the profile.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot","doc":"*   `dataProfileJob` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileJobConfig.t`, *default:* `nil`) - A copy of the configuration used to generate this profile. This is deprecated, and the DiscoveryConfig field is preferred moving forward. DataProfileJobConfig will still be written here for Discovery in BigQuery for backwards compatibility, but will not be updated with new fields, while DiscoveryConfig will.\n*   `discoveryConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.t`, *default:* `nil`) - A copy of the configuration used to generate this profile.\n*   `inspectConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.t`, *default:* `nil`) - A copy of the inspection config used to generate this profile. This is a copy of the inspect_template specified in `DataProfileJobConfig`.\n*   `inspectTemplateModifiedTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when the template was modified\n*   `inspectTemplateName` (*type:* `String.t`, *default:* `nil`) - Name of the inspection template used to generate this profile","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileJobConfig","doc":"Configuration for setting up a job to scan resources for profile generation. Only one data profile configuration may exist per organization, folder, or project. The generated data profiles are retained according to the [data retention policy] (https://cloud.google.com/sensitive-data-protection/docs/data-profiles#retention).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileJobConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileJobConfig","doc":"*   `dataProfileActions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction.t)`, *default:* `nil`) - Actions to execute at the completion of the job.\n*   `inspectTemplates` (*type:* `list(String.t)`, *default:* `nil`) - Detection logic for profile generation. Not all template features are used by profiles. FindingLimits, include_quote and exclude_info_types have no impact on data profiling. Multiple templates may be provided if there is data in multiple regions. At most one template must be specified per-region (including \"global\"). Each region is scanned using the applicable template. If no region-specific template is specified, but a \"global\" template is specified, it will be copied to that region and used instead. If no global or region-specific template is provided for a region with data, that region's data will not be scanned. For more information, see https://cloud.google.com/sensitive-data-protection/docs/data-profiles#data-residency.\n*   `location` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileLocation.t`, *default:* `nil`) - The data to scan.\n*   `otherCloudStartingLocation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation.t`, *default:* `nil`) - Must be set only when scanning other clouds.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - The project that will run the scan. The DLP service account that exists within this project must have access to all resources that are profiled, and the DLP API must be enabled.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileJobConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileJobConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileJobConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileJobConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileJobConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileLocation","doc":"The data that will be profiled.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileLocation","doc":"*   `folderId` (*type:* `String.t`, *default:* `nil`) - The ID of the folder within an organization to scan.\n*   `organizationId` (*type:* `String.t`, *default:* `nil`) - The ID of an organization to scan.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubCondition","doc":"A condition for determining whether a Pub/Sub should be triggered.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubCondition.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubCondition","doc":"*   `expressions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubExpressions.t`, *default:* `nil`) - An expression.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubCondition.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubCondition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubCondition.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubCondition.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubCondition.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubMessage","doc":"Pub/Sub topic message for a DataProfileAction.PubSubNotification event. To receive a message of protocol buffer schema type, convert the message data to an object of this proto class.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubMessage.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubMessage","doc":"*   `event` (*type:* `String.t`, *default:* `nil`) - The event that caused the Pub/Sub message to be sent.\n*   `fileStoreProfile` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile.t`, *default:* `nil`) - If `DetailLevel` is `FILE_STORE_PROFILE` this will be fully populated. Otherwise, if `DetailLevel` is `RESOURCE_NAME`, then only `name` and `file_store_path` will be populated.\n*   `profile` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile.t`, *default:* `nil`) - If `DetailLevel` is `TABLE_PROFILE` this will be fully populated. Otherwise, if `DetailLevel` is `RESOURCE_NAME`, then only `name` and `full_resource` will be populated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubMessage.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubMessage.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel","doc":"Score is a summary of all elements in the data profile. A higher number means more risk.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel","doc":"*   `score` (*type:* `String.t`, *default:* `nil`) - The score applied to the resource.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType","doc":"Message used to identify the type of resource being profiled.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType","doc":"*   `dataSource` (*type:* `String.t`, *default:* `nil`) - Output only. An identifying string to the type of resource being profiled. Current values: * google/bigquery/table * google/project * google/sql/table * google/gcs/bucket","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceCollection","doc":"Match database resources using regex filters. Examples of database resources are tables, views, and stored procedures.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceCollection.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceCollection","doc":"*   `includeRegexes` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegexes.t`, *default:* `nil`) - A collection of regular expressions to match a database resource against.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceCollection.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceCollection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceCollection.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceCollection.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceCollection.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceReference","doc":"Identifies a single database resource, like a table within a database.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceReference.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceReference","doc":"*   `database` (*type:* `String.t`, *default:* `nil`) - Required. Name of a database within the instance.\n*   `databaseResource` (*type:* `String.t`, *default:* `nil`) - Required. Name of a database resource, for example, a table within the database.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - Required. The instance where this resource is located. For example: Cloud SQL instance ID.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Required. If within a project-level config, then this must match the config's project ID.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceReference.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceReference.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceReference.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceReference.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegex","doc":"A pattern to match against one or more database resources. At least one pattern must be specified. Regular expressions use RE2 [syntax](https://github.com/google/re2/wiki/Syntax); a guide can be found under the google/re2 repository on GitHub.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegex.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegex","doc":"*   `databaseRegex` (*type:* `String.t`, *default:* `nil`) - Regex to test the database name against. If empty, all databases match.\n*   `databaseResourceNameRegex` (*type:* `String.t`, *default:* `nil`) - Regex to test the database resource's name against. An example of a database resource name is a table's name. Other database resource names like view names could be included in the future. If empty, all database resources match.\n*   `instanceRegex` (*type:* `String.t`, *default:* `nil`) - Regex to test the instance name against. If empty, all instances match.\n*   `projectIdRegex` (*type:* `String.t`, *default:* `nil`) - For organizations, if unset, will match all projects. Has no effect for configurations created within a project.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegex.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegex.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegex.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegex.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegex.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegexes","doc":"A collection of regular expressions to determine what database resources to match against.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegexes.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegexes","doc":"*   `patterns` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegex.t)`, *default:* `nil`) - A group of regular expression patterns to match against one or more database resources. Maximum of 100 entries. The sum of all regular expression's length can't exceed 10 KiB.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegexes.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegexes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegexes.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegexes.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceRegexes.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreKey","doc":"Record key for a finding in Cloud Datastore.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreKey.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreKey","doc":"*   `entityKey` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Key.t`, *default:* `nil`) - Datastore entity key.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreKey.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreKey.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreKey.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreKey.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreOptions","doc":"Options defining a data set within Google Cloud Datastore.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreOptions","doc":"*   `kind` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KindExpression.t`, *default:* `nil`) - The kind to process.\n*   `partitionId` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId.t`, *default:* `nil`) - A partition ID identifies a grouping of entities. The grouping is always by project and namespace, however the namespace ID may be empty.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreOptions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateShiftConfig","doc":"Shifts dates by random number of days, with option to be consistent for the same context. See https://cloud.google.com/sensitive-data-protection/docs/concepts-date-shifting to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateShiftConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateShiftConfig","doc":"*   `context` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Points to the field that contains the context, for example, an entity id. If set, must also set cryptoKey. If set, shift will be consistent for the given context.\n*   `cryptoKey` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoKey.t`, *default:* `nil`) - Causes the shift to be computed based on this key and the context. This results in the same shift for the same context and crypto_key. If set, must also set context. Can only be applied to table items.\n*   `lowerBoundDays` (*type:* `integer()`, *default:* `nil`) - Required. For example, -5 means shift date to at most 5 days back in the past.\n*   `upperBoundDays` (*type:* `integer()`, *default:* `nil`) - Required. Range of shift in days. Actual shift will be selected at random within this range (inclusive ends). Negative means shift to earlier in time. Must not be more than 365250 days (1000 years) each direction. For example, 3 means shift date to at most 3 days into the future.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateShiftConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateShiftConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateShiftConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateShiftConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateShiftConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateTime","doc":"Message for a date time object. e.g. 2018-01-01, 5th August.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateTime.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateTime","doc":"*   `date` (*type:* `GoogleApi.DLP.V2.Model.GoogleTypeDate.t`, *default:* `nil`) - One or more of the following must be set. Must be a valid date or time value.\n*   `dayOfWeek` (*type:* `String.t`, *default:* `nil`) - Day of week\n*   `time` (*type:* `GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay.t`, *default:* `nil`) - Time of day\n*   `timeZone` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimeZone.t`, *default:* `nil`) - Time zone","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateTime.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateTime.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateTime.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateTime.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateTime.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Deidentify","doc":"Create a de-identified copy of the requested table or files. A TransformationDetail will be created for each transformation. If any rows in BigQuery are skipped during de-identification (transformation errors or row size exceeds BigQuery insert API limits) they are placed in the failure output table. If the original row exceeds the BigQuery insert API limit it will be truncated when written to the failure output table. The failure output table can be set in the action.deidentify.output.big_query_output.deidentified_failure_output_table field, if no table is set, a table will be automatically created in the same project and dataset as the original table. Compatible with: Inspect","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Deidentify.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Deidentify","doc":"*   `cloudStorageOutput` (*type:* `String.t`, *default:* `nil`) - Required. User settable Cloud Storage bucket and folders to store de-identified files. This field must be set for Cloud Storage deidentification. The output Cloud Storage bucket must be different from the input bucket. De-identified files will overwrite files in the output path. Form of: gs://bucket/folder/ or gs://bucket\n*   `fileTypesToTransform` (*type:* `list(String.t)`, *default:* `nil`) - List of user-specified file type groups to transform. If specified, only the files with these file types will be transformed. If empty, all supported files will be transformed. Supported types may be automatically added over time. If a file type is set in this field that isn't supported by the Deidentify action then the job will fail and will not be successfully created/started. Currently the only file types supported are: IMAGES, TEXT_FILES, CSV, TSV.\n*   `transformationConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationConfig.t`, *default:* `nil`) - User specified deidentify templates and configs for structured, unstructured, and image files.\n*   `transformationDetailsStorageConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetailsStorageConfig.t`, *default:* `nil`) - Config for storing transformation details. This is separate from the de-identified content, and contains metadata about the successful transformations and/or failures that occurred while de-identifying. This needs to be set in order for users to access information about the status of each transformation (see TransformationDetails message for more information about what is noted).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Deidentify.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Deidentify.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Deidentify.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Deidentify.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Deidentify.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig","doc":"The configuration that controls how the data will change.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig","doc":"*   `imageTransformations` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformations.t`, *default:* `nil`) - Treat the dataset as an image and redact.\n*   `infoTypeTransformations` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations.t`, *default:* `nil`) - Treat the dataset as free-form text and apply the same free text transformation everywhere.\n*   `recordTransformations` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformations.t`, *default:* `nil`) - Treat the dataset as structured. Transformations can be applied to specific locations within structured datasets, such as transforming a column within a table.\n*   `transformationErrorHandling` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationErrorHandling.t`, *default:* `nil`) - Mode for handling transformation errors. If left unspecified, the default mode is `TransformationErrorHandling.ThrowError`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest","doc":"Request to de-identify a ContentItem.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest","doc":"*   `deidentifyConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig.t`, *default:* `nil`) - Configuration for the de-identification of the content item. Items specified here will override the template referenced by the deidentify_template_name argument.\n*   `deidentifyTemplateName` (*type:* `String.t`, *default:* `nil`) - Template to use. Any configuration directly specified in deidentify_config will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged.\n*   `inspectConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.t`, *default:* `nil`) - Configuration for the inspector. Items specified here will override the template referenced by the inspect_template_name argument.\n*   `inspectTemplateName` (*type:* `String.t`, *default:* `nil`) - Template to use. Any configuration directly specified in inspect_config will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged.\n*   `item` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.t`, *default:* `nil`) - The item to de-identify. Will be treated as text. This value must be of type Table if your deidentify_config is a RecordTransformations object.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. This field has no effect.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse","doc":"Results of de-identifying a ContentItem.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse","doc":"*   `item` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.t`, *default:* `nil`) - The de-identified item.\n*   `overview` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview.t`, *default:* `nil`) - An overview of the changes that were made on the `item`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyContentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceDetails","doc":"The results of a Deidentify action from an inspect job.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceDetails.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceDetails","doc":"*   `deidentifyStats` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceStats.t`, *default:* `nil`) - Stats about the de-identification operation.\n*   `requestedOptions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedDeidentifyOptions.t`, *default:* `nil`) - De-identification config used for the request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceDetails.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceDetails.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceStats","doc":"Summary of what was modified during a transformation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceStats.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceStats","doc":"*   `transformationCount` (*type:* `String.t`, *default:* `nil`) - Number of successfully applied transformations.\n*   `transformationErrorCount` (*type:* `String.t`, *default:* `nil`) - Number of errors encountered while trying to apply transformations.\n*   `transformedBytes` (*type:* `String.t`, *default:* `nil`) - Total size in bytes that were transformed in some way.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceStats.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceStats.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceStats.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceStats.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyDataSourceStats.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate","doc":"DeidentifyTemplates contains instructions on how to de-identify content. See https://cloud.google.com/sensitive-data-protection/docs/concepts-templates to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The creation timestamp of an inspectTemplate.\n*   `deidentifyConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig.t`, *default:* `nil`) - The core content of the template.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Short description (max 256 chars).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name (max 256 chars).\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The template name. The template will have one of the following formats: `projects/PROJECT_ID/deidentifyTemplates/TEMPLATE_ID` OR `organizations/ORGANIZATION_ID/deidentifyTemplates/TEMPLATE_ID`\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The last update timestamp of an inspectTemplate.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationConfig","doc":"δ-presence metric, used to estimate how likely it is for an attacker to figure out that one given individual appears in a de-identified dataset. Similarly to the k-map metric, we cannot compute δ-presence exactly without knowing the attack dataset, so we use a statistical model instead.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationConfig","doc":"*   `auxiliaryTables` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StatisticalTable.t)`, *default:* `nil`) - Several auxiliary tables can be used in the analysis. Each custom_tag used to tag a quasi-identifiers field must appear in exactly one field of one auxiliary table.\n*   `quasiIds` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiId.t)`, *default:* `nil`) - Required. Fields considered to be quasi-identifiers. No two fields can have the same tag.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - ISO 3166-1 alpha-2 region code to use in the statistical modeling. Set if no column is tagged with a region-specific InfoType (like US_ZIP_5) or a region code.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket","doc":"A DeltaPresenceEstimationHistogramBucket message with the following values: min_probability: 0.1 max_probability: 0.2 frequency: 42 means that there are 42 records for which δ is in [0.1, 0.2). An important particular case is when min_probability = max_probability = 1: then, every individual who shares this quasi-identifier combination is in the dataset.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket","doc":"*   `bucketSize` (*type:* `String.t`, *default:* `nil`) - Number of records within these probability bounds.\n*   `bucketValueCount` (*type:* `String.t`, *default:* `nil`) - Total number of distinct quasi-identifier tuple values in this bucket.\n*   `bucketValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues.t)`, *default:* `nil`) - Sample of quasi-identifier tuple values in this bucket. The total number of classes returned per bucket is capped at 20.\n*   `maxProbability` (*type:* `float()`, *default:* `nil`) - Always greater than or equal to min_probability.\n*   `minProbability` (*type:* `float()`, *default:* `nil`) - Between 0 and 1.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues","doc":"A tuple of values for the quasi-identifier columns.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues","doc":"*   `estimatedProbability` (*type:* `float()`, *default:* `nil`) - The estimated probability that a given individual sharing these quasi-identifier values is in the dataset. This value, typically called δ, is the ratio between the number of records in the dataset with these quasi-identifier values, and the total number of individuals (inside *and* outside the dataset) with these quasi-identifier values. For example, if there are 15 individuals in the dataset who share the same quasi-identifier values, and an estimated 100 people in the entire population with these values, then δ is 0.15.\n*   `quasiIdsValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t)`, *default:* `nil`) - The quasi-identifier values.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationResult","doc":"Result of the δ-presence computation. Note that these results are an estimation, not exact values.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationResult.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationResult","doc":"*   `deltaPresenceEstimationHistogram` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket.t)`, *default:* `nil`) - The intervals [min_probability, max_probability) do not overlap. If a value doesn't correspond to any such interval, the associated frequency is zero. For example, the following records: {min_probability: 0, max_probability: 0.1, frequency: 17} {min_probability: 0.2, max_probability: 0.3, frequency: 42} {min_probability: 0.3, max_probability: 0.4, frequency: 99} mean that there are no record with an estimated probability in [0.1, 0.2) nor larger or equal to 0.4.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationResult.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationResult.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DetectionRule","doc":"Deprecated; use `InspectionRuleSet` instead. Rule for modifying a `CustomInfoType` to alter behavior under certain circumstances, depending on the specific details of the rule. Not supported for the `surrogate_type` custom infoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DetectionRule.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DetectionRule","doc":"*   `hotwordRule` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule.t`, *default:* `nil`) - Hotword-based detection rule.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DetectionRule.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DetectionRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DetectionRule.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DetectionRule.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DetectionRule.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary","doc":"Custom information type based on a dictionary of words or phrases. This can be used to match sensitive information specific to the data, such as a list of employee IDs or job titles. Dictionary words are case-insensitive and all characters other than letters and digits in the unicode [Basic Multilingual Plane](https://en.wikipedia.org/wiki/Plane_%28Unicode%29#Basic_Multilingual_Plane) will be replaced with whitespace when scanning for matches, so the dictionary phrase \"Sam Johnson\" will match all three phrases \"sam johnson\", \"Sam, Johnson\", and \"Sam (Johnson)\". Additionally, the characters surrounding any match must be of a different type than the adjacent characters within the word, so letters must be next to non-letters and digits next to non-digits. For example, the dictionary word \"jen\" will match the first three letters of the text \"jen123\" but will return no matches for \"jennifer\". Dictionary words containing a large number of characters that are not letters or digits may result in unexpected findings because such characters are treated as whitespace. The [limits](https://cloud.google.com/sensitive-data-protection/limits) page contains details about the size limits of dictionaries. For dictionaries that do not fit within these constraints, consider using `LargeCustomDictionaryConfig` in the `StoredInfoType` API.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary","doc":"*   `cloudStoragePath` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath.t`, *default:* `nil`) - Newline-delimited file of words in Cloud Storage. Only a single file is accepted.\n*   `wordList` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList.t`, *default:* `nil`) - List of words or phrases to search for.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled","doc":"Do not profile the tables.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryConditions","doc":"Requirements that must be true before a table is scanned in discovery for the first time. There is an AND relationship between the top-level attributes. Additionally, minimum conditions with an OR relationship that must be met before Cloud DLP scans a table can be set (like a minimum row count or a minimum table age).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryConditions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryConditions","doc":"*   `createdAfter` (*type:* `DateTime.t`, *default:* `nil`) - BigQuery table must have been created after this date. Used to avoid backfilling.\n*   `orConditions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrConditions.t`, *default:* `nil`) - At least one of the conditions must be true for a table to be scanned.\n*   `typeCollection` (*type:* `String.t`, *default:* `nil`) - Restrict discovery to categories of table types.\n*   `types` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableTypes.t`, *default:* `nil`) - Restrict discovery to specific table types.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryConditions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryConditions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryFilter","doc":"Determines what tables will have profiles generated within an organization or project. Includes the ability to filter by regular expression patterns on project ID, dataset ID, and table ID.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryFilter.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryFilter","doc":"*   `otherTables` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherBigQueryTables.t`, *default:* `nil`) - Catch-all. This should always be the last filter in the list because anything above it will apply first. Should only appear once in a configuration. If none is specified, a default one will be added automatically.\n*   `tableReference` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableReference.t`, *default:* `nil`) - The table to scan. Discovery configurations including this can only include one DiscoveryTarget (the DiscoveryTarget with this TableReference).\n*   `tables` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTableCollection.t`, *default:* `nil`) - A specific set of tables for this filter to apply to. A table collection must be specified in only one filter per config. If a table id or dataset is empty, Cloud DLP assumes all tables in that collection must be profiled. Must specify a project ID.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryFilter.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryFilter.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryBigQueryFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlConditions","doc":"Requirements that must be true before a table is profiled for the first time.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlConditions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlConditions","doc":"*   `databaseEngines` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Database engines that should be profiled. Optional. Defaults to ALL_SUPPORTED_DATABASE_ENGINES if unspecified.\n*   `types` (*type:* `list(String.t)`, *default:* `nil`) - Data profiles will only be generated for the database resource types specified in this field. If not specified, defaults to [DATABASE_RESOURCE_TYPE_ALL_SUPPORTED_TYPES].","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlConditions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlConditions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlFilter","doc":"Determines what tables will have profiles generated within an organization or project. Includes the ability to filter by regular expression patterns on project ID, location, instance, database, and database resource name.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlFilter.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlFilter","doc":"*   `collection` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceCollection.t`, *default:* `nil`) - A specific set of database resources for this filter to apply to.\n*   `databaseResourceReference` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatabaseResourceReference.t`, *default:* `nil`) - The database resource to scan. Targets including this can only include one target (the target with this database resource reference).\n*   `others` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherDatabaseResources.t`, *default:* `nil`) - Catch-all. This should always be the last target in the list because anything above it will apply first. Should only appear once in a configuration. If none is specified, a default one will be added automatically.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlFilter.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlFilter.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlGenerationCadence","doc":"How often existing tables should have their profiles refreshed. New tables are scanned as quickly as possible depending on system capacity.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlGenerationCadence.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlGenerationCadence","doc":"*   `inspectTemplateModifiedCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.t`, *default:* `nil`) - Governs when to update data profiles when the inspection rules defined by the `InspectTemplate` change. If not set, changing the template will not cause a data profile to update.\n*   `refreshFrequency` (*type:* `String.t`, *default:* `nil`) - Data changes (non-schema changes) in Cloud SQL tables can't trigger reprofiling. If you set this field, profiles are refreshed at this frequency regardless of whether the underlying tables have changed. Defaults to never.\n*   `schemaModifiedCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SchemaModifiedCadence.t`, *default:* `nil`) - When to reprofile if the schema has changed.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlGenerationCadence.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlGenerationCadence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlGenerationCadence.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlGenerationCadence.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudSqlGenerationCadence.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageConditions","doc":"Requirements that must be true before a Cloud Storage bucket or object is scanned in discovery for the first time. There is an AND relationship between the top-level attributes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageConditions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageConditions","doc":"*   `includedBucketAttributes` (*type:* `list(String.t)`, *default:* `nil`) - Required. Only objects with the specified attributes will be scanned. Defaults to [ALL_SUPPORTED_BUCKETS] if unset.\n*   `includedObjectAttributes` (*type:* `list(String.t)`, *default:* `nil`) - Required. Only objects with the specified attributes will be scanned. If an object has one of the specified attributes but is inside an excluded bucket, it will not be scanned. Defaults to [ALL_SUPPORTED_OBJECTS]. A profile will be created even if no objects match the included_object_attributes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageConditions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageConditions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageFilter","doc":"Determines which buckets will have profiles generated within an organization or project. Includes the ability to filter by regular expression patterns on project ID and bucket name.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageFilter.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageFilter","doc":"*   `cloudStorageResourceReference` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageResourceReference.t`, *default:* `nil`) - Optional. The bucket to scan. Targets including this can only include one target (the target with this bucket). This enables profiling the contents of a single bucket, while the other options allow for easy profiling of many bucets within a project or an organization.\n*   `collection` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreCollection.t`, *default:* `nil`) - Optional. A specific set of buckets for this filter to apply to.\n*   `others` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources.t`, *default:* `nil`) - Optional. Catch-all. This should always be the last target in the list because anything above it will apply first. Should only appear once in a configuration. If none is specified, a default one will be added automatically.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageFilter.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageFilter.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageGenerationCadence","doc":"How often existing buckets should have their profiles refreshed. New buckets are scanned as quickly as possible depending on system capacity.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageGenerationCadence.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageGenerationCadence","doc":"*   `inspectTemplateModifiedCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.t`, *default:* `nil`) - Optional. Governs when to update data profiles when the inspection rules defined by the `InspectTemplate` change. If not set, changing the template will not cause a data profile to update.\n*   `refreshFrequency` (*type:* `String.t`, *default:* `nil`) - Optional. Data changes in Cloud Storage can't trigger reprofiling. If you set this field, profiles are refreshed at this frequency regardless of whether the underlying buckets have changed. Defaults to never.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageGenerationCadence.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageGenerationCadence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageGenerationCadence.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageGenerationCadence.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageGenerationCadence.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig","doc":"Configuration for discovery to scan resources for profile generation. Only one discovery configuration may exist per organization, folder, or project. The generated data profiles are retained according to the [data retention policy] (https://cloud.google.com/sensitive-data-protection/docs/data-profiles#retention).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig","doc":"*   `actions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileAction.t)`, *default:* `nil`) - Actions to execute at the completion of scanning.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The creation timestamp of a DiscoveryConfig.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name (max 100 chars)\n*   `errors` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.t)`, *default:* `nil`) - Output only. A stream of errors encountered when the config was activated. Repeated errors may result in the config automatically being paused. Output only field. Will return the last 100 errors. Whenever the config is modified this list will be cleared.\n*   `inspectTemplates` (*type:* `list(String.t)`, *default:* `nil`) - Detection logic for profile generation. Not all template features are used by Discovery. FindingLimits, include_quote and exclude_info_types have no impact on Discovery. Multiple templates may be provided if there is data in multiple regions. At most one template must be specified per-region (including \"global\"). Each region is scanned using the applicable template. If no region-specific template is specified, but a \"global\" template is specified, it will be copied to that region and used instead. If no global or region-specific template is provided for a region with data, that region's data will not be scanned. For more information, see https://cloud.google.com/sensitive-data-protection/docs/data-profiles#data-residency.\n*   `lastRunTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The timestamp of the last time this config was executed.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Unique resource name for the DiscoveryConfig, assigned by the service when the DiscoveryConfig is created, for example `projects/dlp-test-project/locations/global/discoveryConfigs/53234423`.\n*   `orgConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrgConfig.t`, *default:* `nil`) - Only set when the parent is an org.\n*   `otherCloudStartingLocation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation.t`, *default:* `nil`) - Must be set only when scanning other clouds.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Required. A status for this configuration.\n*   `targets` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTarget.t)`, *default:* `nil`) - Target to match against for determining what to scan and how frequently.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The last update timestamp of a DiscoveryConfig.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryFileStoreConditions","doc":"Requirements that must be true before a file store is scanned in discovery for the first time. There is an AND relationship between the top-level attributes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryFileStoreConditions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryFileStoreConditions","doc":"*   `cloudStorageConditions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryCloudStorageConditions.t`, *default:* `nil`) - Optional. Cloud Storage conditions.\n*   `createdAfter` (*type:* `DateTime.t`, *default:* `nil`) - Optional. File store must have been created after this date. Used to avoid backfilling.\n*   `minAge` (*type:* `String.t`, *default:* `nil`) - Optional. Minimum age a file store must have. If set, the value must be 1 hour or greater.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryFileStoreConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryFileStoreConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryFileStoreConditions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryFileStoreConditions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryFileStoreConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryGenerationCadence","doc":"What must take place for a profile to be updated and how frequently it should occur. New tables are scanned as quickly as possible depending on system capacity.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryGenerationCadence.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryGenerationCadence","doc":"*   `inspectTemplateModifiedCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.t`, *default:* `nil`) - Governs when to update data profiles when the inspection rules defined by the `InspectTemplate` change. If not set, changing the template will not cause a data profile to update.\n*   `refreshFrequency` (*type:* `String.t`, *default:* `nil`) - Frequency at which profiles should be updated, regardless of whether the underlying resource has changed. Defaults to never.\n*   `schemaModifiedCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoverySchemaModifiedCadence.t`, *default:* `nil`) - Governs when to update data profiles when a schema is modified.\n*   `tableModifiedCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTableModifiedCadence.t`, *default:* `nil`) - Governs when to update data profiles when a table is modified.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryGenerationCadence.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryGenerationCadence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryGenerationCadence.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryGenerationCadence.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryGenerationCadence.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence","doc":"The cadence at which to update data profiles when the inspection rules defined by the `InspectTemplate` change.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence","doc":"*   `frequency` (*type:* `String.t`, *default:* `nil`) - How frequently data profiles can be updated when the template is modified. Defaults to never.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudConditions","doc":"Requirements that must be true before a resource is profiled for the first time.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudConditions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudConditions","doc":"*   `amazonS3BucketConditions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketConditions.t`, *default:* `nil`) - Amazon S3 bucket conditions.\n*   `minAge` (*type:* `String.t`, *default:* `nil`) - Minimum age a resource must be before Cloud DLP can profile it. Value must be 1 hour or greater.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudConditions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudConditions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudFilter","doc":"Determines which resources from the other cloud will have profiles generated. Includes the ability to filter by resource names.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudFilter.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudFilter","doc":"*   `collection` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceCollection.t`, *default:* `nil`) - A collection of resources for this filter to apply to.\n*   `others` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllOtherResources.t`, *default:* `nil`) - Optional. Catch-all. This should always be the last target in the list because anything above it will apply first. Should only appear once in a configuration. If none is specified, a default one will be added automatically.\n*   `singleResource` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudSingleResourceReference.t`, *default:* `nil`) - The resource to scan. Configs using this filter can only have one target (the target with this single resource reference).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudFilter.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudFilter.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudGenerationCadence","doc":"How often existing resources should have their profiles refreshed. New resources are scanned as quickly as possible depending on system capacity.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudGenerationCadence.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudGenerationCadence","doc":"*   `inspectTemplateModifiedCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryInspectTemplateModifiedCadence.t`, *default:* `nil`) - Optional. Governs when to update data profiles when the inspection rules defined by the `InspectTemplate` change. If not set, changing the template will not cause a data profile to update.\n*   `refreshFrequency` (*type:* `String.t`, *default:* `nil`) - Optional. Frequency to update profiles regardless of whether the underlying resource has changes. Defaults to never.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudGenerationCadence.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudGenerationCadence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudGenerationCadence.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudGenerationCadence.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudGenerationCadence.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoverySchemaModifiedCadence","doc":"The cadence at which to update data profiles when a schema is modified.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoverySchemaModifiedCadence.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoverySchemaModifiedCadence","doc":"*   `frequency` (*type:* `String.t`, *default:* `nil`) - How frequently profiles may be updated when schemas are modified. Defaults to monthly.\n*   `types` (*type:* `list(String.t)`, *default:* `nil`) - The type of events to consider when deciding if the table's schema has been modified and should have the profile updated. Defaults to NEW_COLUMNS.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoverySchemaModifiedCadence.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoverySchemaModifiedCadence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoverySchemaModifiedCadence.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoverySchemaModifiedCadence.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoverySchemaModifiedCadence.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryStartingLocation","doc":"The location to begin a discovery scan. Denotes an organization ID or folder ID within an organization.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryStartingLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryStartingLocation","doc":"*   `folderId` (*type:* `String.t`, *default:* `nil`) - The ID of the folder within an organization to be scanned.\n*   `organizationId` (*type:* `String.t`, *default:* `nil`) - The ID of an organization to scan.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryStartingLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryStartingLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryStartingLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryStartingLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryStartingLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTableModifiedCadence","doc":"The cadence at which to update data profiles when a table is modified.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTableModifiedCadence.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTableModifiedCadence","doc":"*   `frequency` (*type:* `String.t`, *default:* `nil`) - How frequently data profiles can be updated when tables are modified. Defaults to never.\n*   `types` (*type:* `list(String.t)`, *default:* `nil`) - The type of events to consider when deciding if the table has been modified and should have the profile updated. Defaults to MODIFIED_TIMESTAMP.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTableModifiedCadence.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTableModifiedCadence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTableModifiedCadence.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTableModifiedCadence.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTableModifiedCadence.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTarget","doc":"Target used to match against for Discovery.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTarget.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTarget","doc":"*   `bigQueryTarget` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryDiscoveryTarget.t`, *default:* `nil`) - BigQuery target for Discovery. The first target to match a table will be the one applied.\n*   `cloudSqlTarget` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudSqlDiscoveryTarget.t`, *default:* `nil`) - Cloud SQL target for Discovery. The first target to match a table will be the one applied.\n*   `cloudStorageTarget` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageDiscoveryTarget.t`, *default:* `nil`) - Cloud Storage target for Discovery. The first target to match a table will be the one applied.\n*   `otherCloudTarget` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryTarget.t`, *default:* `nil`) - Other clouds target for discovery. The first target to match a resource will be the one applied.\n*   `secretsTarget` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretsDiscoveryTarget.t`, *default:* `nil`) - Discovery target that looks for credentials and secrets stored in cloud resource metadata and reports them as vulnerabilities to Security Command Center. Only one target of this type is allowed.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTarget.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTarget.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob","doc":"Combines all of the information about a DLP job.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob","doc":"*   `actionDetails` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ActionDetails.t)`, *default:* `nil`) - Events that should occur after the job has completed.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Time when the job was created.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Time when the job finished.\n*   `errors` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.t)`, *default:* `nil`) - A stream of errors encountered running the job.\n*   `inspectDetails` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectDataSourceDetails.t`, *default:* `nil`) - Results from inspecting a data source.\n*   `jobTriggerName` (*type:* `String.t`, *default:* `nil`) - If created by a job trigger, the resource name of the trigger that instantiated the job.\n*   `lastModified` (*type:* `DateTime.t`, *default:* `nil`) - Time when the job was last modified by the system.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name.\n*   `riskDetails` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails.t`, *default:* `nil`) - Results from analyzing risk of a data source.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Time when the job started.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of a job.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of job.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DocumentLocation","doc":"Location of a finding within a document.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DocumentLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DocumentLocation","doc":"*   `fileOffset` (*type:* `String.t`, *default:* `nil`) - Offset of the line, from the beginning of the file, where the finding is located.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DocumentLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DocumentLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DocumentLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DocumentLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DocumentLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2EntityId","doc":"An entity in a dataset is a field or set of fields that correspond to a single person. For example, in medical records the `EntityId` might be a patient identifier, or for financial records it might be an account identifier. This message is used when generalizations or analysis must take into account that multiple rows correspond to the same entity.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2EntityId.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2EntityId","doc":"*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Composite key indicating which field contains the entity identifier.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2EntityId.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2EntityId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2EntityId.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2EntityId.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2EntityId.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error","doc":"Details information about an error encountered during job execution or the results of an unsuccessful activation of the JobTrigger.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error","doc":"*   `details` (*type:* `GoogleApi.DLP.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - Detailed error codes and messages.\n*   `extraInfo` (*type:* `String.t`, *default:* `nil`) - Additional information about the error.\n*   `timestamps` (*type:* `list(DateTime.t)`, *default:* `nil`) - The times the error occurred. List includes the oldest timestamp and the last 9 timestamps.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeByHotword","doc":"The rule to exclude findings based on a hotword. For record inspection of tables, column names are considered hotwords. An example of this is to exclude a finding if it belongs to a BigQuery column that matches a specific pattern.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeByHotword.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeByHotword","doc":"*   `hotwordRegex` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.t`, *default:* `nil`) - Regular expression pattern defining what qualifies as a hotword.\n*   `proximity` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity.t`, *default:* `nil`) - Range of characters within which the entire hotword must reside. The total length of the window cannot exceed 1000 characters. The windowBefore property in proximity should be set to 1 if the hotword needs to be included in a column header.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeByHotword.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeByHotword.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeByHotword.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeByHotword.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeByHotword.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeInfoTypes","doc":"List of excluded infoTypes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeInfoTypes.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeInfoTypes","doc":"*   `infoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t)`, *default:* `nil`) - InfoType list in ExclusionRule rule drops a finding when it overlaps or contained within with a finding of an infoType from this list. For example, for `InspectionRuleSet.info_types` containing \"PHONE_NUMBER\"` and `exclusion_rule` containing `exclude_info_types.info_types` with \"EMAIL_ADDRESS\" the phone number findings are dropped if they overlap with EMAIL_ADDRESS finding. That leads to \"555-222-2222@example.org\" to generate only a single finding, namely email address.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeInfoTypes.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeInfoTypes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeInfoTypes.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeInfoTypes.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeInfoTypes.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExclusionRule","doc":"The rule that specifies conditions when findings of infoTypes specified in `InspectionRuleSet` are removed from results.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExclusionRule.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExclusionRule","doc":"*   `dictionary` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary.t`, *default:* `nil`) - Dictionary which defines the rule.\n*   `excludeByHotword` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeByHotword.t`, *default:* `nil`) - Drop if the hotword rule is contained in the proximate context. For tabular data, the context includes the column name.\n*   `excludeInfoTypes` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExcludeInfoTypes.t`, *default:* `nil`) - Set of infoTypes for which findings would affect this rule.\n*   `matchingType` (*type:* `String.t`, *default:* `nil`) - How the rule is applied, see MatchingType documentation for details.\n*   `regex` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.t`, *default:* `nil`) - Regular expression which defines the rule.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExclusionRule.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExclusionRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExclusionRule.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExclusionRule.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExclusionRule.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Export","doc":"If set, the detailed data profiles will be persisted to the location of your choice whenever updated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Export.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Export","doc":"*   `profileTable` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - Store all table and column profiles in an existing table or a new table in an existing dataset. Each re-generation will result in new rows in BigQuery. Data is inserted using [streaming insert](https://cloud.google.com/blog/products/bigquery/life-of-a-bigquery-streaming-insert) and so data may be in the buffer for a period of time after the profile has finished. The Pub/Sub notification is sent before the streaming buffer is guaranteed to be written, so data may not be instantly visible to queries by the time your topic receives the Pub/Sub notification.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Export.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Export.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Export.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Export.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Export.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Expressions","doc":"An expression, consisting of an operator and conditions.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Expressions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Expressions","doc":"*   `conditions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Conditions.t`, *default:* `nil`) - Conditions to apply to the expression.\n*   `logicalOperator` (*type:* `String.t`, *default:* `nil`) - The operator to apply to the result of conditions. Default and currently only supported value is `AND`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Expressions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Expressions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Expressions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Expressions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Expressions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId","doc":"General identifier of a data field in a storage service.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name describing the field.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation","doc":"The transformation to apply to the field.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation","doc":"*   `condition` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition.t`, *default:* `nil`) - Only apply the transformation if the condition evaluates to true for the given `RecordCondition`. The conditions are allowed to reference fields that are not used in the actual transformation. Example Use Cases: - Apply a different bucket transformation to an age column if the zip code column for the same record is within a specific range. - Redact a field if the date of birth field is greater than 85.\n*   `fields` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t)`, *default:* `nil`) - Required. Input field(s) to apply the transformation to. When you have columns that reference their position within a list, omit the index from the FieldId. FieldId name matching ignores the index. For example, instead of \"contact.nums[0].type\", use \"contact.nums.type\".\n*   `infoTypeTransformations` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations.t`, *default:* `nil`) - Treat the contents of the field as free text, and selectively transform content that matches an `InfoType`.\n*   `primitiveTransformation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation.t`, *default:* `nil`) - Apply the transformation to the entire field.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterSummary","doc":"The file cluster summary.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterSummary.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterSummary","doc":"*   `dataRiskLevel` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.t`, *default:* `nil`) - The data risk level of this cluster. RISK_LOW if nothing has been scanned.\n*   `errors` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.t)`, *default:* `nil`) - A list of errors detected while scanning this cluster. The list is truncated to 10 per cluster.\n*   `fileClusterType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterType.t`, *default:* `nil`) - The file cluster type.\n*   `fileExtensionsScanned` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo.t)`, *default:* `nil`) - A sample of file types scanned in this cluster. Empty if no files were scanned. File extensions can be derived from the file name or the file content.\n*   `fileExtensionsSeen` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo.t)`, *default:* `nil`) - A sample of file types seen in this cluster. Empty if no files were seen. File extensions can be derived from the file name or the file content.\n*   `fileStoreInfoTypeSummaries` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary.t)`, *default:* `nil`) - InfoTypes detected in this cluster.\n*   `noFilesExist` (*type:* `boolean()`, *default:* `nil`) - True if no files exist in this cluster. If the bucket had more files than could be listed, this will be false even if no files for this cluster were seen and file_extensions_seen is empty.\n*   `sensitivityScore` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t`, *default:* `nil`) - The sensitivity score of this cluster. The score will be SENSITIVITY_LOW if nothing has been scanned.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterSummary.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterSummary.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterType","doc":"Message used to identify file cluster type being profiled.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterType.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterType","doc":"*   `cluster` (*type:* `String.t`, *default:* `nil`) - Cluster type.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterType.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterType.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterType.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterType.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo","doc":"Information regarding the discovered file extension.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo","doc":"*   `fileExtension` (*type:* `String.t`, *default:* `nil`) - The file extension if set. (aka .pdf, .jpg, .txt)","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileExtensionInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileSet","doc":"Set of files to scan.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileSet.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileSet","doc":"*   `regexFileSet` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegexFileSet.t`, *default:* `nil`) - The regex-filtered set of files to scan. Exactly one of `url` or `regex_file_set` must be set.\n*   `url` (*type:* `String.t`, *default:* `nil`) - The Cloud Storage url of the file(s) to scan, in the format `gs:///`. Trailing wildcard in the path is allowed. If the url ends in a trailing slash, the bucket or directory represented by the url will be scanned non-recursively (content in sub-directories will not be scanned). This means that `gs://mybucket/` is equivalent to `gs://mybucket/*`, and `gs://mybucket/directory/` is equivalent to `gs://mybucket/directory/*`. Exactly one of `url` or `regex_file_set` must be set.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileSet.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileSet.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileSet.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileSet.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreCollection","doc":"Match file stores (e.g. buckets) using regex filters.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreCollection.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreCollection","doc":"*   `includeRegexes` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegexes.t`, *default:* `nil`) - Optional. A collection of regular expressions to match a file store against.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreCollection.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreCollection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreCollection.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreCollection.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreCollection.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile","doc":"The profile for a file store. * Cloud Storage: maps 1:1 with a bucket. * Amazon S3: maps 1:1 with a bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile","doc":"*   `configSnapshot` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot.t`, *default:* `nil`) - The snapshot of the configurations used to generate the profile.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the file store was first created.\n*   `dataRiskLevel` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.t`, *default:* `nil`) - The data risk level of this resource.\n*   `dataSourceType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType.t`, *default:* `nil`) - The resource type that was profiled.\n*   `dataStorageLocations` (*type:* `list(String.t)`, *default:* `nil`) - For resources that have multiple storage locations, these are those regions. For Cloud Storage this is the list of regions chosen for dual-region storage. `file_store_location` will normally be the corresponding multi-region for the list of individual locations. The first region is always picked as the processing and storage location for the data profile.\n*   `fileClusterSummaries` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileClusterSummary.t)`, *default:* `nil`) - FileClusterSummary per each cluster.\n*   `fileStoreInfoTypeSummaries` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary.t)`, *default:* `nil`) - InfoTypes detected in this file store.\n*   `fileStoreIsEmpty` (*type:* `boolean()`, *default:* `nil`) - The file store does not have any files.\n*   `fileStoreLocation` (*type:* `String.t`, *default:* `nil`) - The location of the file store. * Cloud Storage: https://cloud.google.com/storage/docs/locations#available-locations * Amazon S3: https://docs.aws.amazon.com/general/latest/gr/rande.html#regional-endpoints\n*   `fileStorePath` (*type:* `String.t`, *default:* `nil`) - The file store path. * Cloud Storage: `gs://{bucket}` * Amazon S3: `s3://{bucket}`\n*   `fullResource` (*type:* `String.t`, *default:* `nil`) - The resource name of the resource profiled. https://cloud.google.com/apis/design/resource_names#full_resource_name Example format of an S3 bucket full resource name: `//cloudasset.googleapis.com/organizations/{org_id}/otherCloudConnections/aws/arn:aws:s3:::{bucket_name}`\n*   `lastModifiedTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the file store was last modified.\n*   `locationType` (*type:* `String.t`, *default:* `nil`) - The location type of the bucket (region, dual-region, multi-region, etc). If dual-region, expect data_storage_locations to be populated.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the profile.\n*   `profileLastGenerated` (*type:* `DateTime.t`, *default:* `nil`) - The last time the profile was generated.\n*   `profileStatus` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.t`, *default:* `nil`) - Success or error status from the most recent profile generation attempt. May be empty if the profile is still being generated.\n*   `projectDataProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the project data profile for this file store.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - The Google Cloud project ID that owns the resource. For Amazon S3 buckets, this is the AWS Account Id.\n*   `resourceAttributes` (*type:* `%{optional(String.t) => GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t}`, *default:* `nil`) - Attributes of the resource being profiled. Currently used attributes: * customer_managed_encryption: boolean - true: the resource is encrypted with a customer-managed key. - false: the resource is encrypted with a provider-managed key.\n*   `resourceLabels` (*type:* `map()`, *default:* `nil`) - The labels applied to the resource at the time the profile was generated.\n*   `resourceVisibility` (*type:* `String.t`, *default:* `nil`) - How broadly a resource has been shared.\n*   `sensitivityScore` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t`, *default:* `nil`) - The sensitivity score of this resource.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of a profile.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary","doc":"Information regarding the discovered InfoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary","doc":"*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - The InfoType seen.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreInfoTypeSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegex","doc":"A pattern to match against one or more file stores.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegex.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegex","doc":"*   `cloudStorageRegex` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageRegex.t`, *default:* `nil`) - Optional. Regex for Cloud Storage.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegex.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegex.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegex.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegex.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegex.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegexes","doc":"A collection of regular expressions to determine what file store to match against.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegexes.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegexes","doc":"*   `patterns` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegex.t)`, *default:* `nil`) - Required. The group of regular expression patterns to match against one or more file stores. Maximum of 100 entries. The sum of all regular expression's length can't exceed 10 KiB.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegexes.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegexes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegexes.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegexes.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreRegexes.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Finding","doc":"Represents a piece of potentially sensitive content.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Finding.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Finding","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when finding was detected.\n*   `findingId` (*type:* `String.t`, *default:* `nil`) - The unique finding id.\n*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - The type of content that might have been found. Provided if `excluded_types` is false.\n*   `jobCreateTime` (*type:* `DateTime.t`, *default:* `nil`) - Time the job started that produced this finding.\n*   `jobName` (*type:* `String.t`, *default:* `nil`) - The job that stored the finding.\n*   `labels` (*type:* `map()`, *default:* `nil`) - The labels associated with this `Finding`. Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?`. Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`. No more than 10 labels can be associated with a given finding. Examples: * `\"environment\" : \"production\"` * `\"pipeline\" : \"etl\"`\n*   `likelihood` (*type:* `String.t`, *default:* `nil`) - Confidence of how likely it is that the `info_type` is correct.\n*   `location` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Location.t`, *default:* `nil`) - Where the content was found.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name in format projects/{project}/locations/{location}/findings/{finding} Populated only when viewing persisted findings.\n*   `quote` (*type:* `String.t`, *default:* `nil`) - The content that was found. Even if the content is not textual, it may be converted to a textual representation here. Provided if `include_quote` is true and the finding is less than or equal to 4096 bytes long. If the finding exceeds 4096 bytes in length, the quote may be omitted.\n*   `quoteInfo` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuoteInfo.t`, *default:* `nil`) - Contains data parsed from quotes. Only populated if include_quote was set to true and a supported infoType was requested. Currently supported infoTypes: DATE, DATE_OF_BIRTH and TIME.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - The job that stored the finding.\n*   `triggerName` (*type:* `String.t`, *default:* `nil`) - Job trigger name, if applicable, for this finding.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Finding.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Finding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Finding.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Finding.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Finding.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FindingLimits","doc":"Configuration to control the number of findings returned for inspection. This is not used for de-identification or data profiling. When redacting sensitive data from images, finding limits don't apply. They can cause unexpected or inconsistent results, where only some data is redacted. Don't include finding limits in RedactImage requests. Otherwise, Cloud DLP returns an error.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FindingLimits.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FindingLimits","doc":"*   `maxFindingsPerInfoType` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLimit.t)`, *default:* `nil`) - Configuration of findings limit given for specified infoTypes.\n*   `maxFindingsPerItem` (*type:* `integer()`, *default:* `nil`) - Max number of findings that are returned for each item scanned. When set within an InspectContentRequest, this field is ignored. This value isn't a hard limit. If the number of findings for an item reaches this limit, the inspection of that item ends gradually, not abruptly. Therefore, the actual number of findings that Cloud DLP returns for the item can be multiple times higher than this value.\n*   `maxFindingsPerRequest` (*type:* `integer()`, *default:* `nil`) - Max number of findings that are returned per request or job. If you set this field in an InspectContentRequest, the resulting maximum value is the value that you set or 3,000, whichever is lower. This value isn't a hard limit. If an inspection reaches this limit, the inspection ends gradually, not abruptly. Therefore, the actual number of findings that Cloud DLP returns can be multiple times higher than this value.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FindingLimits.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FindingLimits.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FindingLimits.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FindingLimits.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FindingLimits.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FinishDlpJobRequest","doc":"The request message for finishing a DLP hybrid job.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FinishDlpJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FinishDlpJobRequest","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FinishDlpJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FinishDlpJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FinishDlpJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FinishDlpJobRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FinishDlpJobRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FixedSizeBucketingConfig","doc":"Buckets values based on fixed size ranges. The Bucketing transformation can provide all of this functionality, but requires more configuration. This message is provided as a convenience to the user for simple bucketing strategies. The transformed value will be a hyphenated string of {lower_bound}-{upper_bound}. For example, if lower_bound = 10 and upper_bound = 20, all values that are within this bucket will be replaced with \"10-20\". This can be used on data of type: double, long. If the bound Value type differs from the type of data being transformed, we will first attempt converting the type of the data to be transformed to match the type of the bound before comparing. See https://cloud.google.com/sensitive-data-protection/docs/concepts-bucketing to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FixedSizeBucketingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FixedSizeBucketingConfig","doc":"*   `bucketSize` (*type:* `float()`, *default:* `nil`) - Required. Size of each bucket (except for minimum and maximum buckets). So if `lower_bound` = 10, `upper_bound` = 89, and `bucket_size` = 10, then the following buckets would be used: -10, 10-20, 20-30, 30-40, 40-50, 50-60, 60-70, 70-80, 80-89, 89+. Precision up to 2 decimals works.\n*   `lowerBound` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - Required. Lower bound value of buckets. All values less than `lower_bound` are grouped together into a single bucket; for example if `lower_bound` = 10, then all values less than 10 are replaced with the value \"-10\".\n*   `upperBound` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - Required. Upper bound value of buckets. All values greater than upper_bound are grouped together into a single bucket; for example if `upper_bound` = 89, then all values greater than 89 are replaced with the value \"89+\".","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FixedSizeBucketingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FixedSizeBucketingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FixedSizeBucketingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FixedSizeBucketingConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FixedSizeBucketingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule","doc":"The rule that adjusts the likelihood of findings within a certain proximity of hotwords.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule","doc":"*   `hotwordRegex` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.t`, *default:* `nil`) - Regular expression pattern defining what qualifies as a hotword.\n*   `likelihoodAdjustment` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LikelihoodAdjustment.t`, *default:* `nil`) - Likelihood adjustment to apply to all matching findings.\n*   `proximity` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity.t`, *default:* `nil`) - Range of characters within which the entire hotword must reside. The total length of the window cannot exceed 1000 characters. The finding itself will be included in the window, so that hotwords can be used to match substrings of the finding itself. Suppose you want Cloud DLP to promote the likelihood of the phone number regex \"\\(\\d{3}\\) \\d{3}-\\d{4}\" if the area code is known to be the area code of a company's office. In this case, use the hotword regex \"\\(xxx\\)\", where \"xxx\" is the area code in question. For tabular data, if you want to modify the likelihood of an entire column of findngs, see [Hotword example: Set the match likelihood of a table column] (https://cloud.google.com/sensitive-data-protection/docs/creating-custom-infotypes-likelihood#match-column-values).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem","doc":"An individual hybrid item to inspect. Will be stored temporarily during processing.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem","doc":"*   `findingDetails` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridFindingDetails.t`, *default:* `nil`) - Supplementary information that will be added to each finding.\n*   `item` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.t`, *default:* `nil`) - The item to inspect.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridFindingDetails","doc":"Populate to associate additional data with each finding.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridFindingDetails.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridFindingDetails","doc":"*   `containerDetails` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container.t`, *default:* `nil`) - Details about the container where the content being inspected is from.\n*   `fileOffset` (*type:* `String.t`, *default:* `nil`) - Offset in bytes of the line, from the beginning of the file, where the finding is located. Populate if the item being scanned is only part of a bigger item, such as a shard of a file and you want to track the absolute position of the finding.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to represent user provided metadata about the data being inspected. If configured by the job, some key values may be required. The labels associated with `Finding`'s produced by hybrid inspection. Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?`. Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`. No more than 10 labels can be associated with a given finding. Examples: * `\"environment\" : \"production\"` * `\"pipeline\" : \"etl\"`\n*   `rowOffset` (*type:* `String.t`, *default:* `nil`) - Offset of the row for tables. Populate if the row(s) being scanned are part of a bigger dataset and you want to keep track of their absolute position.\n*   `tableOptions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions.t`, *default:* `nil`) - If the container is a table, additional information to make findings meaningful such as the columns that are primary keys. If not known ahead of time, can also be set within each inspect hybrid call and the two will be merged. Note that identifying_fields will only be stored to BigQuery, and only if the BigQuery action has been included.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridFindingDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridFindingDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridFindingDetails.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridFindingDetails.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridFindingDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectDlpJobRequest","doc":"Request to search for potentially sensitive info in a custom location.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectDlpJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectDlpJobRequest","doc":"*   `hybridItem` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem.t`, *default:* `nil`) - The item to inspect.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectDlpJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectDlpJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectDlpJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectDlpJobRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectDlpJobRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectJobTriggerRequest","doc":"Request to search for potentially sensitive info in a custom location.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectJobTriggerRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectJobTriggerRequest","doc":"*   `hybridItem` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridContentItem.t`, *default:* `nil`) - The item to inspect.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectJobTriggerRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectJobTriggerRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectJobTriggerRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectJobTriggerRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectJobTriggerRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse","doc":"Quota exceeded errors will be thrown once quota has been met.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectStatistics","doc":"Statistics related to processing hybrid inspect requests.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectStatistics.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectStatistics","doc":"*   `abortedCount` (*type:* `String.t`, *default:* `nil`) - The number of hybrid inspection requests aborted because the job ran out of quota or was ended before they could be processed.\n*   `pendingCount` (*type:* `String.t`, *default:* `nil`) - The number of hybrid requests currently being processed. Only populated when called via method `getDlpJob`. A burst of traffic may cause hybrid inspect requests to be enqueued. Processing will take place as quickly as possible, but resource limitations may impact how long a request is enqueued for.\n*   `processedCount` (*type:* `String.t`, *default:* `nil`) - The number of hybrid inspection requests processed within this job.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectStatistics.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectStatistics.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectStatistics.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectStatistics.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectStatistics.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridOptions","doc":"Configuration to control jobs where the content being inspected is outside of Google Cloud Platform.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridOptions","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - A short description of where the data is coming from. Will be stored once in the job. 256 max length.\n*   `labels` (*type:* `map()`, *default:* `nil`) - To organize findings, these labels will be added to each finding. Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?`. Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`. No more than 10 labels can be associated with a given finding. Examples: * `\"environment\" : \"production\"` * `\"pipeline\" : \"etl\"`\n*   `requiredFindingLabelKeys` (*type:* `list(String.t)`, *default:* `nil`) - These are labels that each inspection request must include within their 'finding_labels' map. Request may contain others, but any missing one of these will be rejected. Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?`. No more than 10 keys can be required.\n*   `tableOptions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions.t`, *default:* `nil`) - If the container is a table, additional information to make findings meaningful such as the columns that are primary keys.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridOptions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageLocation","doc":"Location of the finding within an image.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageLocation","doc":"*   `boundingBoxes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BoundingBox.t)`, *default:* `nil`) - Bounding boxes locating the pixels within the image containing the finding.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageRedactionConfig","doc":"Configuration for determining how redaction of images should occur.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageRedactionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageRedactionConfig","doc":"*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - Only one per info_type should be provided per request. If not specified, and redact_all_text is false, the DLP API will redact all text that it matches against all info_types that are found, but not specified in another ImageRedactionConfig.\n*   `redactAllText` (*type:* `boolean()`, *default:* `nil`) - If true, all text found in the image, regardless whether it matches an info_type, is redacted. Only one should be provided.\n*   `redactionColor` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color.t`, *default:* `nil`) - The color to use when redacting content from an image. If not specified, the default is black.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageRedactionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageRedactionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageRedactionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageRedactionConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageRedactionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformation","doc":"Configuration for determining how redaction of images should occur.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformation","doc":"*   `allInfoTypes` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllInfoTypes.t`, *default:* `nil`) - Apply transformation to all findings not specified in other ImageTransformation's selected_info_types. Only one instance is allowed within the ImageTransformations message.\n*   `allText` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AllText.t`, *default:* `nil`) - Apply transformation to all text that doesn't match an infoType. Only one instance is allowed within the ImageTransformations message.\n*   `redactionColor` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Color.t`, *default:* `nil`) - The color to use when redacting content from an image. If not specified, the default is black.\n*   `selectedInfoTypes` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SelectedInfoTypes.t`, *default:* `nil`) - Apply transformation to the selected info_types.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformations","doc":"A type of transformation that is applied over images.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformations.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformations","doc":"*   `transforms` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformation.t)`, *default:* `nil`) - List of transforms to make.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformations.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformations.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformations.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformations.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageTransformations.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType","doc":"Type of information detected by the API.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the information type. Either a name of your choosing when creating a CustomInfoType, or one of the names listed at https://cloud.google.com/sensitive-data-protection/docs/infotypes-reference when specifying a built-in type. When sending Cloud DLP results to Data Catalog, infoType names should conform to the pattern `[A-Za-z0-9$_-]{1,64}`.\n*   `sensitivityScore` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t`, *default:* `nil`) - Optional custom sensitivity for this InfoType. This only applies to data profiling.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Optional version name for this InfoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeCategory","doc":"Classification of infoTypes to organize them according to geographic location, industry, and data type.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeCategory.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeCategory","doc":"*   `industryCategory` (*type:* `String.t`, *default:* `nil`) - The group of relevant businesses where this infoType is commonly used\n*   `locationCategory` (*type:* `String.t`, *default:* `nil`) - The region or country that issued the ID or document represented by the infoType.\n*   `typeCategory` (*type:* `String.t`, *default:* `nil`) - The class of identifiers where this infoType belongs","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeCategory.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeCategory.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeCategory.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeCategory.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeCategory.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeDescription","doc":"InfoType description.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeDescription.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeDescription","doc":"*   `categories` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeCategory.t)`, *default:* `nil`) - The category of the infoType.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of the infotype. Translated when language is provided in the request.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Human readable form of the infoType name.\n*   `example` (*type:* `String.t`, *default:* `nil`) - A sample true positive for this infoType.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Internal name of the infoType.\n*   `sensitivityScore` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t`, *default:* `nil`) - The default sensitivity of the infoType.\n*   `supportedBy` (*type:* `list(String.t)`, *default:* `nil`) - Which parts of the API supports this InfoType.\n*   `versions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2VersionDescription.t)`, *default:* `nil`) - A list of available versions for the infotype.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeDescription.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeDescription.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeDescription.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeDescription.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeDescription.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLikelihood","doc":"Configuration for setting a minimum likelihood per infotype. Used to customize the minimum likelihood level for specific infotypes in the request. For example, use this if you want to lower the precision for PERSON_NAME without lowering the precision for the other infotypes in the request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLikelihood.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLikelihood","doc":"*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - Type of information the likelihood threshold applies to. Only one likelihood per info_type should be provided. If InfoTypeLikelihood does not have an info_type, the configuration fails.\n*   `minLikelihood` (*type:* `String.t`, *default:* `nil`) - Only returns findings equal to or above this threshold. This field is required or else the configuration fails.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLikelihood.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLikelihood.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLikelihood.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLikelihood.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLikelihood.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLimit","doc":"Max findings configuration per infoType, per content item or long running DlpJob.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLimit.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLimit","doc":"*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - Type of information the findings limit applies to. Only one limit per info_type should be provided. If InfoTypeLimit does not have an info_type, the DLP API applies the limit against all info_types that are found but not specified in another InfoTypeLimit.\n*   `maxFindings` (*type:* `integer()`, *default:* `nil`) - Max findings limit for the given infoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLimit.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLimit.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLimit.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLimit.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLimit.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeStats","doc":"Statistics regarding a specific InfoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeStats.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeStats","doc":"*   `count` (*type:* `String.t`, *default:* `nil`) - Number of findings for this infoType.\n*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - The type of finding this stat is for.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeStats.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeStats.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeStats.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeStats.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeStats.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary","doc":"The infoType details for this column.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary","doc":"*   `estimatedPrevalence` (*type:* `integer()`, *default:* `nil`) - Not populated for predicted infotypes.\n*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - The infoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformation","doc":"A transformation to apply to text that is identified as a specific info_type.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformation","doc":"*   `infoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t)`, *default:* `nil`) - InfoTypes to apply the transformation to. An empty list will cause this transformation to apply to all findings that correspond to infoTypes that were requested in `InspectConfig`.\n*   `primitiveTransformation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation.t`, *default:* `nil`) - Required. Primitive transformation to apply to the infoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations","doc":"A type of transformation that will scan unstructured text and apply various `PrimitiveTransformation`s to each finding, where the transformation is applied to only values that were identified as a specific info_type.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations","doc":"*   `transformations` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformation.t)`, *default:* `nil`) - Required. Transformation for each infoType. Cannot specify more than one for a given infoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeTransformations.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig","doc":"Configuration description of the scanning process. When used with redactContent only info_types and min_likelihood are currently used.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig","doc":"*   `contentOptions` (*type:* `list(String.t)`, *default:* `nil`) - Deprecated and unused.\n*   `customInfoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CustomInfoType.t)`, *default:* `nil`) - CustomInfoTypes provided by the user. See https://cloud.google.com/sensitive-data-protection/docs/creating-custom-infotypes to learn more.\n*   `excludeInfoTypes` (*type:* `boolean()`, *default:* `nil`) - When true, excludes type information of the findings. This is not used for data profiling.\n*   `includeQuote` (*type:* `boolean()`, *default:* `nil`) - When true, a contextual quote from the data that triggered a finding is included in the response; see Finding.quote. This is not used for data profiling.\n*   `infoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t)`, *default:* `nil`) - Restricts what info_types to look for. The values must correspond to InfoType values returned by ListInfoTypes or listed at https://cloud.google.com/sensitive-data-protection/docs/infotypes-reference. When no InfoTypes or CustomInfoTypes are specified in a request, the system may automatically choose a default list of detectors to run, which may change over time. If you need precise control and predictability as to what detectors are run you should specify specific InfoTypes listed in the reference, otherwise a default list will be used, which may change over time.\n*   `limits` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FindingLimits.t`, *default:* `nil`) - Configuration to control the number of findings returned. This is not used for data profiling. When redacting sensitive data from images, finding limits don't apply. They can cause unexpected or inconsistent results, where only some data is redacted. Don't include finding limits in RedactImage requests. Otherwise, Cloud DLP returns an error. When set within an InspectJobConfig, the specified maximum values aren't hard limits. If an inspection job reaches these limits, the job ends gradually, not abruptly. Therefore, the actual number of findings that Cloud DLP returns can be multiple times higher than these maximum values.\n*   `minLikelihood` (*type:* `String.t`, *default:* `nil`) - Only returns findings equal to or above this threshold. The default is POSSIBLE. In general, the highest likelihood setting yields the fewest findings in results and the lowest chance of a false positive. For more information, see [Match likelihood](https://cloud.google.com/sensitive-data-protection/docs/likelihood).\n*   `minLikelihoodPerInfoType` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeLikelihood.t)`, *default:* `nil`) - Minimum likelihood per infotype. For each infotype, a user can specify a minimum likelihood. The system only returns a finding if its likelihood is above this threshold. If this field is not set, the system uses the InspectConfig min_likelihood.\n*   `ruleSet` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRuleSet.t)`, *default:* `nil`) - Set of rules to apply to the findings for this InspectConfig. Exclusion rules, contained in the set are executed in the end, other rules are executed in the order they are specified for each info type.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest","doc":"Request to search for potentially sensitive info in a ContentItem.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest","doc":"*   `inspectConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.t`, *default:* `nil`) - Configuration for the inspector. What specified here will override the template referenced by the inspect_template_name argument.\n*   `inspectTemplateName` (*type:* `String.t`, *default:* `nil`) - Template to use. Any configuration directly specified in inspect_config will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged.\n*   `item` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.t`, *default:* `nil`) - The item to inspect.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. This field has no effect.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse","doc":"Results of inspecting an item.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse","doc":"*   `result` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult.t`, *default:* `nil`) - The findings.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectContentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectDataSourceDetails","doc":"The results of an inspect DataSource job.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectDataSourceDetails.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectDataSourceDetails","doc":"*   `requestedOptions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedOptions.t`, *default:* `nil`) - The configuration used for this job.\n*   `result` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Result.t`, *default:* `nil`) - A summary of the outcome of this inspection job.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectDataSourceDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectDataSourceDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectDataSourceDetails.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectDataSourceDetails.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectDataSourceDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig","doc":"Controls what and how to inspect for findings.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig","doc":"*   `actions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action.t)`, *default:* `nil`) - Actions to execute at the completion of the job.\n*   `inspectConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.t`, *default:* `nil`) - How and what to scan for.\n*   `inspectTemplateName` (*type:* `String.t`, *default:* `nil`) - If provided, will be used as the default for all values in InspectConfig. `inspect_config` will be merged into the values persisted as part of the template.\n*   `storageConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageConfig.t`, *default:* `nil`) - The data to scan.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult","doc":"All the findings for a single scanned item.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult","doc":"*   `findings` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Finding.t)`, *default:* `nil`) - List of findings for an item.\n*   `findingsTruncated` (*type:* `boolean()`, *default:* `nil`) - If true, then this item might have more findings than were returned, and the findings returned are an arbitrary subset of all findings. The findings list might be truncated because the input items were too large, or because the server reached the maximum amount of resources allowed for a single API call. For best results, divide the input into smaller batches.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate","doc":"The inspectTemplate contains a configuration (set of types of sensitive data to be detected) to be used anywhere you otherwise would normally specify InspectConfig. See https://cloud.google.com/sensitive-data-protection/docs/concepts-templates to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The creation timestamp of an inspectTemplate.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Short description (max 256 chars).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name (max 256 chars).\n*   `inspectConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.t`, *default:* `nil`) - The core content of the template. Configuration of the scanning process.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The template name. The template will have one of the following formats: `projects/PROJECT_ID/inspectTemplates/TEMPLATE_ID` OR `organizations/ORGANIZATION_ID/inspectTemplates/TEMPLATE_ID`;\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The last update timestamp of an inspectTemplate.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRule","doc":"A single inspection rule to be applied to infoTypes, specified in `InspectionRuleSet`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRule.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRule","doc":"*   `exclusionRule` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ExclusionRule.t`, *default:* `nil`) - Exclusion rule.\n*   `hotwordRule` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HotwordRule.t`, *default:* `nil`) - Hotword-based detection rule.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRule.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRule.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRule.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRule.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRuleSet","doc":"Rule set for modifying a set of infoTypes to alter behavior under certain circumstances, depending on the specific details of the rules within the set.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRuleSet.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRuleSet","doc":"*   `infoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t)`, *default:* `nil`) - List of infoTypes this rule set is applied to.\n*   `rules` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRule.t)`, *default:* `nil`) - Set of rules to be applied to infoTypes. The rules are applied in order.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRuleSet.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRuleSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRuleSet.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRuleSet.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectionRuleSet.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobNotificationEmails","doc":"Sends an email when the job completes. The email goes to IAM project owners and technical [Essential Contacts](https://cloud.google.com/resource-manager/docs/managing-notification-contacts).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobNotificationEmails.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobNotificationEmails","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobNotificationEmails.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobNotificationEmails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobNotificationEmails.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobNotificationEmails.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobNotificationEmails.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger","doc":"Contains a configuration to make API calls on a repeating basis. See https://cloud.google.com/sensitive-data-protection/docs/concepts-job-triggers to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The creation timestamp of a triggeredJob.\n*   `description` (*type:* `String.t`, *default:* `nil`) - User provided description (max 256 chars)\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name (max 100 chars)\n*   `errors` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.t)`, *default:* `nil`) - Output only. A stream of errors encountered when the trigger was activated. Repeated errors may result in the JobTrigger automatically being paused. Will return the last 100 errors. Whenever the JobTrigger is modified this list will be cleared.\n*   `inspectJob` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig.t`, *default:* `nil`) - For inspect jobs, a snapshot of the configuration.\n*   `lastRunTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The timestamp of the last time this trigger executed.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Unique resource name for the triggeredJob, assigned by the service when the triggeredJob is created, for example `projects/dlp-test-project/jobTriggers/53234423`.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Required. A status for this trigger.\n*   `triggers` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Trigger.t)`, *default:* `nil`) - A list of triggers which will be OR'ed together. Only one in the list needs to trigger for a job to be started. The list may contain only a single Schedule trigger and must have at least one object.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The last update timestamp of a triggeredJob.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityConfig","doc":"k-anonymity metric, used for analysis of reidentification risk.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityConfig","doc":"*   `entityId` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2EntityId.t`, *default:* `nil`) - Message indicating that multiple rows might be associated to a single individual. If the same entity_id is associated to multiple quasi-identifier tuples over distinct rows, we consider the entire collection of tuples as the composite quasi-identifier. This collection is a multiset: the order in which the different tuples appear in the dataset is ignored, but their frequency is taken into account. Important note: a maximum of 1000 rows can be associated to a single entity ID. If more rows are associated with the same entity ID, some might be ignored.\n*   `quasiIds` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t)`, *default:* `nil`) - Set of fields to compute k-anonymity over. When multiple fields are specified, they are considered a single composite key. Structs and repeated data types are not supported; however, nested fields are supported so long as they are not structs themselves or nested within a repeated field.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityEquivalenceClass","doc":"The set of columns' values that share the same ldiversity value","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityEquivalenceClass.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityEquivalenceClass","doc":"*   `equivalenceClassSize` (*type:* `String.t`, *default:* `nil`) - Size of the equivalence class, for example number of rows with the above set of values.\n*   `quasiIdsValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t)`, *default:* `nil`) - Set of values defining the equivalence class. One value per quasi-identifier column in the original KAnonymity metric message. The order is always the same as the original request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityEquivalenceClass.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityEquivalenceClass.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityEquivalenceClass.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityEquivalenceClass.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityEquivalenceClass.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityHistogramBucket","doc":"Histogram of k-anonymity equivalence classes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityHistogramBucket.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityHistogramBucket","doc":"*   `bucketSize` (*type:* `String.t`, *default:* `nil`) - Total number of equivalence classes in this bucket.\n*   `bucketValueCount` (*type:* `String.t`, *default:* `nil`) - Total number of distinct equivalence classes in this bucket.\n*   `bucketValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityEquivalenceClass.t)`, *default:* `nil`) - Sample of equivalence classes in this bucket. The total number of classes returned per bucket is capped at 20.\n*   `equivalenceClassSizeLowerBound` (*type:* `String.t`, *default:* `nil`) - Lower bound on the size of the equivalence classes in this bucket.\n*   `equivalenceClassSizeUpperBound` (*type:* `String.t`, *default:* `nil`) - Upper bound on the size of the equivalence classes in this bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityHistogramBucket.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityHistogramBucket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityHistogramBucket.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityHistogramBucket.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityHistogramBucket.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityResult","doc":"Result of the k-anonymity computation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityResult.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityResult","doc":"*   `equivalenceClassHistogramBuckets` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityHistogramBucket.t)`, *default:* `nil`) - Histogram of k-anonymity equivalence classes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityResult.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityResult.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationConfig","doc":"Reidentifiability metric. This corresponds to a risk model similar to what is called \"journalist risk\" in the literature, except the attack dataset is statistically modeled instead of being perfectly known. This can be done using publicly available data (like the US Census), or using a custom statistical model (indicated as one or several BigQuery tables), or by extrapolating from the distribution of values in the input dataset.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationConfig","doc":"*   `auxiliaryTables` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AuxiliaryTable.t)`, *default:* `nil`) - Several auxiliary tables can be used in the analysis. Each custom_tag used to tag a quasi-identifiers column must appear in exactly one column of one auxiliary table.\n*   `quasiIds` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TaggedField.t)`, *default:* `nil`) - Required. Fields considered to be quasi-identifiers. No two columns can have the same tag.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - ISO 3166-1 alpha-2 region code to use in the statistical modeling. Set if no column is tagged with a region-specific InfoType (like US_ZIP_5) or a region code.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationHistogramBucket","doc":"A KMapEstimationHistogramBucket message with the following values: min_anonymity: 3 max_anonymity: 5 frequency: 42 means that there are 42 records whose quasi-identifier values correspond to 3, 4 or 5 people in the overlying population. An important particular case is when min_anonymity = max_anonymity = 1: the frequency field then corresponds to the number of uniquely identifiable records.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationHistogramBucket.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationHistogramBucket","doc":"*   `bucketSize` (*type:* `String.t`, *default:* `nil`) - Number of records within these anonymity bounds.\n*   `bucketValueCount` (*type:* `String.t`, *default:* `nil`) - Total number of distinct quasi-identifier tuple values in this bucket.\n*   `bucketValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationQuasiIdValues.t)`, *default:* `nil`) - Sample of quasi-identifier tuple values in this bucket. The total number of classes returned per bucket is capped at 20.\n*   `maxAnonymity` (*type:* `String.t`, *default:* `nil`) - Always greater than or equal to min_anonymity.\n*   `minAnonymity` (*type:* `String.t`, *default:* `nil`) - Always positive.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationHistogramBucket.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationHistogramBucket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationHistogramBucket.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationHistogramBucket.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationHistogramBucket.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationQuasiIdValues","doc":"A tuple of values for the quasi-identifier columns.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationQuasiIdValues.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationQuasiIdValues","doc":"*   `estimatedAnonymity` (*type:* `String.t`, *default:* `nil`) - The estimated anonymity for these quasi-identifier values.\n*   `quasiIdsValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t)`, *default:* `nil`) - The quasi-identifier values.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationQuasiIdValues.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationQuasiIdValues.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationQuasiIdValues.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationQuasiIdValues.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationQuasiIdValues.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationResult","doc":"Result of the reidentifiability analysis. Note that these results are an estimation, not exact values.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationResult.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationResult","doc":"*   `kMapEstimationHistogram` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationHistogramBucket.t)`, *default:* `nil`) - The intervals [min_anonymity, max_anonymity] do not overlap. If a value doesn't correspond to any such interval, the associated frequency is zero. For example, the following records: {min_anonymity: 1, max_anonymity: 1, frequency: 17} {min_anonymity: 2, max_anonymity: 3, frequency: 42} {min_anonymity: 5, max_anonymity: 10, frequency: 99} mean that there are no record with an estimated anonymity of 4, 5, or larger than 10.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationResult.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationResult.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Key","doc":"A unique identifier for a Datastore entity. If a key's partition ID or any of its path kinds or names are reserved/read-only, the key is reserved/read-only. A reserved/read-only key is forbidden in certain documented contexts.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Key.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Key","doc":"*   `partitionId` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId.t`, *default:* `nil`) - Entities are partitioned into subsets, currently identified by a project ID and namespace ID. Queries are scoped to a single partition.\n*   `path` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PathElement.t)`, *default:* `nil`) - The entity path. An entity path consists of one or more elements composed of a kind and a string or numerical identifier, which identify entities. The first element identifies a _root entity_, the second element identifies a _child_ of the root entity, the third element identifies a child of the second entity, and so forth. The entities identified by all prefixes of the path are called the element's _ancestors_. A path can never be empty, and a path can have at most 100 elements.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Key.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Key.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Key.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Key.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Key.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KindExpression","doc":"A representation of a Datastore kind.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KindExpression.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KindExpression","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the kind.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KindExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KindExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KindExpression.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KindExpression.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KindExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KmsWrappedCryptoKey","doc":"Include to use an existing data crypto key wrapped by KMS. The wrapped key must be a 128-, 192-, or 256-bit key. Authorization requires the following IAM permissions when sending a request to perform a crypto transformation using a KMS-wrapped crypto key: dlp.kms.encrypt For more information, see [Creating a wrapped key] (https://cloud.google.com/sensitive-data-protection/docs/create-wrapped-key). Note: When you use Cloud KMS for cryptographic operations, [charges apply](https://cloud.google.com/kms/pricing).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KmsWrappedCryptoKey.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KmsWrappedCryptoKey","doc":"*   `cryptoKeyName` (*type:* `String.t`, *default:* `nil`) - Required. The resource name of the KMS CryptoKey to use for unwrapping.\n*   `wrappedKey` (*type:* `String.t`, *default:* `nil`) - Required. The wrapped data crypto key.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KmsWrappedCryptoKey.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KmsWrappedCryptoKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KmsWrappedCryptoKey.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KmsWrappedCryptoKey.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KmsWrappedCryptoKey.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityConfig","doc":"l-diversity metric, used for analysis of reidentification risk.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityConfig","doc":"*   `quasiIds` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t)`, *default:* `nil`) - Set of quasi-identifiers indicating how equivalence classes are defined for the l-diversity computation. When multiple fields are specified, they are considered a single composite key.\n*   `sensitiveAttribute` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Sensitive field for computing the l-value.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityEquivalenceClass","doc":"The set of columns' values that share the same ldiversity value.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityEquivalenceClass.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityEquivalenceClass","doc":"*   `equivalenceClassSize` (*type:* `String.t`, *default:* `nil`) - Size of the k-anonymity equivalence class.\n*   `numDistinctSensitiveValues` (*type:* `String.t`, *default:* `nil`) - Number of distinct sensitive values in this equivalence class.\n*   `quasiIdsValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t)`, *default:* `nil`) - Quasi-identifier values defining the k-anonymity equivalence class. The order is always the same as the original request.\n*   `topSensitiveValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency.t)`, *default:* `nil`) - Estimated frequencies of top sensitive values.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityEquivalenceClass.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityEquivalenceClass.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityEquivalenceClass.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityEquivalenceClass.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityEquivalenceClass.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityHistogramBucket","doc":"Histogram of l-diversity equivalence class sensitive value frequencies.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityHistogramBucket.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityHistogramBucket","doc":"*   `bucketSize` (*type:* `String.t`, *default:* `nil`) - Total number of equivalence classes in this bucket.\n*   `bucketValueCount` (*type:* `String.t`, *default:* `nil`) - Total number of distinct equivalence classes in this bucket.\n*   `bucketValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityEquivalenceClass.t)`, *default:* `nil`) - Sample of equivalence classes in this bucket. The total number of classes returned per bucket is capped at 20.\n*   `sensitiveValueFrequencyLowerBound` (*type:* `String.t`, *default:* `nil`) - Lower bound on the sensitive value frequencies of the equivalence classes in this bucket.\n*   `sensitiveValueFrequencyUpperBound` (*type:* `String.t`, *default:* `nil`) - Upper bound on the sensitive value frequencies of the equivalence classes in this bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityHistogramBucket.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityHistogramBucket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityHistogramBucket.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityHistogramBucket.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityHistogramBucket.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityResult","doc":"Result of the l-diversity computation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityResult.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityResult","doc":"*   `sensitiveValueFrequencyHistogramBuckets` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityHistogramBucket.t)`, *default:* `nil`) - Histogram of l-diversity equivalence class sensitive value frequencies.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityResult.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityResult.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryConfig","doc":"Configuration for a custom dictionary created from a data source of any size up to the maximum size defined in the [limits](https://cloud.google.com/sensitive-data-protection/limits) page. The artifacts of dictionary creation are stored in the specified Cloud Storage location. Consider using `CustomInfoType.Dictionary` for smaller dictionaries that satisfy the size requirements.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryConfig","doc":"*   `bigQueryField` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryField.t`, *default:* `nil`) - Field in a BigQuery table where each cell represents a dictionary phrase.\n*   `cloudStorageFileSet` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageFileSet.t`, *default:* `nil`) - Set of files containing newline-delimited lists of dictionary phrases.\n*   `outputPath` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStoragePath.t`, *default:* `nil`) - Location to store dictionary artifacts in Cloud Storage. These files will only be accessible by project owners and the DLP API. If any of these artifacts are modified, the dictionary is considered invalid and can no longer be used.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryStats","doc":"Summary statistics of a custom dictionary.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryStats.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryStats","doc":"*   `approxNumPhrases` (*type:* `String.t`, *default:* `nil`) - Approximate number of distinct phrases in the dictionary.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryStats.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryStats.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryStats.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryStats.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryStats.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LeaveUntransformed","doc":"Skips the data without modifying it if the requested transformation would cause an error. For example, if a `DateShift` transformation were applied an an IP address, this mode would leave the IP address unchanged in the response.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LeaveUntransformed.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LeaveUntransformed","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LeaveUntransformed.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LeaveUntransformed.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LeaveUntransformed.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LeaveUntransformed.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LeaveUntransformed.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LikelihoodAdjustment","doc":"Message for specifying an adjustment to the likelihood of a finding as part of a detection rule.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LikelihoodAdjustment.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LikelihoodAdjustment","doc":"*   `fixedLikelihood` (*type:* `String.t`, *default:* `nil`) - Set the likelihood of a finding to a fixed value.\n*   `relativeLikelihood` (*type:* `integer()`, *default:* `nil`) - Increase or decrease the likelihood by the specified number of levels. For example, if a finding would be `POSSIBLE` without the detection rule and `relative_likelihood` is 1, then it is upgraded to `LIKELY`, while a value of -1 would downgrade it to `UNLIKELY`. Likelihood may never drop below `VERY_UNLIKELY` or exceed `VERY_LIKELY`, so applying an adjustment of 1 followed by an adjustment of -1 when base likelihood is `VERY_LIKELY` will result in a final likelihood of `LIKELY`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LikelihoodAdjustment.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LikelihoodAdjustment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LikelihoodAdjustment.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LikelihoodAdjustment.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LikelihoodAdjustment.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse","doc":"List of profiles generated for a given organization or project.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse","doc":"*   `columnDataProfiles` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ColumnDataProfile.t)`, *default:* `nil`) - List of data profiles.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The next page token.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListColumnDataProfilesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse","doc":"Response message for ListConnections.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse","doc":"*   `connections` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.t)`, *default:* `nil`) - List of connections.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results. An empty value means there are no more results.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListConnectionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse","doc":"Response message for ListDeidentifyTemplates.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse","doc":"*   `deidentifyTemplates` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.t)`, *default:* `nil`) - List of deidentify templates, up to page_size in ListDeidentifyTemplatesRequest.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the next page is available then the next page token to be used in the following ListDeidentifyTemplates request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDeidentifyTemplatesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse","doc":"Response message for ListDiscoveryConfigs.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse","doc":"*   `discoveryConfigs` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.t)`, *default:* `nil`) - List of configs, up to page_size in ListDiscoveryConfigsRequest.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the next page is available then this value is the next page token to be used in the following ListDiscoveryConfigs request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDiscoveryConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse","doc":"The response message for listing DLP jobs.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse","doc":"*   `jobs` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DlpJob.t)`, *default:* `nil`) - A list of DlpJobs that matches the specified filter in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListDlpJobsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse","doc":"List of file store data profiles generated for a given organization or project.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse","doc":"*   `fileStoreDataProfiles` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FileStoreDataProfile.t)`, *default:* `nil`) - List of data profiles.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The next page token.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListFileStoreDataProfilesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse","doc":"Response to the ListInfoTypes request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse","doc":"*   `infoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeDescription.t)`, *default:* `nil`) - Set of sensitive infoTypes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInfoTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse","doc":"Response message for ListInspectTemplates.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse","doc":"*   `inspectTemplates` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.t)`, *default:* `nil`) - List of inspectTemplates, up to page_size in ListInspectTemplatesRequest.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the next page is available then the next page token to be used in the following ListInspectTemplates request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListInspectTemplatesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse","doc":"Response message for ListJobTriggers.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse","doc":"*   `jobTriggers` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger.t)`, *default:* `nil`) - List of triggeredJobs, up to page_size in ListJobTriggersRequest.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the next page is available then this value is the next page token to be used in the following ListJobTriggers request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListJobTriggersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse","doc":"List of profiles generated for a given organization or project.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The next page token.\n*   `projectDataProfiles` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile.t)`, *default:* `nil`) - List of data profiles.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListProjectDataProfilesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse","doc":"Response message for ListStoredInfoTypes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the next page is available then the next page token to be used in the following ListStoredInfoTypes request.\n*   `storedInfoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType.t)`, *default:* `nil`) - List of storedInfoTypes, up to page_size in ListStoredInfoTypesRequest.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListStoredInfoTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse","doc":"List of profiles generated for a given organization or project.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The next page token.\n*   `tableDataProfiles` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile.t)`, *default:* `nil`) - List of data profiles.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ListTableDataProfilesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Location","doc":"Specifies the location of the finding.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Location.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Location","doc":"*   `byteRange` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range.t`, *default:* `nil`) - Zero-based byte offsets delimiting the finding. These are relative to the finding's containing element. Note that when the content is not textual, this references the UTF-8 encoded textual representation of the content. Omitted if content is an image.\n*   `codepointRange` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range.t`, *default:* `nil`) - Unicode character offsets delimiting the finding. These are relative to the finding's containing element. Provided when the content is text.\n*   `container` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Container.t`, *default:* `nil`) - Information about the container where this finding occurred, if available.\n*   `contentLocations` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentLocation.t)`, *default:* `nil`) - List of nested objects pointing to the precise location of the finding within the file or record.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Location.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Location.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Location.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Location.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Location.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Manual","doc":"Job trigger option for hybrid jobs. Jobs must be manually created and finished.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Manual.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Manual","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Manual.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Manual.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Manual.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Manual.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Manual.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2MetadataLocation","doc":"Metadata Location","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2MetadataLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2MetadataLocation","doc":"*   `storageLabel` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageMetadataLabel.t`, *default:* `nil`) - Storage metadata.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of metadata containing the finding.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2MetadataLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2MetadataLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2MetadataLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2MetadataLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2MetadataLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsConfig","doc":"Compute numerical stats over an individual column, including min, max, and quantiles.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsConfig","doc":"*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Field to compute numerical stats on. Supported types are integer, float, date, datetime, timestamp, time.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsResult","doc":"Result of the numerical stats computation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsResult.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsResult","doc":"*   `maxValue` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - Maximum value appearing in the column.\n*   `minValue` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - Minimum value appearing in the column.\n*   `quantileValues` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t)`, *default:* `nil`) - List of 99 values that partition the set of field values into 100 equal sized buckets.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsResult.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsResult.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrConditions","doc":"There is an OR relationship between these attributes. They are used to determine if a table should be scanned or not in Discovery.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrConditions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrConditions","doc":"*   `minAge` (*type:* `String.t`, *default:* `nil`) - Minimum age a table must have before Cloud DLP can profile it. Value must be 1 hour or greater.\n*   `minRowCount` (*type:* `integer()`, *default:* `nil`) - Minimum number of rows that should be present before Cloud DLP profiles a table","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrConditions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrConditions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrgConfig","doc":"Project and scan location information. Only set when the parent is an org.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrgConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrgConfig","doc":"*   `location` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryStartingLocation.t`, *default:* `nil`) - The data to scan: folder, org, or project\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - The project that will run the scan. The DLP service account that exists within this project must have access to all resources that are profiled, and the DLP API must be enabled.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrgConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrgConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrgConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrgConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OrgConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation","doc":"The other cloud starting location for discovery.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation","doc":"*   `awsLocation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AwsDiscoveryStartingLocation.t`, *default:* `nil`) - The AWS starting location for discovery.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryStartingLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryTarget","doc":"Target used to match against for discovery of resources from other clouds. An [AWS connector in Security Command Center (Enterprise](https://cloud.google.com/security-command-center/docs/connect-scc-to-aws) is required to use this feature.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryTarget.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryTarget","doc":"*   `conditions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudConditions.t`, *default:* `nil`) - Optional. In addition to matching the filter, these conditions must be true before a profile is generated.\n*   `dataSourceType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType.t`, *default:* `nil`) - Required. The type of data profiles generated by this discovery target. Supported values are: * aws/s3/bucket\n*   `disabled` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Disabled.t`, *default:* `nil`) - Disable profiling for resources that match this filter.\n*   `filter` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudFilter.t`, *default:* `nil`) - Required. The resources that the discovery cadence applies to. The first target with a matching filter will be the one to apply to a resource.\n*   `generationCadence` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryOtherCloudGenerationCadence.t`, *default:* `nil`) - How often and when to update data profiles. New resources that match both the filter and conditions are scanned as quickly as possible depending on system capacity.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryTarget.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryTarget.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudDiscoveryTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceCollection","doc":"Match resources using regex filters.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceCollection.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceCollection","doc":"*   `includeRegexes` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegexes.t`, *default:* `nil`) - A collection of regular expressions to match a resource against.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceCollection.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceCollection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceCollection.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceCollection.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceCollection.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegex","doc":"A pattern to match against one or more resources. At least one pattern must be specified. Regular expressions use RE2 [syntax](https://github.com/google/re2/wiki/Syntax); a guide can be found under the google/re2 repository on GitHub.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegex.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegex","doc":"*   `amazonS3BucketRegex` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3BucketRegex.t`, *default:* `nil`) - Regex for Amazon S3 buckets.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegex.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegex.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegex.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegex.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegex.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegexes","doc":"A collection of regular expressions to determine what resources to match against.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegexes.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegexes","doc":"*   `patterns` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegex.t)`, *default:* `nil`) - A group of regular expression patterns to match against one or more resources. Maximum of 100 entries. The sum of all regular expression's length can't exceed 10 KiB.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegexes.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegexes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegexes.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegexes.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudResourceRegexes.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudSingleResourceReference","doc":"Identifies a single resource, like a single Amazon S3 bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudSingleResourceReference.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudSingleResourceReference","doc":"*   `amazonS3Bucket` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2AmazonS3Bucket.t`, *default:* `nil`) - Amazon S3 bucket.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudSingleResourceReference.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudSingleResourceReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudSingleResourceReference.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudSingleResourceReference.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherCloudSingleResourceReference.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary","doc":"Infotype details for other infoTypes found within a column.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary","doc":"*   `estimatedPrevalence` (*type:* `integer()`, *default:* `nil`) - Approximate percentage of non-null rows that contained data detected by this infotype.\n*   `excludedFromAnalysis` (*type:* `boolean()`, *default:* `nil`) - Whether this infoType was excluded from sensitivity and risk analysis due to factors such as low prevalence (subject to change).\n*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - The other infoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OutputStorageConfig","doc":"Cloud repository for storing output.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OutputStorageConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OutputStorageConfig","doc":"*   `outputSchema` (*type:* `String.t`, *default:* `nil`) - Schema used for writing the findings for Inspect jobs. This field is only used for Inspect and must be unspecified for Risk jobs. Columns are derived from the `Finding` object. If appending to an existing table, any columns from the predefined schema that are missing will be added. No columns in the existing table will be deleted. If unspecified, then all available columns will be used for a new table or an (existing) table with no schema, and no changes will be made to an existing table that has a schema. Only for use with external storage.\n*   `table` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - Store findings in an existing table or a new table in an existing dataset. If table_id is not set a new one will be generated for you with the following format: dlp_googleapis_yyyy_mm_dd_[dlp_job_id]. Pacific time zone will be used for generating the date details. For Inspect, each column in an existing output table must have the same name, type, and mode of a field in the `Finding` object. For Risk, an existing output table should be the output of a previous Risk analysis job run on the same source table, with the same privacy metric and quasi-identifiers. Risk jobs that analyze the same table but compute a different privacy metric, or use different sets of quasi-identifiers, cannot store their results in the same table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OutputStorageConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OutputStorageConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OutputStorageConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OutputStorageConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OutputStorageConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId","doc":"Datastore partition ID. A partition ID identifies a grouping of entities. The grouping is always by project and namespace, however the namespace ID may be empty. A partition ID contains several dimensions: project ID and namespace ID.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId","doc":"*   `namespaceId` (*type:* `String.t`, *default:* `nil`) - If not empty, the ID of the namespace to which the entities belong.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - The ID of the project to which the entities belong.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PartitionId.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PathElement","doc":"A (kind, ID/name) pair used to construct a key path. If either name or ID is set, the element is complete. If neither is set, the element is incomplete.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PathElement.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PathElement","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The auto-allocated ID of the entity. Never equal to zero. Values less than zero are discouraged and may not be supported in the future.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - The kind of the entity. A kind matching regex `__.*__` is reserved/read-only. A kind must not contain more than 1500 bytes when UTF-8 encoded. Cannot be `\"\"`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the entity. A name matching regex `__.*__` is reserved/read-only. A name must not be more than 1500 bytes when UTF-8 encoded. Cannot be `\"\"`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PathElement.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PathElement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PathElement.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PathElement.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PathElement.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation","doc":"A rule for transforming a value.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation","doc":"*   `bucketingConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BucketingConfig.t`, *default:* `nil`) - Bucketing\n*   `characterMaskConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CharacterMaskConfig.t`, *default:* `nil`) - Mask\n*   `cryptoDeterministicConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoDeterministicConfig.t`, *default:* `nil`) - Deterministic Crypto\n*   `cryptoHashConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoHashConfig.t`, *default:* `nil`) - Crypto\n*   `cryptoReplaceFfxFpeConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig.t`, *default:* `nil`) - Ffx-Fpe\n*   `dateShiftConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateShiftConfig.t`, *default:* `nil`) - Date Shift\n*   `fixedSizeBucketingConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FixedSizeBucketingConfig.t`, *default:* `nil`) - Fixed size bucketing\n*   `redactConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactConfig.t`, *default:* `nil`) - Redact\n*   `replaceConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceValueConfig.t`, *default:* `nil`) - Replace with a specified value.\n*   `replaceDictionaryConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceDictionaryConfig.t`, *default:* `nil`) - Replace with a value randomly drawn (with replacement) from a dictionary.\n*   `replaceWithInfoTypeConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceWithInfoTypeConfig.t`, *default:* `nil`) - Replace with infotype\n*   `timePartConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimePartConfig.t`, *default:* `nil`) - Time extraction","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric","doc":"Privacy metric to compute for reidentification risk analysis.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric","doc":"*   `categoricalStatsConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CategoricalStatsConfig.t`, *default:* `nil`) - Categorical stats\n*   `deltaPresenceEstimationConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeltaPresenceEstimationConfig.t`, *default:* `nil`) - delta-presence\n*   `kAnonymityConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KAnonymityConfig.t`, *default:* `nil`) - K-anonymity\n*   `kMapEstimationConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2KMapEstimationConfig.t`, *default:* `nil`) - k-map\n*   `lDiversityConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LDiversityConfig.t`, *default:* `nil`) - l-diversity\n*   `numericalStatsConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2NumericalStatsConfig.t`, *default:* `nil`) - Numerical stats","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus","doc":"Success or errors for the profile generation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus","doc":"*   `status` (*type:* `GoogleApi.DLP.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - Profiling status code and optional message. The `status.code` value is 0 (default value) for OK.\n*   `timestamp` (*type:* `DateTime.t`, *default:* `nil`) - Time when the profile generation status was updated","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile","doc":"An aggregated profile for this project, based on the resources profiled within it.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile","doc":"*   `dataRiskLevel` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.t`, *default:* `nil`) - The data risk level of this project.\n*   `fileStoreDataProfileCount` (*type:* `String.t`, *default:* `nil`) - The number of file store data profiles generated for this project.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the profile.\n*   `profileLastGenerated` (*type:* `DateTime.t`, *default:* `nil`) - The last time the profile was generated.\n*   `profileStatus` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.t`, *default:* `nil`) - Success or error status of the last attempt to profile the project.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Project ID or account that was profiled.\n*   `sensitivityScore` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t`, *default:* `nil`) - The sensitivity score of this project.\n*   `tableDataProfileCount` (*type:* `String.t`, *default:* `nil`) - The number of table data profiles generated for this project.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProjectDataProfile.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity","doc":"Message for specifying a window around a finding to apply a detection rule.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity","doc":"*   `windowAfter` (*type:* `integer()`, *default:* `nil`) - Number of characters after the finding to consider.\n*   `windowBefore` (*type:* `integer()`, *default:* `nil`) - Number of characters before the finding to consider. For tabular data, if you want to modify the likelihood of an entire column of findngs, set this to 1. For more information, see [Hotword example: Set the match likelihood of a table column] (https://cloud.google.com/sensitive-data-protection/docs/creating-custom-infotypes-likelihood#match-column-values).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Proximity.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubCondition","doc":"A condition consisting of a value.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubCondition.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubCondition","doc":"*   `minimumRiskScore` (*type:* `String.t`, *default:* `nil`) - The minimum data risk score that triggers the condition.\n*   `minimumSensitivityScore` (*type:* `String.t`, *default:* `nil`) - The minimum sensitivity level that triggers the condition.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubCondition.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubCondition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubCondition.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubCondition.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubCondition.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubExpressions","doc":"An expression, consisting of an operator and conditions.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubExpressions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubExpressions","doc":"*   `conditions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubCondition.t)`, *default:* `nil`) - Conditions to apply to the expression.\n*   `logicalOperator` (*type:* `String.t`, *default:* `nil`) - The operator to apply to the collection of conditions.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubExpressions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubExpressions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubExpressions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubExpressions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubExpressions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubNotification","doc":"Send a Pub/Sub message into the given Pub/Sub topic to connect other systems to data profile generation. The message payload data will be the byte serialization of `DataProfilePubSubMessage`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubNotification.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubNotification","doc":"*   `detailOfMessage` (*type:* `String.t`, *default:* `nil`) - How much data to include in the Pub/Sub message. If the user wishes to limit the size of the message, they can use resource_name and fetch the profile fields they wish to. Per table profile (not per column).\n*   `event` (*type:* `String.t`, *default:* `nil`) - The type of event that triggers a Pub/Sub. At most one `PubSubNotification` per EventType is permitted.\n*   `pubsubCondition` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfilePubSubCondition.t`, *default:* `nil`) - Conditions (e.g., data risk or sensitivity level) for triggering a Pub/Sub.\n*   `topic` (*type:* `String.t`, *default:* `nil`) - Cloud Pub/Sub topic to send notifications to. Format is projects/{project}/topics/{topic}.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubNotification.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubNotification.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubNotification.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubNotification.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PubSubNotification.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog","doc":"Publish findings of a DlpJob to Data Catalog. In Data Catalog, tag templates are applied to the resource that Cloud DLP scanned. Data Catalog tag templates are stored in the same project and region where the BigQuery table exists. For Cloud DLP to create and apply the tag template, the Cloud DLP service agent must have the `roles/datacatalog.tagTemplateOwner` permission on the project. The tag template contains fields summarizing the results of the DlpJob. Any field values previously written by another DlpJob are deleted. InfoType naming patterns are strictly enforced when using this feature. Findings are persisted in Data Catalog storage and are governed by service-specific policies for Data Catalog. For more information, see [Service Specific Terms](https://cloud.google.com/terms/service-terms). Only a single instance of this action can be specified. This action is allowed only if all resources being scanned are BigQuery tables. Compatible with: Inspect","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishSummaryToCscc","doc":"Publish the result summary of a DlpJob to [Security Command Center](https://cloud.google.com/security-command-center). This action is available for only projects that belong to an organization. This action publishes the count of finding instances and their infoTypes. The summary of findings are persisted in Security Command Center and are governed by [service-specific policies for Security Command Center](https://cloud.google.com/terms/service-terms). Only a single instance of this action can be specified. Compatible with: Inspect","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishSummaryToCscc.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishSummaryToCscc","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishSummaryToCscc.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishSummaryToCscc.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishSummaryToCscc.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishSummaryToCscc.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishSummaryToCscc.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToChronicle","doc":"Message expressing intention to publish to Google Security Operations.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToChronicle.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToChronicle","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToChronicle.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToChronicle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToChronicle.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToChronicle.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToChronicle.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToPubSub","doc":"Publish a message into a given Pub/Sub topic when DlpJob has completed. The message contains a single field, `DlpJobName`, which is equal to the finished job's [`DlpJob.name`](https://cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.dlpJobs#DlpJob). Compatible with: Inspect, Risk","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToPubSub.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToPubSub","doc":"*   `topic` (*type:* `String.t`, *default:* `nil`) - Cloud Pub/Sub topic to send notifications to. The topic must have given publishing access rights to the DLP API service account executing the long running DlpJob sending the notifications. Format is projects/{project}/topics/{topic}.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToPubSub.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToPubSub.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToPubSub.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToPubSub.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToPubSub.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToSecurityCommandCenter","doc":"If set, a summary finding will be created or updated in Security Command Center for each profile.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToSecurityCommandCenter.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToSecurityCommandCenter","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToSecurityCommandCenter.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToSecurityCommandCenter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToSecurityCommandCenter.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToSecurityCommandCenter.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToSecurityCommandCenter.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToStackdriver","doc":"Enable Stackdriver metric dlp.googleapis.com/finding_count. This will publish a metric to stack driver on each infotype requested and how many findings were found for it. CustomDetectors will be bucketed as 'Custom' under the Stackdriver label 'info_type'.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToStackdriver.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToStackdriver","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToStackdriver.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToStackdriver.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToStackdriver.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToStackdriver.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PublishToStackdriver.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiId","doc":"A column with a semantic tag attached.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiId.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiId","doc":"*   `customTag` (*type:* `String.t`, *default:* `nil`) - A column can be tagged with a custom tag. In this case, the user must indicate an auxiliary table that contains statistical information on the possible values of this column (below).\n*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Required. Identifies the column.\n*   `inferred` (*type:* `GoogleApi.DLP.V2.Model.GoogleProtobufEmpty.t`, *default:* `nil`) - If no semantic tag is indicated, we infer the statistical model from the distribution of values in the input data\n*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - A column can be tagged with a InfoType to use the relevant public dataset as a statistical model of population, if available. We currently support US ZIP codes, region codes, ages and genders. To programmatically obtain the list of supported InfoTypes, use ListInfoTypes with the supported_by=RISK_ANALYSIS filter.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiId.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiId.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiId.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiId.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdField","doc":"A quasi-identifier column has a custom_tag, used to know which column in the data corresponds to which column in the statistical model.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdField.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdField","doc":"*   `customTag` (*type:* `String.t`, *default:* `nil`) - A auxiliary field.\n*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Identifies the column.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdField.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdField.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdField.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdField.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdentifierField","doc":"A quasi-identifier column has a custom_tag, used to know which column in the data corresponds to which column in the statistical model.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdentifierField.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdentifierField","doc":"*   `customTag` (*type:* `String.t`, *default:* `nil`) - A column can be tagged with a custom tag. In this case, the user must indicate an auxiliary table that contains statistical information on the possible values of this column (below).\n*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Identifies the column.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdentifierField.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdentifierField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdentifierField.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdentifierField.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdentifierField.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuoteInfo","doc":"Message for infoType-dependent details parsed from quote.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuoteInfo.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuoteInfo","doc":"*   `dateTime` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DateTime.t`, *default:* `nil`) - The date time indicated by the quote.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuoteInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuoteInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuoteInfo.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuoteInfo.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuoteInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range","doc":"Generic half-open interval [start, end)","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range","doc":"*   `end` (*type:* `String.t`, *default:* `nil`) - Index of the last character of the range (exclusive).\n*   `start` (*type:* `String.t`, *default:* `nil`) - Index of the first character of the range (inclusive).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Range.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition","doc":"A condition for determining whether a transformation should be applied to a field.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition","doc":"*   `expressions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Expressions.t`, *default:* `nil`) - An expression.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordKey","doc":"Message for a unique key indicating a record that contains a finding.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordKey.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordKey","doc":"*   `bigQueryKey` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryKey.t`, *default:* `nil`) - Datastore key\n*   `datastoreKey` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreKey.t`, *default:* `nil`) - BigQuery key\n*   `idValues` (*type:* `list(String.t)`, *default:* `nil`) - Values of identifying columns in the given row. Order of values matches the order of `identifying_fields` specified in the scanning request.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordKey.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordKey.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordKey.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordKey.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordLocation","doc":"Location of a finding within a row or record.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordLocation","doc":"*   `fieldId` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Field id of the field containing the finding.\n*   `recordKey` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordKey.t`, *default:* `nil`) - Key of the finding.\n*   `tableLocation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableLocation.t`, *default:* `nil`) - Location within a `ContentItem.Table`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression","doc":"Configuration to suppress records whose suppression conditions evaluate to true.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression","doc":"*   `condition` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordCondition.t`, *default:* `nil`) - A condition that when it evaluates to true will result in the record being evaluated to be suppressed from the transformed content.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformation","doc":"The field in a record to transform.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformation","doc":"*   `containerTimestamp` (*type:* `DateTime.t`, *default:* `nil`) - Findings container modification timestamp, if applicable.\n*   `containerVersion` (*type:* `String.t`, *default:* `nil`) - Container version, if available (\"generation\" for Cloud Storage).\n*   `fieldId` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - For record transformations, provide a field.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformations","doc":"A type of transformation that is applied over structured data such as a table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformations.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformations","doc":"*   `fieldTransformations` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation.t)`, *default:* `nil`) - Transform the record by applying various field transformations.\n*   `recordSuppressions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression.t)`, *default:* `nil`) - Configuration defining which records get suppressed entirely. Records that match any suppression rule are omitted from the output.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformations.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformations.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformations.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformations.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformations.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactConfig","doc":"Redact a given value. For example, if used with an `InfoTypeTransformation` transforming PHONE_NUMBER, and input 'My phone number is 206-555-0123', the output would be 'My phone number is '.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactConfig","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest","doc":"Request to search for potentially sensitive info in an image and redact it by covering it with a colored rectangle.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest","doc":"*   `byteItem` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ByteContentItem.t`, *default:* `nil`) - The content must be PNG, JPEG, SVG or BMP.\n*   `imageRedactionConfigs` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ImageRedactionConfig.t)`, *default:* `nil`) - The configuration for specifying what content to redact from images.\n*   `includeFindings` (*type:* `boolean()`, *default:* `nil`) - Whether the response should include findings along with the redacted image.\n*   `inspectConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.t`, *default:* `nil`) - Configuration for the inspector.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. This field has no effect.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse","doc":"Results of redacting an image.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse","doc":"*   `extractedText` (*type:* `String.t`, *default:* `nil`) - If an image was being inspected and the InspectConfig's include_quote was set to true, then this field will include all text, if any, that was found in the image.\n*   `inspectResult` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectResult.t`, *default:* `nil`) - The findings. Populated when include_findings in the request is true.\n*   `redactedImage` (*type:* `String.t`, *default:* `nil`) - The redacted image. The type will be the same as the original image.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RedactImageResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex","doc":"Message defining a custom regular expression.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex","doc":"*   `groupIndexes` (*type:* `list(integer())`, *default:* `nil`) - The index of the submatch to extract as findings. When not specified, the entire match is returned. No more than 3 may be included.\n*   `pattern` (*type:* `String.t`, *default:* `nil`) - Pattern defining the regular expression. Its syntax (https://github.com/google/re2/wiki/Syntax) can be found under the google/re2 repository on GitHub.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest","doc":"Request to re-identify an item.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest","doc":"*   `inspectConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectConfig.t`, *default:* `nil`) - Configuration for the inspector.\n*   `inspectTemplateName` (*type:* `String.t`, *default:* `nil`) - Template to use. Any configuration directly specified in `inspect_config` will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged.\n*   `item` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.t`, *default:* `nil`) - The item to re-identify. Will be treated as text.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. This field has no effect.\n*   `reidentifyConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyConfig.t`, *default:* `nil`) - Configuration for the re-identification of the content item. This field shares the same proto message type that is used for de-identification, however its usage here is for the reversal of the previous de-identification. Re-identification is performed by examining the transformations used to de-identify the items and executing the reverse. This requires that only reversible transformations be provided here. The reversible transformations are: - `CryptoDeterministicConfig` - `CryptoReplaceFfxFpeConfig`\n*   `reidentifyTemplateName` (*type:* `String.t`, *default:* `nil`) - Template to use. References an instance of `DeidentifyTemplate`. Any configuration directly specified in `reidentify_config` or `inspect_config` will override those set in the template. The `DeidentifyTemplate` used must include only reversible transformations. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse","doc":"Results of re-identifying an item.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse","doc":"*   `item` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ContentItem.t`, *default:* `nil`) - The re-identified item.\n*   `overview` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview.t`, *default:* `nil`) - An overview of the changes that were made to the `item`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReidentifyContentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceDictionaryConfig","doc":"Replace each input value with a value randomly selected from the dictionary.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceDictionaryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceDictionaryConfig","doc":"*   `wordList` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList.t`, *default:* `nil`) - A list of words to select from for random replacement. The [limits](https://cloud.google.com/sensitive-data-protection/limits) page contains details about the size limits of dictionaries.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceDictionaryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceDictionaryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceDictionaryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceDictionaryConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceDictionaryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceValueConfig","doc":"Replace each input value with a given `Value`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceValueConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceValueConfig","doc":"*   `newValue` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - Value to replace it with.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceValueConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceValueConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceValueConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceValueConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceValueConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceWithInfoTypeConfig","doc":"Replace each matching finding with the name of the info_type.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceWithInfoTypeConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceWithInfoTypeConfig","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceWithInfoTypeConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceWithInfoTypeConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceWithInfoTypeConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceWithInfoTypeConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ReplaceWithInfoTypeConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedDeidentifyOptions","doc":"De-identification options.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedDeidentifyOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedDeidentifyOptions","doc":"*   `snapshotDeidentifyTemplate` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.t`, *default:* `nil`) - Snapshot of the state of the `DeidentifyTemplate` from the Deidentify action at the time this job was run.\n*   `snapshotImageRedactTemplate` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.t`, *default:* `nil`) - Snapshot of the state of the image transformation `DeidentifyTemplate` from the `Deidentify` action at the time this job was run.\n*   `snapshotStructuredDeidentifyTemplate` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.t`, *default:* `nil`) - Snapshot of the state of the structured `DeidentifyTemplate` from the `Deidentify` action at the time this job was run.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedDeidentifyOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedDeidentifyOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedDeidentifyOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedDeidentifyOptions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedDeidentifyOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedOptions","doc":"Snapshot of the inspection configuration.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedOptions","doc":"*   `jobConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectJobConfig.t`, *default:* `nil`) - Inspect config.\n*   `snapshotInspectTemplate` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.t`, *default:* `nil`) - If run with an InspectTemplate, a snapshot of its state at the time of this run.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedOptions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedRiskAnalysisOptions","doc":"Risk analysis options.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedRiskAnalysisOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedRiskAnalysisOptions","doc":"*   `jobConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig.t`, *default:* `nil`) - The job config for the risk job.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedRiskAnalysisOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedRiskAnalysisOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedRiskAnalysisOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedRiskAnalysisOptions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RequestedRiskAnalysisOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Result","doc":"All result fields mentioned below are updated while the job is processing.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Result.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Result","doc":"*   `hybridStats` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridInspectStatistics.t`, *default:* `nil`) - Statistics related to the processing of hybrid inspect.\n*   `infoTypeStats` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeStats.t)`, *default:* `nil`) - Statistics of how many instances of each info type were found during inspect job.\n*   `numRowsProcessed` (*type:* `String.t`, *default:* `nil`) - Number of rows scanned after sampling and time filtering (applicable for row based stores such as BigQuery).\n*   `processedBytes` (*type:* `String.t`, *default:* `nil`) - Total size in bytes that were processed.\n*   `totalEstimatedBytes` (*type:* `String.t`, *default:* `nil`) - Estimate of the number of bytes to process.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Result.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Result.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Result.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Result.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Result.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig","doc":"Configuration for a risk analysis job. See https://cloud.google.com/sensitive-data-protection/docs/concepts-risk-analysis to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig","doc":"*   `actions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Action.t)`, *default:* `nil`) - Actions to execute at the completion of the job. Are executed in the order provided.\n*   `privacyMetric` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrivacyMetric.t`, *default:* `nil`) - Privacy metric to compute.\n*   `sourceTable` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - Input dataset to compute metrics over.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RiskAnalysisJobConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Row","doc":"Values of the row.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Row.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Row","doc":"*   `values` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t)`, *default:* `nil`) - Individual cells.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Row.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Row.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Row.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Row.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Row.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SaveFindings","doc":"If set, the detailed findings will be persisted to the specified OutputStorageConfig. Only a single instance of this action can be specified. Compatible with: Inspect, Risk","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SaveFindings.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SaveFindings","doc":"*   `outputConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OutputStorageConfig.t`, *default:* `nil`) - Location to store findings outside of DLP.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SaveFindings.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SaveFindings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SaveFindings.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SaveFindings.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SaveFindings.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Schedule","doc":"Schedule for inspect job triggers.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Schedule.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Schedule","doc":"*   `recurrencePeriodDuration` (*type:* `String.t`, *default:* `nil`) - With this option a job is started on a regular periodic basis. For example: every day (86400 seconds). A scheduled start time will be skipped if the previous execution has not ended when its scheduled time occurs. This value must be set to a time duration greater than or equal to 1 day and can be no longer than 60 days.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Schedule.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Schedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Schedule.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Schedule.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Schedule.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SchemaModifiedCadence","doc":"How frequently to modify the profile when the table's schema is modified.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SchemaModifiedCadence.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SchemaModifiedCadence","doc":"*   `frequency` (*type:* `String.t`, *default:* `nil`) - Frequency to regenerate data profiles when the schema is modified. Defaults to monthly.\n*   `types` (*type:* `list(String.t)`, *default:* `nil`) - The types of schema modifications to consider. Defaults to NEW_COLUMNS.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SchemaModifiedCadence.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SchemaModifiedCadence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SchemaModifiedCadence.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SchemaModifiedCadence.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SchemaModifiedCadence.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse","doc":"Response message for SearchConnections.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse","doc":"*   `connections` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.t)`, *default:* `nil`) - List of connections that match the search query. Note that only a subset of the fields will be populated, and only \"name\" is guaranteed to be set. For full details of a Connection, call GetConnection with the name.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results. An empty value means there are no more results.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SearchConnectionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretManagerCredential","doc":"A credential consisting of a username and password, where the password is stored in a Secret Manager resource. Note: Secret Manager [charges apply](https://cloud.google.com/secret-manager/pricing).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretManagerCredential.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretManagerCredential","doc":"*   `passwordSecretVersionName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the Secret Manager resource that stores the password, in the form `projects/project-id/secrets/secret-name/versions/version`.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Required. The username.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretManagerCredential.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretManagerCredential.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretManagerCredential.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretManagerCredential.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretManagerCredential.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretsDiscoveryTarget","doc":"Discovery target for credentials and secrets in cloud resource metadata. This target does not include any filtering or frequency controls. Cloud DLP will scan cloud resource metadata for secrets daily. No inspect template should be included in the discovery config for a security benchmarks scan. Instead, the built-in list of secrets and credentials infoTypes will be used (see https://cloud.google.com/sensitive-data-protection/docs/infotypes-reference#credentials_and_secrets). Credentials and secrets discovered will be reported as vulnerabilities to Security Command Center.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretsDiscoveryTarget.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretsDiscoveryTarget","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretsDiscoveryTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretsDiscoveryTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretsDiscoveryTarget.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretsDiscoveryTarget.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SecretsDiscoveryTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SelectedInfoTypes","doc":"Apply transformation to the selected info_types.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SelectedInfoTypes.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SelectedInfoTypes","doc":"*   `infoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t)`, *default:* `nil`) - Required. InfoTypes to apply the transformation to. Required. Provided InfoType must be unique within the ImageTransformations message.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SelectedInfoTypes.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SelectedInfoTypes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SelectedInfoTypes.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SelectedInfoTypes.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SelectedInfoTypes.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore","doc":"Score is calculated from of all elements in the data profile. A higher level means the data is more sensitive.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore","doc":"*   `score` (*type:* `String.t`, *default:* `nil`) - The sensitivity score applied to the resource.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StatisticalTable","doc":"An auxiliary table containing statistical information on the relative frequency of different quasi-identifiers values. It has one or several quasi-identifiers columns, and one column that indicates the relative frequency of each quasi-identifier tuple. If a tuple is present in the data but not in the auxiliary table, the corresponding relative frequency is assumed to be zero (and thus, the tuple is highly reidentifiable).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StatisticalTable.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StatisticalTable","doc":"*   `quasiIds` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2QuasiIdentifierField.t)`, *default:* `nil`) - Required. Quasi-identifier columns.\n*   `relativeFrequency` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Required. The relative frequency column must contain a floating-point number between 0 and 1 (inclusive). Null values are assumed to be zero.\n*   `table` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - Required. Auxiliary table location.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StatisticalTable.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StatisticalTable.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StatisticalTable.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StatisticalTable.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StatisticalTable.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageConfig","doc":"Shared message indicating Cloud storage type.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageConfig","doc":"*   `bigQueryOptions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryOptions.t`, *default:* `nil`) - BigQuery options.\n*   `cloudStorageOptions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2CloudStorageOptions.t`, *default:* `nil`) - Cloud Storage options.\n*   `datastoreOptions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DatastoreOptions.t`, *default:* `nil`) - Google Cloud Datastore options.\n*   `hybridOptions` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2HybridOptions.t`, *default:* `nil`) - Hybrid inspection options.\n*   `timespanConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimespanConfig.t`, *default:* `nil`) - Configuration of the timespan of the items to include in scanning.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageMetadataLabel","doc":"Storage metadata label to indicate which metadata entry contains findings.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageMetadataLabel.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageMetadataLabel","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Label name.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageMetadataLabel.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageMetadataLabel.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageMetadataLabel.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageMetadataLabel.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StorageMetadataLabel.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType","doc":"StoredInfoType resource message that contains information about the current version and any pending updates.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType","doc":"*   `currentVersion` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion.t`, *default:* `nil`) - Current version of the stored info type.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name.\n*   `pendingVersions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion.t)`, *default:* `nil`) - Pending versions of the stored info type. Empty if no versions are pending.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoType.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig","doc":"Configuration for stored infoTypes. All fields and subfield are provided by the user. For more information, see https://cloud.google.com/sensitive-data-protection/docs/creating-custom-infotypes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Description of the StoredInfoType (max 256 characters).\n*   `dictionary` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Dictionary.t`, *default:* `nil`) - Store dictionary-based CustomInfoType.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name of the StoredInfoType (max 256 characters).\n*   `largeCustomDictionary` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryConfig.t`, *default:* `nil`) - StoredInfoType where findings are defined by a dictionary of phrases.\n*   `regex` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Regex.t`, *default:* `nil`) - Store regular expression-based StoredInfoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeStats","doc":"Statistics for a StoredInfoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeStats.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeStats","doc":"*   `largeCustomDictionary` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LargeCustomDictionaryStats.t`, *default:* `nil`) - StoredInfoType where findings are defined by a dictionary of phrases.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeStats.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeStats.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeStats.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeStats.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeStats.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion","doc":"Version of a StoredInfoType, including the configuration used to build it, create timestamp, and current state.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion","doc":"*   `config` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig.t`, *default:* `nil`) - StoredInfoType configuration.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Create timestamp of the version. Read-only, determined by the system when the version is created.\n*   `errors` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Error.t)`, *default:* `nil`) - Errors that occurred when creating this storedInfoType version, or anomalies detected in the storedInfoType data that render it unusable. Only the five most recent errors will be displayed, with the most recent error appearing first. For example, some of the data for stored custom dictionaries is put in the user's Cloud Storage bucket, and if this data is modified or deleted by the user or another system, the dictionary becomes invalid. If any errors occur, fix the problem indicated by the error message and use the UpdateStoredInfoType API method to create another version of the storedInfoType to continue using it, reusing the same `config` if it was not the source of the error.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Stored info type version state. Read-only, updated by the system during dictionary creation.\n*   `stats` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeStats.t`, *default:* `nil`) - Statistics about this storedInfoType version.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeVersion.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredType","doc":"A reference to a StoredInfoType to use with scanning.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredType.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredType","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp indicating when the version of the `StoredInfoType` used for inspection was created. Output-only field, populated by the system.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name of the requested `StoredInfoType`, for example `organizations/433245324/storedInfoTypes/432452342` or `projects/project-id/storedInfoTypes/432452342`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredType.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredType.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredType.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredType.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SummaryResult","doc":"A collection that informs the user the number of times a particular `TransformationResultCode` and error details occurred.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SummaryResult.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SummaryResult","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - Outcome of the transformation.\n*   `count` (*type:* `String.t`, *default:* `nil`) - Number of transformations counted by this result.\n*   `details` (*type:* `String.t`, *default:* `nil`) - A place for warnings or errors to show up if a transformation didn't work as expected.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SummaryResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SummaryResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SummaryResult.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SummaryResult.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SummaryResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SurrogateType","doc":"Message for detecting output from deidentification transformations such as [`CryptoReplaceFfxFpeConfig`](https://cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.deidentifyTemplates#cryptoreplaceffxfpeconfig). These types of transformations are those that perform pseudonymization, thereby producing a \"surrogate\" as output. This should be used in conjunction with a field on the transformation such as `surrogate_info_type`. This CustomInfoType does not support the use of `detection_rules`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SurrogateType.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SurrogateType","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SurrogateType.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SurrogateType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SurrogateType.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SurrogateType.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SurrogateType.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Table","doc":"Structured content to inspect. Up to 50,000 `Value`s per request allowed. See https://cloud.google.com/sensitive-data-protection/docs/inspecting-structured-text#inspecting_a_table to learn more.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Table.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Table","doc":"*   `headers` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t)`, *default:* `nil`) - Headers of the table.\n*   `rows` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Row.t)`, *default:* `nil`) - Rows of the table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Table.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Table.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Table.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Table.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Table.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile","doc":"The profile for a scanned table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile","doc":"*   `configSnapshot` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataProfileConfigSnapshot.t`, *default:* `nil`) - The snapshot of the configurations used to generate the profile.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the table was created.\n*   `dataRiskLevel` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataRiskLevel.t`, *default:* `nil`) - The data risk level of this table.\n*   `dataSourceType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DataSourceType.t`, *default:* `nil`) - The resource type that was profiled.\n*   `datasetId` (*type:* `String.t`, *default:* `nil`) - If the resource is BigQuery, the dataset ID.\n*   `datasetLocation` (*type:* `String.t`, *default:* `nil`) - If supported, the location where the dataset's data is stored. See https://cloud.google.com/bigquery/docs/locations for supported locations.\n*   `datasetProjectId` (*type:* `String.t`, *default:* `nil`) - The Google Cloud project ID that owns the resource.\n*   `encryptionStatus` (*type:* `String.t`, *default:* `nil`) - How the table is encrypted.\n*   `expirationTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The time when this table expires.\n*   `failedColumnCount` (*type:* `String.t`, *default:* `nil`) - The number of columns skipped in the table because of an error.\n*   `fullResource` (*type:* `String.t`, *default:* `nil`) - The Cloud Asset Inventory resource that was profiled in order to generate this TableDataProfile. https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `lastModifiedTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when this table was last modified\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the profile.\n*   `otherInfoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2OtherInfoTypeSummary.t)`, *default:* `nil`) - Other infoTypes found in this table's data.\n*   `predictedInfoTypes` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoTypeSummary.t)`, *default:* `nil`) - The infoTypes predicted from this table's data.\n*   `profileLastGenerated` (*type:* `DateTime.t`, *default:* `nil`) - The last time the profile was generated.\n*   `profileStatus` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ProfileStatus.t`, *default:* `nil`) - Success or error status from the most recent profile generation attempt. May be empty if the profile is still being generated.\n*   `projectDataProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the project data profile for this table.\n*   `resourceLabels` (*type:* `map()`, *default:* `nil`) - The labels applied to the resource at the time the profile was generated.\n*   `resourceVisibility` (*type:* `String.t`, *default:* `nil`) - How broadly a resource has been shared.\n*   `rowCount` (*type:* `String.t`, *default:* `nil`) - Number of rows in the table when the profile was generated. This will not be populated for BigLake tables.\n*   `scannedColumnCount` (*type:* `String.t`, *default:* `nil`) - The number of columns profiled in the table.\n*   `sensitivityScore` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t`, *default:* `nil`) - The sensitivity score of this table.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of a profile.\n*   `tableId` (*type:* `String.t`, *default:* `nil`) - The table ID.\n*   `tableSizeBytes` (*type:* `String.t`, *default:* `nil`) - The size of the table when the profile was generated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableDataProfile.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableLocation","doc":"Location of a finding within a table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableLocation","doc":"*   `rowIndex` (*type:* `String.t`, *default:* `nil`) - The zero-based index of the row where the finding is located. Only populated for resources that have a natural ordering, not BigQuery. In BigQuery, to identify the row a finding came from, populate BigQueryOptions.identifying_fields with your primary key column names and when you store the findings the value of those columns will be stored inside of Finding.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions","doc":"Instructions regarding the table content being inspected.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions","doc":"*   `identifyingFields` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t)`, *default:* `nil`) - The columns that are the primary keys for table objects included in ContentItem. A copy of this cell's value will stored alongside alongside each finding so that the finding can be traced to the specific row it came from. No more than 3 may be provided.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableReference","doc":"Message defining the location of a BigQuery table with the projectId inferred from the parent project.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableReference.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableReference","doc":"*   `datasetId` (*type:* `String.t`, *default:* `nil`) - Dataset ID of the table.\n*   `tableId` (*type:* `String.t`, *default:* `nil`) - Name of the table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableReference.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableReference.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableReference.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TableReference.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagCondition","doc":"The tag to attach to profiles matching the condition. At most one `TagCondition` can be specified per sensitivity level.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagCondition.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagCondition","doc":"*   `sensitivityScore` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SensitivityScore.t`, *default:* `nil`) - Conditions attaching the tag to a resource on its profile having this sensitivity score.\n*   `tag` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagValue.t`, *default:* `nil`) - The tag value to attach to resources.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagCondition.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagCondition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagCondition.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagCondition.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagCondition.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagResources","doc":"If set, attaches the [tags] (https://cloud.google.com/resource-manager/docs/tags/tags-overview) provided to profiled resources. Tags support [access control](https://cloud.google.com/iam/docs/tags-access-control). You can conditionally grant or deny access to a resource based on whether the resource has a specific tag.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagResources.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagResources","doc":"*   `lowerDataRiskToLow` (*type:* `boolean()`, *default:* `nil`) - Whether applying a tag to a resource should lower the risk of the profile for that resource. For example, in conjunction with an [IAM deny policy](https://cloud.google.com/iam/docs/deny-overview), you can deny all principals a permission if a tag value is present, mitigating the risk of the resource. This also lowers the data risk of resources at the lower levels of the resource hierarchy. For example, reducing the data risk of a table data profile also reduces the data risk of the constituent column data profiles.\n*   `profileGenerationsToTag` (*type:* `list(String.t)`, *default:* `nil`) - The profile generations for which the tag should be attached to resources. If you attach a tag to only new profiles, then if the sensitivity score of a profile subsequently changes, its tag doesn't change. By default, this field includes only new profiles. To include both new and updated profiles for tagging, this field should explicitly include both `PROFILE_GENERATION_NEW` and `PROFILE_GENERATION_UPDATE`.\n*   `tagConditions` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagCondition.t)`, *default:* `nil`) - The tags to associate with different conditions.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagResources.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagResources.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagResources.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagResources.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagValue","doc":"A value of a tag.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagValue.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagValue","doc":"*   `namespacedValue` (*type:* `String.t`, *default:* `nil`) - The namespaced name for the tag value to attach to resources. Must be in the format `{parent_id}/{tag_key_short_name}/{short_name}`, for example, \"123456/environment/prod\".","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagValue.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagValue.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagValue.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TagValue.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TaggedField","doc":"A column with a semantic tag attached.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TaggedField.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TaggedField","doc":"*   `customTag` (*type:* `String.t`, *default:* `nil`) - A column can be tagged with a custom tag. In this case, the user must indicate an auxiliary table that contains statistical information on the possible values of this column (below).\n*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Required. Identifies the column.\n*   `inferred` (*type:* `GoogleApi.DLP.V2.Model.GoogleProtobufEmpty.t`, *default:* `nil`) - If no semantic tag is indicated, we infer the statistical model from the distribution of values in the input data\n*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - A column can be tagged with a InfoType to use the relevant public dataset as a statistical model of population, if available. We currently support US ZIP codes, region codes, ages and genders. To programmatically obtain the list of supported InfoTypes, use ListInfoTypes with the supported_by=RISK_ANALYSIS filter.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TaggedField.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TaggedField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TaggedField.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TaggedField.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TaggedField.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ThrowError","doc":"Throw an error and fail the request when a transformation error occurs.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ThrowError.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ThrowError","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ThrowError.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ThrowError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ThrowError.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ThrowError.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ThrowError.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimePartConfig","doc":"For use with `Date`, `Timestamp`, and `TimeOfDay`, extract or preserve a portion of the value.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimePartConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimePartConfig","doc":"*   `partToExtract` (*type:* `String.t`, *default:* `nil`) - The part of the time to keep.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimePartConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimePartConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimePartConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimePartConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimePartConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimeZone","doc":"Time zone of the date time object.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimeZone.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimeZone","doc":"*   `offsetMinutes` (*type:* `integer()`, *default:* `nil`) - Set only if the offset can be determined. Positive for time ahead of UTC. E.g. For \"UTC-9\", this value is -540.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimeZone.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimeZone.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimeZone.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimeZone.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimeZone.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimespanConfig","doc":"Configuration of the timespan of the items to include in scanning. Currently only supported when inspecting Cloud Storage and BigQuery.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimespanConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimespanConfig","doc":"*   `enableAutoPopulationOfTimespanConfig` (*type:* `boolean()`, *default:* `nil`) - When the job is started by a JobTrigger we will automatically figure out a valid start_time to avoid scanning files that have not been modified since the last time the JobTrigger executed. This will be based on the time of the execution of the last run of the JobTrigger or the timespan end_time used in the last run of the JobTrigger. **For BigQuery** Inspect jobs triggered by automatic population will scan data that is at least three hours old when the job starts. This is because streaming buffer rows are not read during inspection and reading up to the current timestamp will result in skipped rows. See the [known issue](https://cloud.google.com/sensitive-data-protection/docs/known-issues#recently-streamed-data) related to this operation.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Exclude files, tables, or rows newer than this value. If not set, no upper time limit is applied.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Exclude files, tables, or rows older than this value. If not set, no lower time limit is applied.\n*   `timestampField` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Specification of the field containing the timestamp of scanned items. Used for data sources like Datastore and BigQuery. **For BigQuery** If this value is not specified and the table was modified between the given start and end times, the entire table will be scanned. If this value is specified, then rows are filtered based on the given start and end times. Rows with a `NULL` value in the provided BigQuery column are skipped. Valid data types of the provided BigQuery column are: `INTEGER`, `DATE`, `TIMESTAMP`, and `DATETIME`. If your BigQuery table is [partitioned at ingestion time](https://cloud.google.com/bigquery/docs/partitioned-tables#ingestion_time), you can use any of the following pseudo-columns as your timestamp field. When used with Cloud DLP, these pseudo-column names are case sensitive. - `_PARTITIONTIME` - `_PARTITIONDATE` - `_PARTITION_LOAD_TIME` **For Datastore** If this value is specified, then entities are filtered based on the given start and end times. If an entity does not contain the provided timestamp property or contains empty or invalid values, then it is included. Valid data types of the provided timestamp property are: `TIMESTAMP`. See the [known issue](https://cloud.google.com/sensitive-data-protection/docs/known-issues#bq-timespan) related to this operation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimespanConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimespanConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimespanConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimespanConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TimespanConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationConfig","doc":"User specified templates and configs for how to deidentify structured, unstructures, and image files. User must provide either a unstructured deidentify template or at least one redact image config.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationConfig","doc":"*   `deidentifyTemplate` (*type:* `String.t`, *default:* `nil`) - De-identify template. If this template is specified, it will serve as the default de-identify template. This template cannot contain `record_transformations` since it can be used for unstructured content such as free-form text files. If this template is not set, a default `ReplaceWithInfoTypeConfig` will be used to de-identify unstructured content.\n*   `imageRedactTemplate` (*type:* `String.t`, *default:* `nil`) - Image redact template. If this template is specified, it will serve as the de-identify template for images. If this template is not set, all findings in the image will be redacted with a black box.\n*   `structuredDeidentifyTemplate` (*type:* `String.t`, *default:* `nil`) - Structured de-identify template. If this template is specified, it will serve as the de-identify template for structured content such as delimited files and tables. If this template is not set but the `deidentify_template` is set, then `deidentify_template` will also apply to the structured content. If neither template is set, a default `ReplaceWithInfoTypeConfig` will be used to de-identify structured content.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDescription","doc":"A flattened description of a `PrimitiveTransformation` or `RecordSuppression`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDescription.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDescription","doc":"*   `condition` (*type:* `String.t`, *default:* `nil`) - A human-readable string representation of the `RecordCondition` corresponding to this transformation. Set if a `RecordCondition` was used to determine whether or not to apply this transformation. Examples: * (age_field > 85) * (age_field <= 18) * (zip_field exists) * (zip_field == 01234) && (city_field != \"Springville\") * (zip_field == 01234) && (age_field <= 18) && (city_field exists)\n*   `description` (*type:* `String.t`, *default:* `nil`) - A description of the transformation. This is empty for a RECORD_SUPPRESSION, or is the output of calling toString() on the `PrimitiveTransformation` protocol buffer message for any other type of transformation.\n*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - Set if the transformation was limited to a specific `InfoType`.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The transformation type.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDescription.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDescription.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDescription.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDescription.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDescription.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetails","doc":"Details about a single transformation. This object contains a description of the transformation, information about whether the transformation was successfully applied, and the precise location where the transformation occurred. These details are stored in a user-specified BigQuery table.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetails.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetails","doc":"*   `containerName` (*type:* `String.t`, *default:* `nil`) - The top level name of the container where the transformation is located (this will be the source file name or table name).\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - The name of the job that completed the transformation.\n*   `statusDetails` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationResultStatus.t`, *default:* `nil`) - Status of the transformation, if transformation was not successful, this will specify what caused it to fail, otherwise it will show that the transformation was successful.\n*   `transformation` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDescription.t)`, *default:* `nil`) - Description of transformation. This would only contain more than one element if there were multiple matching transformations and which one to apply was ambiguous. Not set for states that contain no transformation, currently only state that contains no transformation is TransformationResultStateType.METADATA_UNRETRIEVABLE.\n*   `transformationLocation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationLocation.t`, *default:* `nil`) - The precise location of the transformed content in the original container.\n*   `transformedBytes` (*type:* `String.t`, *default:* `nil`) - The number of bytes that were transformed. If transformation was unsuccessful or did not take place because there was no content to transform, this will be zero.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetails.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetails.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetailsStorageConfig","doc":"Config for storing transformation details.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetailsStorageConfig.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetailsStorageConfig","doc":"*   `table` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2BigQueryTable.t`, *default:* `nil`) - The BigQuery table in which to store the output. This may be an existing table or in a new table in an existing dataset. If table_id is not set a new one will be generated for you with the following format: dlp_googleapis_transformation_details_yyyy_mm_dd_[dlp_job_id]. Pacific time zone will be used for generating the date details.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetailsStorageConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetailsStorageConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetailsStorageConfig.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetailsStorageConfig.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationDetailsStorageConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationErrorHandling","doc":"How to handle transformation errors during de-identification. A transformation error occurs when the requested transformation is incompatible with the data. For example, trying to de-identify an IP address using a `DateShift` transformation would result in a transformation error, since date info cannot be extracted from an IP address. Information about any incompatible transformations, and how they were handled, is returned in the response as part of the `TransformationOverviews`.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationErrorHandling.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationErrorHandling","doc":"*   `leaveUntransformed` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2LeaveUntransformed.t`, *default:* `nil`) - Ignore errors\n*   `throwError` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ThrowError.t`, *default:* `nil`) - Throw an error","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationErrorHandling.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationErrorHandling.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationErrorHandling.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationErrorHandling.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationErrorHandling.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationLocation","doc":"Specifies the location of a transformation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationLocation.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationLocation","doc":"*   `containerType` (*type:* `String.t`, *default:* `nil`) - Information about the functionality of the container where this finding occurred, if available.\n*   `findingId` (*type:* `String.t`, *default:* `nil`) - For infotype transformations, link to the corresponding findings ID so that location information does not need to be duplicated. Each findings ID correlates to an entry in the findings output table, this table only gets created when users specify to save findings (add the save findings action to the request).\n*   `recordTransformation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordTransformation.t`, *default:* `nil`) - For record transformations, provide a field and container information.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationLocation.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationLocation.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview","doc":"Overview of the modifications that occurred.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview","doc":"*   `transformationSummaries` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationSummary.t)`, *default:* `nil`) - Transformations applied to the dataset.\n*   `transformedBytes` (*type:* `String.t`, *default:* `nil`) - Total size in bytes that were transformed in some way.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationOverview.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationResultStatus","doc":"The outcome of a transformation.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationResultStatus.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationResultStatus","doc":"*   `details` (*type:* `GoogleApi.DLP.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - Detailed error codes and messages\n*   `resultStatusType` (*type:* `String.t`, *default:* `nil`) - Transformation result status type, this will be either SUCCESS, or it will be the reason for why the transformation was not completely successful.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationResultStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationResultStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationResultStatus.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationResultStatus.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationResultStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationSummary","doc":"Summary of a single transformation. Only one of 'transformation', 'field_transformation', or 'record_suppress' will be set.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationSummary.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationSummary","doc":"*   `field` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldId.t`, *default:* `nil`) - Set if the transformation was limited to a specific FieldId.\n*   `fieldTransformations` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2FieldTransformation.t)`, *default:* `nil`) - The field transformation that was applied. If multiple field transformations are requested for a single field, this list will contain all of them; otherwise, only one is supplied.\n*   `infoType` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InfoType.t`, *default:* `nil`) - Set if the transformation was limited to a specific InfoType.\n*   `recordSuppress` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2RecordSuppression.t`, *default:* `nil`) - The specific suppression option these stats apply to.\n*   `results` (*type:* `list(GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2SummaryResult.t)`, *default:* `nil`) - Collection of all transformations that took place or had an error.\n*   `transformation` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2PrimitiveTransformation.t`, *default:* `nil`) - The specific transformation these stats apply to.\n*   `transformedBytes` (*type:* `String.t`, *default:* `nil`) - Total size in bytes that were transformed in some way.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationSummary.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationSummary.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransformationSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransientCryptoKey","doc":"Use this to have a random data crypto key generated. It will be discarded after the request finishes.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransientCryptoKey.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransientCryptoKey","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Name of the key. This is an arbitrary string used to differentiate different keys. A unique key is generated per name: two separate `TransientCryptoKey` protos share the same generated key if their names are the same. When the data crypto key is generated, this name is not used in any way (repeating the api call will result in a different key being generated).","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransientCryptoKey.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransientCryptoKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransientCryptoKey.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransientCryptoKey.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2TransientCryptoKey.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Trigger","doc":"What event needs to occur for a new job to be started.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Trigger.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Trigger","doc":"*   `manual` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Manual.t`, *default:* `nil`) - For use with hybrid jobs. Jobs must be manually created and finished.\n*   `schedule` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Schedule.t`, *default:* `nil`) - Create a job on a repeating basis based on the elapse of time.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Trigger.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Trigger.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Trigger.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Trigger.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Trigger.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UnwrappedCryptoKey","doc":"Using raw keys is prone to security risks due to accidentally leaking the key. Choose another type of key if possible.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UnwrappedCryptoKey.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UnwrappedCryptoKey","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Required. A 128/192/256 bit key.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UnwrappedCryptoKey.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UnwrappedCryptoKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UnwrappedCryptoKey.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UnwrappedCryptoKey.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UnwrappedCryptoKey.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest","doc":"Request message for UpdateConnection.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest","doc":"*   `connection` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Connection.t`, *default:* `nil`) - Required. The connection with new values for the relevant fields.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Optional. Mask to control which fields get updated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateConnectionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest","doc":"Request message for UpdateDeidentifyTemplate.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest","doc":"*   `deidentifyTemplate` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DeidentifyTemplate.t`, *default:* `nil`) - New DeidentifyTemplate value.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Mask to control which fields get updated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest","doc":"Request message for UpdateDiscoveryConfig.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest","doc":"*   `discoveryConfig` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2DiscoveryConfig.t`, *default:* `nil`) - Required. New DiscoveryConfig value.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Mask to control which fields get updated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateDiscoveryConfigRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest","doc":"Request message for UpdateInspectTemplate.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest","doc":"*   `inspectTemplate` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2InspectTemplate.t`, *default:* `nil`) - New InspectTemplate value.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Mask to control which fields get updated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateInspectTemplateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest","doc":"Request message for UpdateJobTrigger.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest","doc":"*   `jobTrigger` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2JobTrigger.t`, *default:* `nil`) - New JobTrigger value.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Mask to control which fields get updated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateJobTriggerRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest","doc":"Request message for UpdateStoredInfoType.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest","doc":"*   `config` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2StoredInfoTypeConfig.t`, *default:* `nil`) - Updated configuration for the storedInfoType. If not provided, a new version of the storedInfoType will be created with the existing configuration.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Mask to control which fields get updated.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2UpdateStoredInfoTypeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value","doc":"Set of primitive values supported by the system. Note that for the purposes of inspection or transformation, the number of bytes considered to comprise a 'Value' is based on its representation as a UTF-8 encoded string. For example, if 'integer_value' is set to 123456789, the number of bytes would be counted as 9, even though an int64 only holds up to 8 bytes of data.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value","doc":"*   `booleanValue` (*type:* `boolean()`, *default:* `nil`) - boolean\n*   `dateValue` (*type:* `GoogleApi.DLP.V2.Model.GoogleTypeDate.t`, *default:* `nil`) - date\n*   `dayOfWeekValue` (*type:* `String.t`, *default:* `nil`) - day of week\n*   `floatValue` (*type:* `float()`, *default:* `nil`) - float\n*   `integerValue` (*type:* `String.t`, *default:* `nil`) - integer\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - string\n*   `timeValue` (*type:* `GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay.t`, *default:* `nil`) - time of day\n*   `timestampValue` (*type:* `DateTime.t`, *default:* `nil`) - timestamp","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency","doc":"A value of a field, including its frequency.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency","doc":"*   `count` (*type:* `String.t`, *default:* `nil`) - How many times the value is contained in the field.\n*   `value` (*type:* `GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2Value.t`, *default:* `nil`) - A value contained in the field in question.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2ValueFrequency.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2VersionDescription","doc":"Details about each available version for an infotype.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2VersionDescription.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2VersionDescription","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Description of the version.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Name of the version","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2VersionDescription.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2VersionDescription.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2VersionDescription.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2VersionDescription.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2VersionDescription.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList","doc":"Message defining a list of words or phrases to search for in the data.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList","doc":"*   `words` (*type:* `list(String.t)`, *default:* `nil`) - Words or phrases defining the dictionary. The dictionary must contain at least one phrase and every phrase must contain at least 2 characters that are letters or digits. [required]","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GooglePrivacyDlpV2WordList.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GoogleProtobufEmpty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.DLP.V2.Model.GoogleProtobufEmpty.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GoogleProtobufEmpty","doc":"","ref":"GoogleApi.DLP.V2.Model.GoogleProtobufEmpty.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GoogleProtobufEmpty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GoogleProtobufEmpty.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GoogleProtobufEmpty.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GoogleProtobufEmpty.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GoogleRpcStatus","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.DLP.V2.Model.GoogleRpcStatus.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GoogleRpcStatus","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.DLP.V2.Model.GoogleRpcStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GoogleRpcStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GoogleRpcStatus.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GoogleRpcStatus.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GoogleRpcStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GoogleTypeDate","doc":"Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: * A full date, with non-zero year, month, and day values. * A month and day, with a zero year (for example, an anniversary). * A year on its own, with a zero month and a zero day. * A year and month, with a zero day (for example, a credit card expiration date). Related types: * google.type.TimeOfDay * google.type.DateTime * google.protobuf.Timestamp","ref":"GoogleApi.DLP.V2.Model.GoogleTypeDate.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GoogleTypeDate","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n*   `month` (*type:* `integer()`, *default:* `nil`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n*   `year` (*type:* `integer()`, *default:* `nil`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.","ref":"GoogleApi.DLP.V2.Model.GoogleTypeDate.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GoogleTypeDate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GoogleTypeDate.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GoogleTypeDate.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GoogleTypeDate.html#t:t/0"},{"type":"module","title":"GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay","doc":"Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.","ref":"GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay.html"},{"type":"module","title":"Attributes - GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay","doc":"*   `hours` (*type:* `integer()`, *default:* `nil`) - Hours of a day in 24 hour format. Must be greater than or equal to 0 and typically must be less than or equal to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.\n*   `minutes` (*type:* `integer()`, *default:* `nil`) - Minutes of an hour. Must be greater than or equal to 0 and less than or equal to 59.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Fractions of seconds, in nanoseconds. Must be greater than or equal to 0 and less than or equal to 999,999,999.\n*   `seconds` (*type:* `integer()`, *default:* `nil`) - Seconds of a minute. Must be greater than or equal to 0 and typically must be less than or equal to 59. An API may allow the value 60 if it allows leap-seconds.","ref":"GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay.html#module-attributes"},{"type":"function","title":"GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay.html#decode/2"},{"type":"type","title":"GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay.t/0","doc":"","ref":"GoogleApi.DLP.V2.Model.GoogleTypeTimeOfDay.html#t:t/0"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.35.1"}}